package cn.iocoder.yudao.module.bpm.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Bpm 错误码枚举类
 * <p>
 * bpm 系统，使用 1-009-000-000 段
 */
public interface ErrorCodeConstants {

    // ==========  通用流程处理 模块 1-009-000-000 ==========

    // ========== OA 流程模块 1-009-001-000 ==========
    ErrorCode OA_OLD_LEAVE_NOT_EXISTS = new ErrorCode(1_009_001_001, "请假申请不存在");

    // ========== 流程模型 1-009-002-000 ==========
    ErrorCode MODEL_KEY_EXISTS = new ErrorCode(1_009_002_000, "已经存在流程标识为【{}】的流程");
    ErrorCode MODEL_NOT_EXISTS = new ErrorCode(1_009_002_001, "流程模型不存在");
    ErrorCode MODEL_KEY_VALID = new ErrorCode(1_009_002_002, "流程标识格式不正确，需要以字母或下划线开头，后接任意字母、数字、中划线、下划线、句点！");
    ErrorCode MODEL_DEPLOY_FAIL_FORM_NOT_CONFIG = new ErrorCode(1_009_002_003, "部署流程失败，原因：流程表单未配置，请点击【修改流程】按钮进行配置");
    ErrorCode MODEL_DEPLOY_FAIL_TASK_CANDIDATE_NOT_CONFIG = new ErrorCode(1_009_002_004, "部署流程失败，" +
            "原因：用户任务({})未配置审批人，请点击【流程设计】按钮，选择该它的【任务（审批人）】进行配置");
    ErrorCode MODEL_DEPLOY_FAIL_TASK_INFO_EQUALS = new ErrorCode(1009003005, "流程定义部署失败，原因：信息未发生变化");
    ErrorCode MODEL_DEPLOY_FAIL_BPMN_START_EVENT_NOT_EXISTS = new ErrorCode(1_009_002_005, "部署流程失败，原因：BPMN 流程图中，没有开始事件");
    ErrorCode MODEL_DEPLOY_FAIL_BPMN_USER_TASK_NAME_NOT_EXISTS = new ErrorCode(1_009_002_006, "部署流程失败，原因：BPMN 流程图中，用户任务({})的名字不存在");

    // ========== 流程定义 1-009-003-000 ==========
    ErrorCode PROCESS_DEFINITION_KEY_NOT_MATCH = new ErrorCode(1_009_003_000, "流程定义的标识期望是({})，当前是({})，请修改 BPMN 流程图");
    ErrorCode PROCESS_DEFINITION_NAME_NOT_MATCH = new ErrorCode(1_009_003_001, "流程定义的名字期望是({})，当前是({})，请修改 BPMN 流程图");
    ErrorCode PROCESS_DEFINITION_NOT_EXISTS = new ErrorCode(1_009_003_002, "流程定义不存在");
    ErrorCode PROCESS_DEFINITION_IS_SUSPENDED = new ErrorCode(1_009_003_003, "流程定义处于挂起状态");

    // ========== 流程实例 1-009-004-000 ==========
    ErrorCode PROCESS_INSTANCE_NOT_EXISTS = new ErrorCode(1_009_004_000, "流程实例不存在");
    ErrorCode PROCESS_INSTANCE_CANCEL_FAIL_NOT_EXISTS = new ErrorCode(1_009_004_001, "流程取消失败，流程不处于运行中");
    ErrorCode PROCESS_INSTANCE_CANCEL_FAIL_NOT_SELF = new ErrorCode(1_009_004_002, "流程取消失败，该流程不是你发起的");
    ErrorCode PROCESS_INSTANCE_START_USER_SELECT_ASSIGNEES_NOT_CONFIG = new ErrorCode(1_009_004_003, "审批任务({})的审批人未配置");
    ErrorCode PROCESS_INSTANCE_START_USER_SELECT_ASSIGNEES_NOT_EXISTS = new ErrorCode(1_009_004_004, "审批任务({})的审批人({})不存在");
    ErrorCode PROCESS_INSTANCE_CREATE_FAIL_HAS_PROCESS = new ErrorCode(1_009_004_005, "流程发起失败，单据已发起过流程");

    // ========== 流程任务 1-009-005-000 ==========
    ErrorCode TASK_OPERATE_FAIL_ASSIGN_NOT_SELF = new ErrorCode(1_009_005_001, "操作失败，原因：该任务的审批人不是你");
    ErrorCode TASK_NOT_EXISTS = new ErrorCode(1_009_005_002, "流程任务不存在");
    ErrorCode TASK_IS_PENDING = new ErrorCode(1_009_005_003, "当前任务处于挂起状态，不能操作");
    ErrorCode TASK_TARGET_NODE_NOT_EXISTS = new ErrorCode(1_009_005_004, " 目标节点不存在");
    ErrorCode TASK_RETURN_FAIL_SOURCE_TARGET_ERROR = new ErrorCode(1_009_005_006, "回退任务失败，目标节点是在并行网关上或非同一路线上，不可跳转");
    ErrorCode TASK_DELEGATE_FAIL_USER_REPEAT = new ErrorCode(1_009_005_007, "任务委派失败，委派人和当前审批人为同一人");
    ErrorCode TASK_DELEGATE_FAIL_USER_NOT_EXISTS = new ErrorCode(1_009_005_008, "任务委派失败，被委派人不存在");
    ErrorCode TASK_SIGN_CREATE_USER_NOT_EXIST = new ErrorCode(1_009_005_009, "任务加签：选择的用户不存在");
    ErrorCode TASK_SIGN_CREATE_TYPE_ERROR = new ErrorCode(1_009_005_010, "任务加签：当前任务已经{}，不能{}");
    ErrorCode TASK_SIGN_CREATE_USER_REPEAT = new ErrorCode(1_009_005_011, "任务加签失败，加签人与现有审批人[{}]重复");
    ErrorCode TASK_SIGN_DELETE_NO_PARENT = new ErrorCode(1_009_005_012, "任务减签失败，被减签的任务必须是通过加签生成的任务");
    ErrorCode TASK_TRANSFER_FAIL_USER_REPEAT = new ErrorCode(1_009_005_013, "任务转办失败，转办人和当前审批人为同一人");
    ErrorCode TASK_TRANSFER_FAIL_USER_NOT_EXISTS = new ErrorCode(1_009_005_014, "任务转办失败，转办人不存在");
    ErrorCode TASK_REVOCATION_NOT_ALLOWED = new ErrorCode(1_009_006_015, "操作失败，原因：只有已提交状态的流程才能由申请人撤回！");
    ErrorCode TASK_CLOSE_NOT_ALLOWED = new ErrorCode(1_009_006_016, "操作失败，原因：只有已驳回或已撤回状态的流程才能由申请人关闭！");
    ErrorCode TASK_CREATE_FAIL_NO_CANDIDATE_USER = new ErrorCode(1_009_006_003, "操作失败，原因：找不到任务的审批人！");
    ErrorCode TASK_CREATE_FAIL_NO_START_SELECT_ASSIGNEE = new ErrorCode(1_009_006_004, "操作失败，原因：请选择审批人！");

    // ========== 动态表单模块 1-009-010-000 ==========
    ErrorCode FORM_NOT_EXISTS = new ErrorCode(1_009_010_000, "动态表单不存在");
    ErrorCode FORM_FIELD_REPEAT = new ErrorCode(1_009_010_001, "表单项({}) 和 ({}) 使用了相同的字段名({})");

    // ========== 用户组模块 1-009-011-000 ==========
    ErrorCode USER_GROUP_NOT_EXISTS = new ErrorCode(1_009_011_000, "用户分组不存在");
    ErrorCode USER_GROUP_IS_DISABLE = new ErrorCode(1_009_011_001, "名字为【{}】的用户分组已被禁用");

    // ========== 用户组模块 1-009-012-000 ==========
    ErrorCode CATEGORY_NOT_EXISTS = new ErrorCode(1_009_012_000, "流程分类不存在");
    ErrorCode CATEGORY_NAME_DUPLICATE = new ErrorCode(1_009_012_001, "流程分类名字【{}】重复");
    ErrorCode CATEGORY_CODE_DUPLICATE = new ErrorCode(1_009_012_002, "流程分类编码【{}】重复");

    // ========== BPM 流程监听器 1-009-013-000 ==========
    ErrorCode PROCESS_LISTENER_NOT_EXISTS = new ErrorCode(1_009_013_000, "流程监听器不存在");
    ErrorCode PROCESS_LISTENER_CLASS_NOT_FOUND = new ErrorCode(1_009_013_001, "流程监听器类({})不存在");
    ErrorCode PROCESS_LISTENER_CLASS_IMPLEMENTS_ERROR = new ErrorCode(1_009_013_002, "流程监听器类({})没有实现接口({})");
    ErrorCode PROCESS_LISTENER_EXPRESSION_INVALID = new ErrorCode(1_009_013_003, "流程监听器表达式({})不合法");

    // ========== BPM 流程表达式 1-009-014-000 ==========
    ErrorCode PROCESS_EXPRESSION_NOT_EXISTS = new ErrorCode(1_009_014_000, "流程表达式不存在");
    // ========== BPM 流程规则 1_009_015_000 ==========
    ErrorCode TASK_ASSIGN_RULE_NOT_EXISTS = new ErrorCode(1_009_015_000, "Bpm 任务规则不存在");
    ErrorCode TASK_ASSIGN_RULE_EXISTS = new ErrorCode(1_009_006_000, "流程({}) 的任务({}) 已经存在分配规则");
    ErrorCode TASK_UPDATE_FAIL_NOT_MODEL = new ErrorCode(1_009_006_002, "只有流程模型的任务分配规则，才允许被修改");
    ErrorCode TASK_ASSIGN_SCRIPT_NOT_EXISTS = new ErrorCode(1_009_006_004, "操作失败，原因：任务分配脚本({}) 不存在");


    ErrorCode SERVICE_ID_NOT_EXISTS = new ErrorCode(1009011000, "业务单据ID不能为空");
    ErrorCode DELETE_FAIL_NOT_STAGING = new ErrorCode(1009011001, "非暂存状态不能删除");

    // ========== 通用事项审批流程信息 1_009_017_000 ==========
    ErrorCode OA_UNIVERSAL_NOT_EXISTS = new ErrorCode(1_009_017_000, "通用事项审批信息不存在");
    // ========== 入职流程信息 1_009_017_001 ==========
    ErrorCode OA_ENTRY_NOT_EXISTS = new ErrorCode(1_009_017_001, "入职信息不存在");
    // ========== 转正流程信息 1_009_017_002 ==========
    ErrorCode OA_CONVERSION_NOT_EXISTS = new ErrorCode(1_009_017_002, "转正信息不存在");
    // ========== 合同续签流程信息 1_009_017_003 ==========
    ErrorCode OA_RENEW_NOT_EXISTS = new ErrorCode(1_009_017_003, "合同续签信息不存在");
    ErrorCode OA_RENEW_CONTRACT_START_DATE_GREATER_THAN_END_DATE = new ErrorCode(1_009_017_003, "续签结束日期不能早于续签开始日期");
    // ========== 离职流程信息 1_009_017_004 ==========
    ErrorCode OA_TURNOVER_NOT_EXISTS = new ErrorCode(1_009_017_004, "离职信息不存在");
    // ========== 请假流程信息 1_009_017_005 ==========
    ErrorCode OA_LEAVE_NOT_EXISTS = new ErrorCode(1_009_017_005, "请假信息不存在");
    // ========== 出差流程信息 1_009_017_006 ==========
    ErrorCode OA_BUSINESS_NOT_EXISTS = new ErrorCode(1_009_017_006, "出差信息不存在");
    // ========== 公务外出流程信息 1_009_017_007 ==========
    ErrorCode OA_OUT_NOT_EXISTS = new ErrorCode(1_009_017_007, "公务外出信息不存在");
    // ========== 领用流程信息 1_009_017_008 ==========
    ErrorCode OA_RECEIVE_NOT_EXISTS = new ErrorCode(1_009_017_008, "领用流程信息不存在");
    // ========== 采购流程信息 1_009_017_009 ==========
    ErrorCode OA_PURCHASE_NOT_EXISTS = new ErrorCode(1_009_017_009, "采购流程信息不存在");
    // ========== 报销流程信息 1_009_017_010 ==========
    ErrorCode OA_EXPENSE_NOT_EXISTS = new ErrorCode(1_009_017_010, "报销流程信息不存在");
    // ========== 用印流程信息 1_009_017_011 ==========
    ErrorCode OA_STAMP_NOT_EXISTS = new ErrorCode(1_009_017_011, "用印流程信息不存在");
    // ========== 会议室信息管理 1_009_017_012 ==========
    ErrorCode OA_MEETING_ROOM_NOT_EXISTS = new ErrorCode(1_009_017_012, "会议室信息管理不存在");
    // ========== 会议室预定管理信息 1_009_017_013 ==========
    ErrorCode OA_MEETING_RESERVE_NOT_EXISTS = new ErrorCode(1_009_017_013, "会议室预定管理信息不存在");
    // ========== 用印信息 1_009_017_014 ==========
    ErrorCode OA_STAMP_INFO_NOT_EXISTS = new ErrorCode(1_009_017_014, "用印信息不存在");


    // ========== 员工信息 1_009_018_000 ==========
    ErrorCode OA_EMPLOYEE_NOT_EXISTS = new ErrorCode(1_009_018_000, "员工信息不存在");

    // ========== 登录用户信息 1_009_018_001 ==========
    ErrorCode OA_LOGIN_USER_NOT_EXISTS = new ErrorCode(1_009_018_001, "登录用户不存在");

    ErrorCode OA_RECEIVE_OBJ_NAME_BLANK = new ErrorCode(1_009_018_002, "领用子项领用物品名字不能为空");
    ErrorCode OA_RECEIVE_OBJ_AMOUNT_ZERO = new ErrorCode(1_009_018_003, "领用子项领用物品数量必须为大于0的自然数");
    ErrorCode OA_PURCHASE_OBJ_NAME_BLANK = new ErrorCode(1_009_018_004, "采购子项采购物品名字不能为空");
    ErrorCode OA_PURCHASE_OBJ_AMOUNT_ZERO = new ErrorCode(1_009_018_005, "采购子项采购物品数量必须为大于0的自然数");
    ErrorCode OA_PURCHASE_OBJ_BUDGET_ZERO = new ErrorCode(1_009_018_006, "采购子项预算金额不能为空");
    ErrorCode OA_EXPENSE_OBJ_ITEM_BLANK = new ErrorCode(1_009_018_007, "报销子项费用项目不能为空");
    ErrorCode OA_EXPENSE_OBJ_MONEY_ZERO = new ErrorCode(1_009_018_008, "报销子项报销金额不能为空");
    ErrorCode OA_EXPENSE_OBJ_START_DATE_NULL = new ErrorCode(1_009_018_009, "报销子项开始日期不能为空");
    ErrorCode OA_EXPENSE_OBJ_END_DATE_NULL = new ErrorCode(1_009_018_010, "报销子项结束日期不能为空");
    // ========== 用印印章信息 1_009_018_011 ==========
    ErrorCode OA_STAMP_SEAL_NOT_EXISTS = new ErrorCode(1_009_018_011, "用印印章信息不存在");
    ErrorCode OA_MEETING_RESERVE_START_TIME_LESS_THAN_END_TIME = new ErrorCode(1_009_018_012, "会议室预定开始时间必须早于结束时间");
    ErrorCode OA_MEETING_RESERVE_START_TIME_MORE_THAN_NOW = new ErrorCode(1_009_018_013, "会议室预定开始时间不能早于当前时间");
    ErrorCode OA_MEETING_RESERVE_START_TIME_MORE_THAN_FIVE_MINUTES = new ErrorCode(1_009_018_014, "会议开始前5分钟后不能修改");
    ErrorCode OA_MEETING_RESERVE_STATUS_NOT_WAITING_CAN_NOT_CANCEL = new ErrorCode(1_009_018_015, "会议未开始的才能取消");
    ErrorCode OA_MEETING_RESERVE_STATUS_NOT_WAITING_CAN_NOT_START = new ErrorCode(1_009_018_016, "会议未开始的才能开始");
    ErrorCode OA_MEETING_RESERVE_STATUS_NOT_IN_PROGRESS_CAN_NOT_ENDED = new ErrorCode(1_009_018_017, "会议进行中的才能结束");
    ErrorCode OA_MEETING_RESERVE_TIME_OCCUPIED = new ErrorCode(1_009_018_018, "该时间段会议室已被占用");

    // ================操作数据权限===============
    ErrorCode OA_NOT_ALLOW_OPERATE_BY_OTHER = new ErrorCode(1_009_019_001, "只允许操作自己的数据");
}
