package cn.iocoder.yudao.module.bpm.enums;

public enum OaAuditStatusEnum {

    OA_AUDIT_STATUS_STAGING("0", "暂存"),
    OA_AUDIT_STATUS_COMMITTED("1", "已提交"),
    OA_AUDIT_STATUS_AUDITING("2", "审核中"),
    OA_AUDIT_STATUS_AUDITED("3", "已审核"),
    OA_AUDIT_STATUS_CLOSED("4", "已关闭"),
    OA_AUDIT_STATUS_RETURNED("5", "已驳回"),
    OA_AUDIT_STATUS_RECALLED("6", "已撤回"),
    ;

    private final String status;
    private final String statusDesc;

    OaAuditStatusEnum(String status, String statusDesc) {
        this.status = status;
        this.statusDesc = statusDesc;
    }

    public String getStatus() {
        return status;
    }

    public String getStatusDesc() {
        return statusDesc;
    }

    public static String getByStatus(String status) {
        for (OaAuditStatusEnum value : OaAuditStatusEnum.values()) {
            if (value.getStatus().equals(status)) {
                return value.getStatusDesc();
            }
        }
        return null;
    }
}
