package cn.iocoder.yudao.module.bpm.controller.admin.meeting.reserve.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 会议室预定管理信息新增/修改 Request VO")
@Data
public class OaMeetingReserveSaveReqVO {

    @Schema(description = "主键id")
    private Long id;

    @Schema(description = "会议室id", example = "2")
    private Long roomId;

    @Schema(description = "会议名称", example = "售前会议")
    @NotBlank(message = "会议名称不能为空")
    private String meetingName;

    @Schema(description = "会议开始时间")
    @NotBlank(message = "会议开始时间不能为空")
    private String startTime;

    @Schema(description = "会议结束时间")
    @NotBlank(message = "会议结束时间不能为空")
    private String endTime;

    @Schema(description = "参会人员id，逗号分隔")
    @NotEmpty(message = "参会人员不能为空")
    private List<Long> participants;

    @Schema(description = "会议内容")
    private String meetingContent;

}