package cn.iocoder.yudao.module.bpm.controller.admin.meeting.room.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 会议室信息管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaMeetingRoomRespVO {

    @Schema(description = "主键id", example = "2")
    private Long id;

    @Schema(description = "会议室uuid", example = "788dcb3483d54782bc71875e523e8deb")
    private String roomUuid;

    @Schema(description = "会议室名称", example = "上海会议室")
    @ExcelProperty("会议室名称")
    private String name;

    @Schema(description = "可容纳人数")
    @ExcelProperty("可容纳人数")
    private String size;

    @Schema(description = "管理员id", example = "1")
    private Long managerId;

    @Schema(description = "管理员姓名")
    @ExcelProperty("管理员姓名")
    private String managerName;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}