package cn.iocoder.yudao.module.bpm.controller.admin.meeting.room.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 会议室信息管理新增/修改 Request VO")
@Data
public class OaMeetingRoomSaveReqVO {

    @Schema(description = "主键id")
    private Long id;

    @Schema(description = "会议室名称", example = "会议室1")
    @NotBlank(message = "会议室名称不能为空")
    private String name;

    @Schema(description = "可容纳人数")
    @NotBlank(message = "可容纳人数不能为空")
    @Min(value = 1, message = "可容纳人数最小值为 1")
    private String size;

    @Schema(description = "管理员id", example = "1")
    @NotNull(message = "管理员不能为空")
    private Long managerId;

    @Schema(description = "备注")
    private String remarks;

}