package cn.iocoder.yudao.module.bpm.controller.admin.oa.business.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 出差流程信息新增/修改 Request VO")
@Data
public class OaBusinessSaveReqVO {

    @Schema(description = "出差表单主键")
    private Long id;

    @Schema(description = "出差人id")
    @NotNull(message = "出差人id不能为空")
    private Long employeeId;

    @Schema(description = "出差事由")
    @NotBlank(message = "出差事由不能为空")
    private String reason;

    @Schema(description = "出差目的地")
    @NotBlank(message = "出差目的地不能为空")
    private String destination;

    @Schema(description = "出差开始日期")
    @NotBlank(message = "出差开始日期不能为空")
    private String startDate;

    @Schema(description = "出差结束日期")
    @NotBlank(message = "出差结束日期不能为空")
    private String endDate;

    @Schema(description = "出差天数（d）")
    @NotBlank(message = "出差天数（d）不能为空")
    private String day;

    @Schema(description = "出差预算费用，单位（元）")
    @NotNull(message = "出差预算费用，单位（元）不能为空")
    private BigDecimal estimatedCost;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "发起人选择的审批人", example = "[100,1]")
    @NotEmpty(message = "发起人选择的审批人不能为空")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}