package cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo;

import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 转正流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaConversionPageReqVO extends PageParam {

    @Schema(description = "转正员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "转正员工手机号", example = "1394920000")
    private String employeePhone;

    @Schema(description = "部门id", example = "14341")
    private Long deptId;

    @Schema(description = "职位id")
    private Long postId;

    @Schema(description = "转正日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] conversionDate;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "申请人")
    private String applyEmployeeName;

    @Schema(description = "申请时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;


}