package cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 转正流程信息新增/修改 Request VO")
@Data
public class OaConversionSaveReqVO {

    @Schema(description = "转正表单主键", example = "1")
    private Long id;

    @Schema(description = "转正人id", example = "1")
    @NotNull(message = "转正人id不能为空")
    private Long employeeId;

    @Schema(description = "转正日期", example = "2024-07-24")
    @NotBlank(message = "转正日期不能为空")
    private String conversionDate;

    @Schema(description = "转正申请理由", example = "转正申请理由")
    @NotBlank(message = "转正申请理由不能为空")
    private String conversionReason;

    @Schema(description = "工作总结")
    private String workSummary;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "发起人自选审批人id集合", example = " [100, 1]")
    @NotEmpty(message = "发起人自选审批人集合不能为空")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id集合", example = "[1, 2]")
    private List<Long> fileIdList;

}