package cn.iocoder.yudao.module.bpm.controller.admin.oa.entry.vo;

import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 入职流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaEntryPageReqVO extends PageParam {

    @Schema(description = "入职人", example = "李四")
    private String entryName;

    @Schema(description = "部门", example = "2937")
    private String deptId;

    @Schema(description = "职位id")
    private Long postId;

    @Schema(description = "员工类型", example = "1")
    private String employeeType;

    @Schema(description = "性别")
    private String gender;

    @Schema(description = "联系电话")
    private String contactNumber;

    @Schema(description = "入职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] entryDate;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;


}