package cn.iocoder.yudao.module.bpm.controller.admin.oa.purchase.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 采购流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaPurchasePageReqVO extends PageParam {

    @Schema(description = "采购申请员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "采购申请员工手机号")
    private String employeePhone;

    @Schema(description = "部门id", example = "32213")
    private Long deptId;

    @Schema(description = "职位id")
    private Long postId;

    @Schema(description = "预期供应商", example = "赵六")
    private String supplierName;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    private String auditStatus;

    @Schema(description = "申请人员工姓名", example = "李四")
    private String applyEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;


}