package cn.iocoder.yudao.module.bpm.controller.admin.oa.purchase.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.purchase.OaPurchaseObjDO;

@Schema(description = "管理后台 - 采购流程信息新增/修改 Request VO")
@Data
public class OaPurchaseSaveReqVO {

    @Schema(description = "表单主键", example = "1")
    private Long id;

    @Schema(description = "总预算金额，单位（元）")
    @NotNull(message = "总预算金额，单位（元）不能为空")
    @Min(value = 0, message = "总预算金额，单位（元）最小值为 0")
    private BigDecimal totalBudget;

    @Schema(description = "预期供应商", example = "供应商1")
    // @NotEmpty(message = "预期供应商不能为空")
    private String supplierName;

    @Schema(description = "采购事由", example = "不香")
    @NotBlank(message = "采购事由不能为空")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "采购流程信息子表列表")
    @NotEmpty(message = "采购流程信息子项列表不能为空")
    private List<OaPurchaseObjDO> oaPurchaseObjs;

    @Schema(description = "发起人自选审批人", example = " [100, 1]")
    @NotEmpty(message = "发起人自选审批人不能为空")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;


}