package cn.iocoder.yudao.module.bpm.controller.admin.oa.receive.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.receive.OaReceiveObjDO;

@Schema(description = "管理后台 - 领用流程信息新增/修改 Request VO")
@Data
public class OaReceiveSaveReqVO {

    @Schema(description = "主键", example = "1")
    private Long id;

    @Schema(description = "领用日期")
    @NotEmpty(message = "领用日期不能为空")
    private String receiveDate;

    @Schema(description = "领用原因", example = "喜欢")
    @NotEmpty(message = "领用原因不能为空")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "领用流程信息子项列表")
    @NotEmpty(message = "领用流程信息子项列表不能为空")
    private List<OaReceiveObjDO> oaReceiveObjs;

    @Schema(description = "发起人自选审批人", example = " [100, 1]")
    @NotEmpty(message = "发起人自选审批人不能为空")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}