package cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 合同续签流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaRenewPageReqVO extends PageParam {

    @Schema(description = "续签员工姓名", example = "赵六")
    private String employeeName;

    @Schema(description = "续签员工手机号", example = "1394920000")
    private String employeePhone;

    @Schema(description = "部门id", example = "28162")
    private Long deptId;

    @Schema(description = "职位id")
    private Long postId;

    @Schema(description = "续签开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] renewContractStartDate;

    @Schema(description = "续签结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] renewContractEndDate;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回、6已撤回）", example = "1")
    private String auditStatus;

    @Schema(description = "申请人")
    private String applyEmployeeName;

    @Schema(description = "申请时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;


}