package cn.iocoder.yudao.module.bpm.controller.admin.oa.renew.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.employee.api.dto.EmployeeRespDTO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import cn.iocoder.yudao.module.system.api.user.dto.AdminUserRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 合同续签流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaRenewRespVO {

    @Schema(description = "续签表单主键")
    // @ExcelProperty("续签表单主键")
    private Long id;

    @Schema(description = "uuid")
    // @ExcelProperty("uuid")
    private String renewId;

    @Schema(description = "续签人id")
    // @ExcelProperty("续签人id")
    private Long employeeId;

    @Schema(description = "续签员工姓名")
    @ExcelProperty("续签人")
    private String employeeName;

    @Schema(description = "用户账号id")
    // @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "部门id")
    // @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "职位id")
    // @ExcelProperty("职位id")
    private Long postId;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "续签员工手机号")
    @ExcelProperty("手机号")
    private String employeePhone;

    @Schema(description = "原合同开始日期")
    // @ExcelProperty("原合同开始日期")
    private String oldContractStartDate;

    @Schema(description = "原合同结束日期")
    // @ExcelProperty("原合同结束日期")
    private String oldContractEndDate;

    @Schema(description = "续签合同期限")
    // @ExcelProperty("续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签开始日期")
    @ExcelProperty("续签开始日期")
    private String renewContractStartDate;

    @Schema(description = "续签结束日期")
    @ExcelProperty("续签结束日期")
    private String renewContractEndDate;

    @Schema(description = "续签理由")
    // @ExcelProperty("续签理由")
    private String renewReason;

    @Schema(description = "工作表现")
    // @ExcelProperty("工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    // @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id")
    // @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "申请人id")
    // @ExcelProperty("申请人id")
    private Long applyEmployeeId;

    @Schema(description = "申请人姓名")
    @ExcelProperty("申请人")
    private String applyEmployeeName;

    @Schema(description = "申请时间")
    @ExcelProperty("申请时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    // @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    @ExcelProperty("状态")
    private String auditStatusDesc;

    @Schema(description = "当前审核人用户id")
    // @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "当前审核人员工id")
    // @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名")
    @ExcelProperty("当前处理人")
    private String currentAuditEmployeeName;

    @Schema(description = "最后审核时间")
    // @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<EmployeeRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}