package cn.iocoder.yudao.module.bpm.controller.admin.oa.stamp.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskRespVO;
import cn.iocoder.yudao.module.employee.api.dto.EmployeeRespDTO;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 用印流程信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaStampRespVO {

    @Schema(description = "表单主键")
    // @ExcelProperty("表单主键")
    private Long id;

    @Schema(description = "用印申请人id")
    // @ExcelProperty("用印申请人id")
    private Long employeeId;

    @Schema(description = "用印申请员工姓名")
    @ExcelProperty("用印人")
    private String employeeName;

    @Schema(description = "用户账号id")
    // @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "部门id")
    // @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "职位id")
    // @ExcelProperty("职位id")
    private Long postId;

    @Schema(description = "员工职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "用印申请员工手机号")
    @ExcelProperty("手机号")
    private String employeePhone;

    @Schema(description = "用印标题")
    @ExcelProperty("用印标题")
    private String stampTitle;

    @Schema(description = "印章id，多个用逗号分隔")
    // @ExcelProperty("印章id集合")
    private List<Long> stampSealId;

    @Schema(description = "用印事由")
    // @ExcelProperty("用印事由")
    private String reason;

    @Schema(description = "备注")
    // @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "流程实例id")
    // @ExcelProperty("流程实例id")
    private String procInstId;

    @Schema(description = "申请人员工id")
    // @ExcelProperty("申请人员工id")
    private Long applyEmployeeId;

    @Schema(description = "申请人员工姓名")
    // @ExcelProperty("申请人")
    private String applyEmployeeName;

    @Schema(description = "创建时间")
    @ExcelProperty("申请时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    // @ExcelProperty("审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    private String auditStatus;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）")
    @ExcelProperty("状态")
    private String auditStatusDesc;

    @Schema(description = "当前审核人员工id")
    // @ExcelProperty("当前审核人员工id")
    private Long currentAuditEmployeeId;

    @Schema(description = "当前审核人员工姓名")
    @ExcelProperty("当前处理人")
    private String currentAuditEmployeeName;

    @Schema(description = "当前审核人用户id")
    // @ExcelProperty("当前审核人用户id")
    private Long currentAuditUserId;

    @Schema(description = "最后审核时间")
    // @ExcelProperty("最后审核时间")
    private LocalDateTime finalAuditDate;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    // @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;

    @Schema(description = "审批记录列表")
    private List<BpmTaskRespVO> auditRecordList;

    @Schema(description = "审批人员列表")
    private List<EmployeeRespDTO> auditUserList;

    @Schema(description = "当前用户待处理的任务id")
    private String taskId;

}