package cn.iocoder.yudao.module.bpm.controller.admin.oa.stamp.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Schema(description = "管理后台 - 用印流程信息新增/修改 Request VO")
@Data
public class OaStampSaveReqVO {

    @Schema(description = "表单主键", example = "1")
    private Long id;

    @Schema(description = "用印标题")
    @NotBlank(message = "用印标题不能为空")
    private String stampTitle;

    @Schema(description = "印章id，多个用逗号分隔", example = "[1,2]")
    @NotEmpty(message = "印章id集合不能为空")
    private List<Long> stampSealId;

    @Schema(description = "用印事由", example = "用印事由123")
    private String reason;

    @Schema(description = "备注")
    private String remarks;


    @Schema(description = "发起人自选审批人", example = " [100, 1]")
    @NotEmpty(message = "发起人自选审批人不能为空")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;


}