package cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo;

import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 离职流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaTurnoverPageReqVO extends PageParam {

    @Schema(description = "离职员工姓名", example = "赵六")
    private String employeeName;

    @Schema(description = "离职员工手机号", example = "1394920000")
    private String employeePhone;

    @Schema(description = "部门id", example = "24445")
    private Long deptId;

    @Schema(description = "职位id")
    private Long postId;

    @Schema(description = "离职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String[] turnoverDate;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "2")
    private String auditStatus;

    @Schema(description = "申请人")
    private String applyEmployeeName;

    @Schema(description = "申请时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;


}