package cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo;

import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.*;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 离职流程信息新增/修改 Request VO")
@Data
public class OaTurnoverSaveReqVO {

    @Schema(description = "离职表单主键",example = "1")
    private Long id;

    @Schema(description = "离职人id", example = "1")
    @NotNull(message = "离职人不能为空")
    private Long employeeId;

    @Schema(description = "离职日期")
    @NotBlank(message = "离职日期不能为空")
    private String turnoverDate;

    @Schema(description = "离职原因", example = "职业规划")
    @NotBlank(message = "离职原因不能为空")
    private String turnoverReason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "发起人自选审批人", example = " [100, 1]")
    @NotEmpty(message = "发起人自选审批人不能为空")
    private List<Long> startUserSelectAssignees;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}