package cn.iocoder.yudao.module.bpm.controller.admin.oa.universal.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 通用事项审批流程信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaUniversalPageReqVO extends PageParam {

    @Schema(description = "申请员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "申请员工手机号", example = "13900000000")
    private String employeePhone;

    @Schema(description = "部门id", example = "12910")
    private Long deptId;

    @Schema(description = "职位id")
    private String postId;

    @Schema(description = "申请事项标题")
    private String title;

    @Schema(description = "审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）", example = "1")
    private String auditStatus;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;

}