package cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 用印信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OaStampInfoPageReqVO extends PageParam {

    @Schema(description = "用印申请员工姓名", example = "竽道")
    private String employeeName;

    @Schema(description = "用印申请员工手机号", example = "13")
    private String employeePhone;

    @Schema(description = "部门id", example = "101")
    private Long deptId;

    @Schema(description = "员工职位id")
    private Long postId;

    @Schema(description = "用印标题", example = "用印标题")
    private String stampTitle;

    @Schema(description = "状态（0已完成、1已作废、2已生效）", example = "1")
    private String status;

    @Schema(description = "数据来源，0流程添加、1手动添加", example = "1")
    private String infoSource;

    @Schema(description = "创建员工姓名", example = "创建员工姓名")
    @ExcelProperty("创建员工姓名")
    private String createEmployeeName;

    @Schema(description = "创建时间", example = "2024-08-01 00:00:00,2024-08-01 23:59:59")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;


}