package cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 用印信息新增/修改 Request VO")
@Data
public class OaStampInfoSaveReqVO {

    @Schema(description = "表单主键")
    private Long id;

    @Schema(description = "用印员工id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "用印员工id不能为空")
    private Long employeeId;

    @Schema(description = "用印标题", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotBlank(message = "用印标题不能为空")
    private String stampTitle;

    @Schema(description = "印章id集合", requiredMode = Schema.RequiredMode.REQUIRED, example = "[1,2]")
    @NotEmpty(message = "印章id集合不能为空")
    private List<Long> stampSealId;

    @Schema(description = "用印事由", requiredMode = Schema.RequiredMode.REQUIRED, example = "不喜欢")
    @NotBlank(message = "用印事由不能为空")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}