package cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampseal.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 用印印章信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OaStampSealRespVO {

    @Schema(description = "主键")
    // @ExcelProperty("主键")
    private Long id;

    @Schema(description = "类型：1印章，目前只有印章")
    // @ExcelProperty("类型：1印章，目前只有印章")
    private String type;

    @Schema(description = "印章名称", example = "李四")
    @ExcelProperty("印章名称")
    private String sealName;

    @Schema(description = "状态，1打开 2关闭")
    // @ExcelProperty("状态，1打开 2关闭")
    private String status;

    @Schema(description = "状态描述，1打开 2关闭")
    @ExcelProperty("状态")
    private String statusDesc;

    @Schema(description = "有效期起")
    @ExcelProperty("有效期起")
    private String startDate;

    @Schema(description = "有效期止")
    @ExcelProperty("有效期止")
    private String endDate;

    @Schema(description = "备注")
    // @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建员工姓名")
    @ExcelProperty("创建人")
    private String createEmployeeName;

    @Schema(description = "创建员工id")
    // @ExcelProperty("创建员工id")
    private Long creator;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;
}