package cn.iocoder.yudao.module.bpm.controller.admin.task.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - Bpm 任务规则分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmTaskAssignRulePageReqVO extends PageParam {

    @Schema(description = "流程模型的编号", example = "1174")
    private String modelId;

    @Schema(description = "流程定义的编号", example = "23738")
    private String processDefinitionId;

    @Schema(description = "流程任务定义的key")
    private String taskDefinitionKey;

    @Schema(description = "规则类型", example = "1")
    private Integer type;

    @Schema(description = "规则值，JSON 数组")
    private String options;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}