package cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

@Schema(description = "管理后台 - 回退流程任务的 Request VO")
@Data
public class BpmTaskReturnReqVO {

    @Schema(description = "任务编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "1024")
    @NotBlank(message = "任务编号不能为空")
    private String id;

    @Schema(description = "回退到的任务 Key", requiredMode = Schema.RequiredMode.AUTO, example = "modifyApply")
    // @NotEmpty(message = "回退到的任务 Key 不能为空")
    private String targetTaskDefinitionKey;

    @Schema(description = "回退意见", requiredMode = Schema.RequiredMode.REQUIRED, example = "我就是想驳回，谁同意，谁反对？")
    @NotBlank(message = "回退意见不能为空")
    private String reason;

    @Schema(description = "任务状态(冗余字段)")
    private Integer taskStatus;

}
