package cn.iocoder.yudao.module.bpm.dal.dataobject.meeting.reserve;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会议室预定管理信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_meeting_reserve")
@KeySequence("bpm_oa_meeting_reserve_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaMeetingReserveDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 预定uuid
     */
    private String reserveUuid;
    /**
     * 会议室id
     */
    private Long roomId;
    /**
     * 会议室uuid
     */
    private Long roomUuid;
    /**
     * 会议名称
     */
    private String meetingName;
    /**
     * 会议开始时间
     */
    private String startTime;
    /**
     * 会议结束时间
     */
    private String endTime;
    /**
     * 申请人id
     */
    private Long applyEmployeeId;
    /**
     * 申请人手机号
     */
    private String applyEmployeePhone;
    /**
     * 申请人部门
     */
    private Long deptId;
    /**
     * 参会人数
     */
    private String number;
    /**
     * 参会人员id，逗号分隔
     */
    private String participants;
    /**
     * 发送类型：1站内信 2短信 3邮件，目前仅1启用
     */
    private String sendType;
    /**
     * 会议预定状态：1未开始 2进行中 3已结束 4已取消
     */
    private String status;
    /**
     * 会议内容
     */
    private String meetingContent;

}