package cn.iocoder.yudao.module.bpm.dal.dataobject.meeting.room;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 会议室信息管理 DO
 *
 * @author dp
 */
@TableName("bpm_oa_meeting_room")
@KeySequence("bpm_oa_meeting_room_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaMeetingRoomDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 会议室uuid
     */
    private String roomUuid;
    /**
     * 会议室名称
     */
    private String name;
    /**
     * 可容纳人数
     */
    private String size;
    /**
     * 管理员id
     */
    private Long managerId;
    /**
     * 管理员uuid
     */
    private String managerUuid;
    /**
     * 管理员姓名
     */
    private String managerName;
    /**
     * 备注
     */
    private String remarks;

}