package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.business;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 出差流程信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_business")
@KeySequence("bpm_oa_business_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaBusinessDO extends BaseDO {

    /**
     * 出差表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String businessId;
    /**
     * 出差人id
     */
    private Long employeeId;
    /**
     * 出差人uuid
     */
    private String employeeUuid;
    /**
     * 出差员工姓名
     */
    private String employeeName;
    /**
     * 出差员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 出差事由
     */
    private String reason;
    /**
     * 出差目的地
     */
    private String destination;
    /**
     * 出差开始日期
     */
    private String startDate;
    /**
     * 出差结束日期
     */
    private String endDate;
    /**
     * 出差天数（d）
     */
    private String day;
    /**
     * 出差预算费用，单位（元）
     */
    private BigDecimal estimatedCost;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回、6已撤回）
     */
    private String auditStatus;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 当前审核人员工姓名
     */
    private String currentAuditEmployeeName;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 发起人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 申请人员工id
     */
    private Long applyEmployeeId;
    /**
     * 申请人员工姓名
     */
    private String applyEmployeeName;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;

}