package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.conversion;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 转正流程信息 DO
 *
 * @author 芋道源码
 */
@TableName("bpm_oa_conversion")
@KeySequence("bpm_oa_conversion_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaConversionDO extends BaseDO {

    /**
     * 转正表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String conversionId;
    /**
     * 转正人id
     */
    private Long employeeId;
    /**
     * 转正人uuid
     */
    private String employeeUuid;
    /**
     * 转正员工姓名
     */
    private String employeeName;
    /**
     * 转正员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 试用期结束日期
     */
    private String probationEndDate;
    /**
     * 转正日期
     */
    private String conversionDate;
    /**
     * 转正申请理由
     */
    private String conversionReason;
    /**
     * 工作总结
     */
    private String workSummary;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回、6已撤回）
     */
    private String auditStatus;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 当前审核人员工姓名
     */
    private String currentAuditEmployeeName;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 申请人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 申请人id
     */
    private Long applyEmployeeId;
    /**
     * 申请人姓名
     */
    private String applyEmployeeName;
}