package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.entry;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 入职流程信息 DO
 *
 * @author 芋道源码
 */
@TableName("bpm_oa_entry")
@KeySequence("bpm_oa_entry_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaEntryDO extends BaseDO {
    /**
     * 入职表单主键
     */
    @TableId
    private Long id;

    /**
     * uuid
     */
    private String entryId;
    /**
     * 入职人
     */
    private String entryName;
    /**
     * 部门
     */
    private Long deptId;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 员工类型
     */
    private String employeeType;
    /**
     * 性别
     */
    private String gender;
    /**
     * 出生日期
     */
    private String birthday;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 教育背景
     */
    private String education;
    /**
     * 工作经验
     */
    private String workExperience;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 备注
     */
    private String remarks;


    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5驳回）
     */
    private String auditStatus;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 申请人员工id
     */
    private Long applyEmployeeId;
    /**
     * 申请人员工姓名
     */
    private String applyEmployeeName;
    /**
     * 申请人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;

}