package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.leave;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 请假流程信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_leave")
@KeySequence("bpm_oa_leave_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaLeaveDO extends BaseDO {

    /**
     * 请假表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String leaveId;
    /**
     * 请假人id
     */
    private Long employeeId;
    /**
     * 请假人uuid
     */
    private String employeeUuid;
    /**
     * 请假员工姓名
     */
    private String employeeName;
    /**
     * 请假员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 请假类型
     */
    private String leaveType;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 具体到上下午，am上午 pm下午
     */
    private String startTime;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 具体到上下午，am上午 pm下午
     */
    private String endTime;
    /**
     * 请假天数
     */
    private String day;
    /**
     * 请假原因
     */
    private String reason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回、6已撤回）
     */
    private String auditStatus;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 当前审核人员工姓名
     */
    private String currentAuditEmployeeName;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 申请人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 申请人id
     */
    private Long applyEmployeeId;
    /**
     * 申请人姓名
     */
    private String applyEmployeeName;

}