package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.purchase;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 采购流程信息子表 DO
 *
 * @author dp
 */
@TableName("bpm_oa_purchase_obj")
@KeySequence("bpm_oa_purchase_obj_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaPurchaseObjDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 采购主表id
     */
    private Long purchaseId;
    /**
     * 采购主表uuid
     */
    private String purchaseUuid;
    /**
     * 采购子表uuid
     */
    private String purchaseObjUuid;
    /**
     * 采购物资名称
     */
    private String name;
    /**
     * 采购数量
     */
    private Integer amount;
    /**
     * 预算金额，单位（元）
     */
    private BigDecimal budget;

}