package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.receive;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 领用流程信息子表 DO
 *
 * @author dp
 */
@TableName("bpm_oa_receive_obj")
@KeySequence("bpm_oa_receive_obj_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaReceiveObjDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 领用主表id
     */
    private Long receiveId;
    /**
     * 领用主表uuid
     */
    private String receiveUuid;
    /**
     * 领用子表uuid
     */
    private String receiveObjId;
    /**
     * 领用物品名称
     */
    private String name;
    /**
     * 领用数量
     */
    private Integer amount;
    /**
     * 规格型号
     */
    private String config;

}