package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.renew;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 合同续签流程信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_renew")
@KeySequence("bpm_oa_renew_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaRenewDO extends BaseDO {

    /**
     * 续签表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String renewId;
    /**
     * 续签人id
     */
    private Long employeeId;
    /**
     * 续签人uuid
     */
    private String employeeUuid;
    /**
     * 续签员工姓名
     */
    private String employeeName;
    /**
     * 续签员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 原合同开始日期
     */
    private String oldContractStartDate;
    /**
     * 原合同结束日期
     */
    private String oldContractEndDate;
    /**
     * 续签合同期限
     */
    private String renewPeriod;
    /**
     * 续签开始日期
     */
    private String renewContractStartDate;
    /**
     * 续签结束日期
     */
    private String renewContractEndDate;
    /**
     * 续签理由
     */
    private String renewReason;
    /**
     * 工作表现
     */
    private String workPerformance;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回、6已撤回）
     */
    private String auditStatus;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 当前审核人员工姓名
     */
    private String currentAuditEmployeeName;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 申请人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 申请人id
     */
    private Long applyEmployeeId;
    /**
     * 申请人姓名
     */
    private String applyEmployeeName;

}