package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.stamp;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 用印流程信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_stamp")
@KeySequence("bpm_oa_stamp_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaStampDO extends BaseDO {

    /**
     * 表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String stampUuid;
    /**
     * 用印申请人id
     */
    private Long employeeId;
    /**
     * 用印申请人uuid
     */
    private String employeeUuid;
    /**
     * 用印申请员工姓名
     */
    private String employeeName;
    /**
     * 用印申请员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 用印标题
     */
    private String stampTitle;
    /**
     * 印章id，多个用逗号分隔
     */
    private String stampSealId;
    /**
     * 用印事由
     */
    private String reason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）
     */
    private String auditStatus;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 当前审核人员工姓名
     */
    private String currentAuditEmployeeName;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 发起人选择的审批人，多个用逗号分隔
     */
    private String startUserSelectAssignees;
    /**
     * 申请人员工id
     */
    private Long applyEmployeeId;
    /**
     * 申请人员工姓名
     */
    private String applyEmployeeName;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;

}