package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.turnover;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.time.LocalDateTime;

/**
 * 离职流程信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_turnover")
@KeySequence("bpm_oa_turnover_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaTurnoverDO extends BaseDO {

    /**
     * 离职表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String turnoverId;
    /**
     * 转正人id
     */
    private Long employeeId;
    /**
     * 转正人uuid
     */
    private String employeeUuid;
    /**
     * 转正员工姓名
     */
    private String employeeName;
    /**
     * 离职员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 离职日期
     */
    private String turnoverDate;
    /**
     * 离职原因
     */
    private String turnoverReason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）
     */
    private String auditStatus;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 当前审核人员工姓名
     */
    private String currentAuditEmployeeName;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 申请人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 申请人id
     */
    private Long applyEmployeeId;
    /**
     * 申请人姓名
     */
    private String applyEmployeeName;


}