package cn.iocoder.yudao.module.bpm.dal.dataobject.oa.universal;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 通用事项审批流程信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_universal")
@KeySequence("bpm_oa_universal_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaUniversalDO extends BaseDO {

    /**
     * 自增主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String universalId;
    /**
     * 申请人id
     */
    private Long employeeId;
    /**
     * 申请人uuid
     */
    private String employeeUuid;
    /**
     * 申请员工姓名
     */
    private String employeeName;
    /**
     * 申请员工手机号
     */
    private String employeePhone;
    /**
     * 申请用户账号id
     */
    private Long userId;
    /**
     * 申请用户账号uuid
     */
    private String userUuid;
    /**
     * 申请用户手机号
     */
    private String userPhone;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 申请事项标题
     */
    private String title;
    /**
     * 详细描述
     */
    private String description;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 流程实例id
     */
    private String procInstId;
    /**
     * 审核状态（0暂存、1已提交、2审核中、3已审核、4已关闭、5已驳回）
     */
    private String auditStatus;
    /**
     * 当前审核人用户id
     */
    private Long currentAuditUserId;
    /**
     * 当前审核人用户uuid
     */
    private String currentAuditUserUuid;
    /**
     * 当前审核人员工id
     */
    private Long currentAuditEmployeeId;
    /**
     * 当前审核人员工uuid
     */
    private String currentAuditEmployeeUuid;
    /**
     * 最后审核时间
     */
    private LocalDateTime finalAuditDate;
    /**
     * 申请人选择的审批人
     */
    private String startUserSelectAssignees;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;

}