package cn.iocoder.yudao.module.bpm.dal.dataobject.stamp.stampinfo;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 用印信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_stamp_info")
@KeySequence("bpm_oa_stamp_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaStampInfoDO extends BaseDO {

    /**
     * 表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String stampUuid;
    /**
     * 用印申请人id
     */
    private Long employeeId;
    /**
     * 用印申请人uuid
     */
    private String employeeUuid;
    /**
     * 用印申请员工姓名
     */
    private String employeeName;
    /**
     * 用印申请员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 用印标题
     */
    private String stampTitle;
    /**
     * 印章id，多个用逗号分隔
     */
    private String stampSealId;
    /**
     * 用印事由
     */
    private String reason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态（0已完成、1已作废、2已生效）
     */
    private String status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建员工id
     */
    private Long createEmployeeId;

}