package cn.iocoder.yudao.module.bpm.dal.dataobject.stamp.stampseal;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用印印章信息 DO
 *
 * @author dp
 */
@TableName("bpm_oa_stamp_seal")
@KeySequence("bpm_oa_stamp_seal_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OaStampSealDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String sealUuid;
    /**
     * 类型：1印章，目前只有印章
     */
    private String type;
    /**
     * 印章名称
     */
    private String sealName;
    /**
     * 状态，1打开 2关闭
     */
    private String status;
    /**
     * 有效期起
     */
    private String startDate;
    /**
     * 有效期止
     */
    private String endDate;
    /**
     * 备注
     */
    private String remarks;

}