package cn.iocoder.yudao.module.bpm.dal.mysql.meeting.reserve;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.meeting.reserve.vo.OaMeetingReservePageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.meeting.reserve.OaMeetingReserveDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 会议室预定管理信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaMeetingReserveMapper extends BaseMapperX<OaMeetingReserveDO> {

    default PageResult<OaMeetingReserveDO> selectPage(OaMeetingReservePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaMeetingReserveDO>()
                .eqIfPresent(OaMeetingReserveDO::getRoomId, reqVO.getRoomId())
                .likeIfPresent(OaMeetingReserveDO::getMeetingName, reqVO.getMeetingName())
                .betweenIfPresent(OaMeetingReserveDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(OaMeetingReserveDO::getEndTime, reqVO.getEndTime())
                .orderByDesc(OaMeetingReserveDO::getId));
    }

}