package cn.iocoder.yudao.module.bpm.dal.mysql.stamp.stampinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.tenant.core.aop.TenantIgnore;
import cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo.OaStampInfoPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo.OaStampInfoRespVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.stamp.stampinfo.OaStampInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用印信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface OaStampInfoMapper extends BaseMapperX<OaStampInfoDO> {

    default PageResult<OaStampInfoDO> selectPage(OaStampInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OaStampInfoDO>()
                .likeIfPresent(OaStampInfoDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(OaStampInfoDO::getEmployeePhone, reqVO.getEmployeePhone())
                .eqIfPresent(OaStampInfoDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(OaStampInfoDO::getPosition, reqVO.getPostId())
                .eqIfPresent(OaStampInfoDO::getStampTitle, reqVO.getStampTitle())
                .eqIfPresent(OaStampInfoDO::getStatus, reqVO.getStatus())
                .eqIfPresent(OaStampInfoDO::getInfoSource, reqVO.getInfoSource())
                .betweenIfPresent(OaStampInfoDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(OaStampInfoDO::getId));
    }

    long selectPageCount(@Param("page") OaStampInfoPageReqVO pageReqVO);

    List<OaStampInfoRespVO> selectPageList(@Param("page") OaStampInfoPageReqVO pageReqVO);
}