package cn.iocoder.yudao.module.bpm.service.meeting.room;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.api.metting.room.vo.OaMeetingRoomRespDTO;
import cn.iocoder.yudao.module.bpm.controller.admin.meeting.room.vo.OaMeetingRoomPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.meeting.room.vo.OaMeetingRoomRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.meeting.room.vo.OaMeetingRoomSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.meeting.room.OaMeetingRoomDO;

import javax.validation.Valid;
import java.util.Collection;
import java.util.List;

/**
 * 会议室信息管理 Service 接口
 *
 * @author dp
 */
public interface OaMeetingRoomService {

    /**
     * 创建会议室信息管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaMeetingRoom(@Valid OaMeetingRoomSaveReqVO createReqVO);

    /**
     * 更新会议室信息管理
     *
     * @param updateReqVO 更新信息
     */
    void updateOaMeetingRoom(@Valid OaMeetingRoomSaveReqVO updateReqVO);

    /**
     * 删除会议室信息管理
     *
     * @param id 编号
     */
    void deleteOaMeetingRoom(Long id);

    /**
     * 获得会议室信息管理
     *
     * @param id 编号
     * @return 会议室信息管理
     */
    OaMeetingRoomDO getOaMeetingRoom(Long id);

    /**
     * 获得会议室信息管理分页
     *
     * @param pageReqVO 分页查询
     * @return 会议室信息管理分页
     */
    PageResult<OaMeetingRoomDO> getOaMeetingRoomPage(OaMeetingRoomPageReqVO pageReqVO);

    /**
     * 获得会议室信息管理列表
     *
     * @return 会议室信息管理列表
     */
    List<OaMeetingRoomDO> getOaMeetingRoomList();

    /**
     * 根据主键id集合获得会议室信息管理列表
     *
     * @param ids 主键id集合
     * @return 会议室信息管理列表
     */
    List<OaMeetingRoomRespDTO> getOaMeetingRoomList(Collection<Long> ids);
}