package cn.iocoder.yudao.module.bpm.service.oa.expense;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.expense.vo.OaExpensePageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.expense.vo.OaExpenseRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.expense.vo.OaExpenseSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskReturnReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.expense.OaExpenseObjDO;

import java.util.List;

/**
 * 报销流程信息 Service 接口
 *
 * @author dp
 */
public interface OaExpenseService {

    Long stagingOaExpense(OaExpenseSaveReqVO stagingReqVO);

    Long commitOaExpense(OaExpenseSaveReqVO commitReqVO);

    Long agreeOaExpense(BpmTaskApproveReqVO agreeReqVO);

    Long disagreeOaExpense(BpmTaskReturnReqVO disagreeReqVO);

    Long revocationOaExpense(BpmTaskApproveReqVO revocationReqVO);

    Long reCommitOaExpense(OaExpenseSaveReqVO reCommitReqVO);

    Long closeOaExpense(Long id);

    void deleteOaExpense(Long id);

    OaExpenseRespVO getOaExpense(Long id);

    OaExpenseRespVO getOaExpenseByProcInstId(String procInstId);

    PageResult<OaExpenseRespVO> getOaExpensePage(OaExpensePageReqVO pageReqVO);

    PageResult<OaExpenseRespVO> exportOaExpenseExcel(OaExpensePageReqVO pageReqVO);

    // /**
    //  * 创建报销流程信息
    //  *
    //  * @param createReqVO 创建信息
    //  * @return 编号
    //  */
    // Long createOaExpense(@Valid OaExpenseSaveReqVO createReqVO);
    //
    // /**
    //  * 更新报销流程信息
    //  *
    //  * @param updateReqVO 更新信息
    //  */
    // void updateOaExpense(@Valid OaExpenseSaveReqVO updateReqVO);
    //
    // /**
    //  * 删除报销流程信息
    //  *
    //  * @param id 编号
    //  */
    // void deleteOaExpense(Long id);
    //
    // /**
    //  * 获得报销流程信息
    //  *
    //  * @param id 编号
    //  * @return 报销流程信息
    //  */
    // OaExpenseDO getOaExpense(Long id);
    //
    // /**
    //  * 获得报销流程信息分页
    //  *
    //  * @param pageReqVO 分页查询
    //  * @return 报销流程信息分页
    //  */
    // PageResult<OaExpenseDO> getOaExpensePage(OaExpensePageReqVO pageReqVO);

    // ==================== 子表（报销流程信息子） ====================

    /**
     * 获得报销流程信息子列表
     *
     * @param expenseId 报销主表主键id
     * @return 报销流程信息子列表
     */
    List<OaExpenseObjDO> getOaExpenseObjListByExpenseId(Long expenseId);

}