package cn.iocoder.yudao.module.bpm.service.oa.receive;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.receive.vo.OaReceivePageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.receive.vo.OaReceiveRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.receive.vo.OaReceiveSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskReturnReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.receive.OaReceiveObjDO;

import java.util.List;

/**
 * 领用流程信息 Service 接口
 *
 * @author dp
 */
public interface OaReceiveService {


    Long stagingOaReceive(OaReceiveSaveReqVO stagingReqVO);

    Long commitOaReceive(OaReceiveSaveReqVO commitReqVO);

    Long agreeOaReceive(BpmTaskApproveReqVO agreeReqVO);

    Long disagreeOaReceive(BpmTaskReturnReqVO disagreeReqVO);

    Long revocationOaReceive(BpmTaskApproveReqVO revocationReqVO);

    Long reCommitOaReceive(OaReceiveSaveReqVO reCommitReqVO);

    Long closeOaReceive(Long id);

    void deleteOaReceive(Long id);

    OaReceiveRespVO getOaReceive(Long id);

    OaReceiveRespVO getOaReceiveByProcInstId(String procInstId);

    PageResult<OaReceiveRespVO> getOaReceivePage(OaReceivePageReqVO pageReqVO);

    PageResult<OaReceiveRespVO> exportOaReceiveExcel(OaReceivePageReqVO pageReqVO);

    // /**
    //  * 创建领用流程信息
    //  *
    //  * @param createReqVO 创建信息
    //  * @return 编号
    //  */
    // Long createOaReceive(@Valid OaReceiveSaveReqVO createReqVO);
    //
    // /**
    //  * 更新领用流程信息
    //  *
    //  * @param updateReqVO 更新信息
    //  */
    // void updateOaReceive(@Valid OaReceiveSaveReqVO updateReqVO);
    //
    // /**
    //  * 删除领用流程信息
    //  *
    //  * @param id 编号
    //  */
    // void deleteOaReceive(Long id);
    //
    // /**
    //  * 获得领用流程信息
    //  *
    //  * @param id 编号
    //  * @return 领用流程信息
    //  */
    // OaReceiveDO getOaReceive(Long id);
    //
    // /**
    //  * 获得领用流程信息分页
    //  *
    //  * @param pageReqVO 分页查询
    //  * @return 领用流程信息分页
    //  */
    // PageResult<OaReceiveDO> getOaReceivePage(OaReceivePageReqVO pageReqVO);

    // ==================== 子表（领用流程信息子表） ====================

    /**
     * 获得领用流程信息子表列表
     *
     * @param receiveId 领用主表id
     * @return 领用流程信息子表列表
     */
    List<OaReceiveObjDO> getOaReceiveObjListByReceiveId(Long receiveId);

}