package cn.iocoder.yudao.module.bpm.service.oa.turnover;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverSaveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskApproveReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task.BpmTaskReturnReqVO;

/**
 * 离职流程信息 Service 接口
 *
 * @author dp
 */
public interface OaTurnoverService {

    Long stagingOaTurnover(OaTurnoverSaveReqVO stagingReqVO);

    Long commitOaTurnover(OaTurnoverSaveReqVO commitReqVO);

    Long agreeOaTurnover(BpmTaskApproveReqVO agreeReqVO);

    Long disagreeOaTurnover(BpmTaskReturnReqVO disagreeReqVO);

    Long revocationOaTurnover(BpmTaskApproveReqVO revocationReqVO);

    Long reCommitOaTurnover(OaTurnoverSaveReqVO reCommitReqVO);

    Long closeOaTurnover(Long id);

    void deleteOaTurnover(Long id);

    OaTurnoverRespVO getOaTurnover(Long id);

    OaTurnoverRespVO getOaTurnoverByProcInstId(String procInstId);

    PageResult<OaTurnoverRespVO> getOaTurnoverPage(OaTurnoverPageReqVO pageReqVO);

    PageResult<OaTurnoverRespVO> exportOaTurnoverExcel(OaTurnoverPageReqVO pageReqVO);


}