package cn.iocoder.yudao.module.bpm.service.stamp.stampinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo.OaStampInfoPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo.OaStampInfoRespVO;
import cn.iocoder.yudao.module.bpm.controller.admin.stamp.stampinfo.vo.OaStampInfoSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.stamp.stampinfo.OaStampInfoDO;

import javax.validation.Valid;

/**
 * 用印信息 Service 接口
 *
 * @author dp
 */
public interface OaStampInfoService {

    /**
     * 创建用印信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaStampInfo(@Valid OaStampInfoSaveReqVO createReqVO);

    /**
     * 审批完成添加用印信息
     *
     * @param stampInfoDO 用印信息
     * @return id
     */
    Long createStampInfoAfterAudit(OaStampInfoDO stampInfoDO);

    /**
     * 更新用印信息
     *
     * @param updateReqVO 更新信息
     */
    void updateOaStampInfo(@Valid OaStampInfoSaveReqVO updateReqVO);

    /**
     * 删除用印信息
     *
     * @param id 编号
     */
    void deleteOaStampInfo(Long id);


    void invalidOaStampInfo(Long id);

    /**
     * 获得用印信息
     *
     * @param id 编号
     * @return 用印信息
     */
    OaStampInfoDO getOaStampInfo(Long id);

    /**
     * 获得用印信息分页
     *
     * @param pageReqVO 分页查询
     * @return 用印信息分页
     */
    PageResult<OaStampInfoRespVO> getOaStampInfoPage(OaStampInfoPageReqVO pageReqVO);

}