// package cn.iocoder.yudao.module.bpm.service.oa.conversion;
//
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo.OaConversionPageReqVO;
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo.OaConversionRespVO;
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.conversion.vo.OaConversionSaveReqVO;
// import cn.iocoder.yudao.module.bpm.service.oa.conversion.OaConversionServiceImpl;
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.conversion.OaConversionDO;
// import cn.iocoder.yudao.module.bpm.dal.mysql.oa.conversion.OaConversionMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import org.springframework.context.annotation.Import;
//
// import static cn.iocoder.yudao.module.bpm.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
//
// /**
//  * {@link OaConversionServiceImpl} 的单元测试类
//  *
//  * @author 芋道源码
//  */
// @Import(OaConversionServiceImpl.class)
// public class OaConversionServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private OaConversionServiceImpl oaConversionService;
//
//     @Resource
//     private OaConversionMapper oaConversionMapper;
//
//     @Test
//     public void testCreateOaConversion_success() {
//         // 准备参数
//         OaConversionSaveReqVO createReqVO = randomPojo(OaConversionSaveReqVO.class).setId(null);
//
//         // 调用
//         Long oaConversionId = oaConversionService.stagingOaConversion(createReqVO);
//         // 断言
//         assertNotNull(oaConversionId);
//         // 校验记录的属性是否正确
//         OaConversionDO oaConversion = oaConversionMapper.selectById(oaConversionId);
//         assertPojoEquals(createReqVO, oaConversion, "id");
//     }
//
//     @Test
//     public void testUpdateOaConversion_success() {
//         // mock 数据
//         OaConversionDO dbOaConversion = randomPojo(OaConversionDO.class);
//         oaConversionMapper.insert(dbOaConversion);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         OaConversionSaveReqVO updateReqVO = randomPojo(OaConversionSaveReqVO.class, o -> {
//             o.setId(dbOaConversion.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         oaConversionService.updateOaConversion(updateReqVO);
//         // 校验是否更新正确
//         OaConversionDO oaConversion = oaConversionMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, oaConversion);
//     }
//
//     @Test
//     public void testUpdateOaConversion_notExists() {
//         // 准备参数
//         OaConversionSaveReqVO updateReqVO = randomPojo(OaConversionSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> oaConversionService.updateOaConversion(updateReqVO), OA_CONVERSION_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteOaConversion_success() {
//         // mock 数据
//         OaConversionDO dbOaConversion = randomPojo(OaConversionDO.class);
//         oaConversionMapper.insert(dbOaConversion);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbOaConversion.getId();
//
//         // 调用
//         oaConversionService.deleteOaConversion(id);
//        // 校验数据不存在了
//        assertNull(oaConversionMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteOaConversion_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> oaConversionService.deleteOaConversion(id), OA_CONVERSION_NOT_EXISTS);
//     }
//
//     @Test
//     // @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetOaConversionPage() {
//        // mock 数据
//        OaConversionDO dbOaConversion = randomPojo(OaConversionDO.class, o -> { // 等会查询到
//            o.setConversionId(null);
//            o.setEmployeeId(null);
//            o.setEmployeeUuid(null);
//            o.setEmployeeName(null);
//            o.setUserId(null);
//            o.setUserUuid(null);
//            o.setDeptId(null);
//            o.setDeptUuid(null);
//            o.setPosition(null);
//            o.setEntryDate(null);
//            o.setProbationEndDate(null);
//            o.setConversionDate(null);
//            o.setConversionReason(null);
//            o.setWorkSummary(null);
//            o.setRemarks(null);
//            o.setProcInstId(null);
//            o.setAuditStatus(null);
//            o.setCurrentAuditUserId(null);
//            o.setCurrentAuditUserUuid(null);
//            o.setCurrentAuditEmployeeId(null);
//            o.setCurrentAuditEmployeeUuid(null);
//            o.setFinalAuditDate(null);
//            o.setInfoSource(null);
//            o.setCreateTime(null);
//        });
//        oaConversionMapper.insert(dbOaConversion);
//        // 测试 conversionId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setConversionId(null)));
//        // 测试 employeeId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setEmployeeId(null)));
//        // 测试 employeeUuid 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setEmployeeUuid(null)));
//        // 测试 employeeName 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setEmployeeName(null)));
//        // 测试 userId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setUserId(null)));
//        // 测试 userUuid 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setUserUuid(null)));
//        // 测试 deptId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setDeptId(null)));
//        // 测试 deptUuid 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setDeptUuid(null)));
//        // 测试 position 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setPosition(null)));
//        // 测试 entryDate 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setEntryDate(null)));
//        // 测试 probationEndDate 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setProbationEndDate(null)));
//        // 测试 conversionDate 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setConversionDate(null)));
//        // 测试 conversionReason 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setConversionReason(null)));
//        // 测试 workSummary 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setWorkSummary(null)));
//        // 测试 remarks 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setRemarks(null)));
//        // 测试 procInstId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setProcInstId(null)));
//        // 测试 auditStatus 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setAuditStatus(null)));
//        // 测试 currentAuditUserId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setCurrentAuditUserId(null)));
//        // 测试 currentAuditUserUuid 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setCurrentAuditUserUuid(null)));
//        // 测试 currentAuditEmployeeId 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setCurrentAuditEmployeeId(null)));
//        // 测试 currentAuditEmployeeUuid 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setCurrentAuditEmployeeUuid(null)));
//        // 测试 finalAuditDate 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setFinalAuditDate(null)));
//        // 测试 infoSource 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setInfoSource(null)));
//        // 测试 createTime 不匹配
//        oaConversionMapper.insert(cloneIgnoreId(dbOaConversion, o -> o.setCreateTime(null)));
//        // 准备参数
//        OaConversionPageReqVO reqVO = new OaConversionPageReqVO();
//        reqVO.setConversionId(null);
//        reqVO.setEmployeeId(null);
//        reqVO.setEmployeeUuid(null);
//        reqVO.setEmployeeName(null);
//        reqVO.setUserId(null);
//        reqVO.setUserUuid(null);
//        reqVO.setDeptId(null);
//        reqVO.setDeptUuid(null);
//        reqVO.setPosition(null);
//        reqVO.setEntryDate(null);
//        reqVO.setProbationEndDate(null);
//        reqVO.setConversionDate(null);
//        reqVO.setConversionReason(null);
//        reqVO.setWorkSummary(null);
//        reqVO.setRemarks(null);
//        reqVO.setProcInstId(null);
//        reqVO.setAuditStatus(null);
//        reqVO.setCurrentAuditUserId(null);
//        reqVO.setCurrentAuditUserUuid(null);
//        reqVO.setCurrentAuditEmployeeId(null);
//        reqVO.setCurrentAuditEmployeeUuid(null);
//        reqVO.setFinalAuditDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setInfoSource(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<OaConversionRespVO> pageResult = oaConversionService.getOaConversionPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbOaConversion, pageResult.getList().get(0));
//     }
//
// }