// package cn.iocoder.yudao.module.bpm.service.oa.leave;
//
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo.OaLeavePageReqVO;
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.leave.vo.OaLeaveSaveReqVO;
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.leave.OaLeaveDO;
// import cn.iocoder.yudao.module.bpm.dal.mysql.oa.leave.OaLeaveMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import org.springframework.context.annotation.Import;
//
// import static cn.iocoder.yudao.module.bpm.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
//
// /**
//  * {@link OaLeaveServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(OaLeaveServiceImpl.class)
// public class OaLeaveServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private OaLeaveServiceImpl oaLeaveService;
//
//     @Resource
//     private OaLeaveMapper oaLeaveMapper;
//
//     @Test
//     public void testCreateOaLeave_success() {
//         // 准备参数
//         OaLeaveSaveReqVO createReqVO = randomPojo(OaLeaveSaveReqVO.class).setId(null);
//
//         // 调用
//         Long oaLeaveId = oaLeaveService.createOaLeave(createReqVO);
//         // 断言
//         assertNotNull(oaLeaveId);
//         // 校验记录的属性是否正确
//         OaLeaveDO oaLeave = oaLeaveMapper.selectById(oaLeaveId);
//         assertPojoEquals(createReqVO, oaLeave, "id");
//     }
//
//     @Test
//     public void testUpdateOaLeave_success() {
//         // mock 数据
//         OaLeaveDO dbOaLeave = randomPojo(OaLeaveDO.class);
//         oaLeaveMapper.insert(dbOaLeave);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         OaLeaveSaveReqVO updateReqVO = randomPojo(OaLeaveSaveReqVO.class, o -> {
//             o.setId(dbOaLeave.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         oaLeaveService.updateOaLeave(updateReqVO);
//         // 校验是否更新正确
//         OaLeaveDO oaLeave = oaLeaveMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, oaLeave);
//     }
//
//     @Test
//     public void testUpdateOaLeave_notExists() {
//         // 准备参数
//         OaLeaveSaveReqVO updateReqVO = randomPojo(OaLeaveSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> oaLeaveService.updateOaLeave(updateReqVO), OA_HOLIDAY_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteOaLeave_success() {
//         // mock 数据
//         OaLeaveDO dbOaLeave = randomPojo(OaLeaveDO.class);
//         oaLeaveMapper.insert(dbOaLeave);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbOaLeave.getId();
//
//         // 调用
//         oaLeaveService.deleteOaLeave(id);
//        // 校验数据不存在了
//        assertNull(oaLeaveMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteOaLeave_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> oaLeaveService.deleteOaLeave(id), OA_HOLIDAY_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetOaLeavePage() {
//        // mock 数据
//        OaLeaveDO dbOaLeave = randomPojo(OaLeaveDO.class, o -> { // 等会查询到
//            o.setLeaveId(null);
//            o.setEmployeeId(null);
//            o.setEmployeeUuid(null);
//            o.setEmployeeName(null);
//            o.setUserId(null);
//            o.setUserUuid(null);
//            o.setDeptId(null);
//            o.setDeptUuid(null);
//            o.setPosition(null);
//            o.setLeaveType(null);
//            o.setStartDate(null);
//            o.setEndDate(null);
//            o.setDay(null);
//            o.setStartTime(null);
//            o.setEndTime(null);
//            o.setReason(null);
//            o.setRemarks(null);
//            o.setProcInstId(null);
//            o.setAuditStatus(null);
//            o.setCurrentAuditUserId(null);
//            o.setCurrentAuditUserUuid(null);
//            o.setCurrentAuditEmployeeId(null);
//            o.setCurrentAuditEmployeeUuid(null);
//            o.setFinalAuditDate(null);
//            o.setInfoSource(null);
//            o.setCreateTime(null);
//        });
//        oaLeaveMapper.insert(dbOaLeave);
//        // 测试 leaveId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setLeaveId(null)));
//        // 测试 employeeId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setEmployeeId(null)));
//        // 测试 employeeUuid 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setEmployeeUuid(null)));
//        // 测试 employeeName 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setEmployeeName(null)));
//        // 测试 userId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setUserId(null)));
//        // 测试 userUuid 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setUserUuid(null)));
//        // 测试 deptId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setDeptId(null)));
//        // 测试 deptUuid 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setDeptUuid(null)));
//        // 测试 position 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setPosition(null)));
//        // 测试 leaveType 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setLeaveType(null)));
//        // 测试 startDate 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setStartDate(null)));
//        // 测试 endDate 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setEndDate(null)));
//        // 测试 day 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setDay(null)));
//        // 测试 startTime 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setStartTime(null)));
//        // 测试 endTime 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setEndTime(null)));
//        // 测试 reason 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setReason(null)));
//        // 测试 remarks 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setRemarks(null)));
//        // 测试 procInstId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setProcInstId(null)));
//        // 测试 auditStatus 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setAuditStatus(null)));
//        // 测试 currentAuditUserId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setCurrentAuditUserId(null)));
//        // 测试 currentAuditUserUuid 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setCurrentAuditUserUuid(null)));
//        // 测试 currentAuditEmployeeId 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setCurrentAuditEmployeeId(null)));
//        // 测试 currentAuditEmployeeUuid 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setCurrentAuditEmployeeUuid(null)));
//        // 测试 finalAuditDate 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setFinalAuditDate(null)));
//        // 测试 infoSource 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setInfoSource(null)));
//        // 测试 createTime 不匹配
//        oaLeaveMapper.insert(cloneIgnoreId(dbOaLeave, o -> o.setCreateTime(null)));
//        // 准备参数
//        OaLeavePageReqVO reqVO = new OaLeavePageReqVO();
//        reqVO.setLeaveId(null);
//        reqVO.setEmployeeId(null);
//        reqVO.setEmployeeUuid(null);
//        reqVO.setEmployeeName(null);
//        reqVO.setUserId(null);
//        reqVO.setUserUuid(null);
//        reqVO.setDeptId(null);
//        reqVO.setDeptUuid(null);
//        reqVO.setPosition(null);
//        reqVO.setLeaveType(null);
//        reqVO.setStartDate(null);
//        reqVO.setEndDate(null);
//        reqVO.setDay(null);
//        reqVO.setStartTime(null);
//        reqVO.setEndTime(null);
//        reqVO.setReason(null);
//        reqVO.setRemarks(null);
//        reqVO.setProcInstId(null);
//        reqVO.setAuditStatus(null);
//        reqVO.setCurrentAuditUserId(null);
//        reqVO.setCurrentAuditUserUuid(null);
//        reqVO.setCurrentAuditEmployeeId(null);
//        reqVO.setCurrentAuditEmployeeUuid(null);
//        reqVO.setFinalAuditDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setInfoSource(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<OaLeaveDO> pageResult = oaLeaveService.getOaLeavePage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbOaLeave, pageResult.getList().get(0));
//     }
//
// }