// package cn.iocoder.yudao.module.bpm.service.oa.turnover;
//
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverPageReqVO;
// import cn.iocoder.yudao.module.bpm.controller.admin.oa.turnover.vo.OaTurnoverSaveReqVO;
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.turnover.OaTurnoverDO;
// import cn.iocoder.yudao.module.bpm.dal.mysql.oa.turnover.OaTurnOverMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import org.springframework.context.annotation.Import;
//
// import static cn.iocoder.yudao.module.bpm.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
//
// /**
//  * {@link OaTurnoverServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(OaTurnoverServiceImpl.class)
// public class OaTurnoverServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private OaTurnoverServiceImpl oaTurnoverService;
//
//     @Resource
//     private OaTurnOverMapper oaTurnOverMapper;
//
//     @Test
//     public void testCreateOaTurnover_success() {
//         // 准备参数
//         OaTurnoverSaveReqVO createReqVO = randomPojo(OaTurnoverSaveReqVO.class).setId(null);
//
//         // 调用
//         Long oaTurnoverId = oaTurnoverService.createOaTurnover(createReqVO);
//         // 断言
//         assertNotNull(oaTurnoverId);
//         // 校验记录的属性是否正确
//         OaTurnoverDO oaTurnover = oaTurnOverMapper.selectById(oaTurnoverId);
//         assertPojoEquals(createReqVO, oaTurnover, "id");
//     }
//
//     @Test
//     public void testUpdateOaTurnover_success() {
//         // mock 数据
//         OaTurnoverDO dbOaTurnover = randomPojo(OaTurnoverDO.class);
//         oaTurnOverMapper.insert(dbOaTurnover);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         OaTurnoverSaveReqVO updateReqVO = randomPojo(OaTurnoverSaveReqVO.class, o -> {
//             o.setId(dbOaTurnover.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         oaTurnoverService.updateOaTurnover(updateReqVO);
//         // 校验是否更新正确
//         OaTurnoverDO oaTurnover = oaTurnOverMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, oaTurnover);
//     }
//
//     @Test
//     public void testUpdateOaTurnover_notExists() {
//         // 准备参数
//         OaTurnoverSaveReqVO updateReqVO = randomPojo(OaTurnoverSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> oaTurnoverService.updateOaTurnover(updateReqVO), OA_DIMISSION_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteOaTurnover_success() {
//         // mock 数据
//         OaTurnoverDO dbOaTurnover = randomPojo(OaTurnoverDO.class);
//         oaTurnOverMapper.insert(dbOaTurnover);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbOaTurnover.getId();
//
//         // 调用
//         oaTurnoverService.deleteOaTurnover(id);
//        // 校验数据不存在了
//        assertNull(oaTurnOverMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteOaTurnover_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> oaTurnoverService.deleteOaTurnover(id), OA_DIMISSION_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetOaTurnoverPage() {
//        // mock 数据
//        OaTurnoverDO dbOaTurnover = randomPojo(OaTurnoverDO.class, o -> { // 等会查询到
//            o.setTurnoverId(null);
//            o.setEmployeeId(null);
//            o.setEmployeeUuid(null);
//            o.setEmployeeName(null);
//            o.setUserId(null);
//            o.setUserUuid(null);
//            o.setDeptId(null);
//            o.setDeptUuid(null);
//            o.setPosition(null);
//            o.setStartDate(null);
//            o.setTurnoverDate(null);
//            o.setTurnoverReason(null);
//            o.setRemarks(null);
//            o.setProcInstId(null);
//            o.setAuditStatus(null);
//            o.setCurrentAuditUserId(null);
//            o.setCurrentAuditUserUuid(null);
//            o.setCurrentAuditEmployeeId(null);
//            o.setCurrentAuditEmployeeUuid(null);
//            o.setFinalAuditDate(null);
//            o.setInfoSource(null);
//            o.setCreateTime(null);
//        });
//        oaTurnOverMapper.insert(dbOaTurnover);
//        // 测试 dimissionId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setTurnoverId(null)));
//        // 测试 employeeId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setEmployeeId(null)));
//        // 测试 employeeUuid 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setEmployeeUuid(null)));
//        // 测试 employeeName 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setEmployeeName(null)));
//        // 测试 userId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setUserId(null)));
//        // 测试 userUuid 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setUserUuid(null)));
//        // 测试 deptId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setDeptId(null)));
//        // 测试 deptUuid 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setDeptUuid(null)));
//        // 测试 position 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setPosition(null)));
//        // 测试 startDate 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setStartDate(null)));
//        // 测试 dimissionDate 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setTurnoverDate(null)));
//        // 测试 dimissionReason 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setTurnoverReason(null)));
//        // 测试 remarks 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setRemarks(null)));
//        // 测试 procInstId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setProcInstId(null)));
//        // 测试 auditStatus 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setAuditStatus(null)));
//        // 测试 currentAuditUserId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setCurrentAuditUserId(null)));
//        // 测试 currentAuditUserUuid 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setCurrentAuditUserUuid(null)));
//        // 测试 currentAuditEmployeeId 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setCurrentAuditEmployeeId(null)));
//        // 测试 currentAuditEmployeeUuid 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setCurrentAuditEmployeeUuid(null)));
//        // 测试 finalAuditDate 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setFinalAuditDate(null)));
//        // 测试 infoSource 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setInfoSource(null)));
//        // 测试 createTime 不匹配
//        oaTurnOverMapper.insert(cloneIgnoreId(dbOaTurnover, o -> o.setCreateTime(null)));
//        // 准备参数
//        OaTurnoverPageReqVO reqVO = new OaTurnoverPageReqVO();
//        reqVO.setTurnoverId(null);
//        reqVO.setEmployeeId(null);
//        reqVO.setEmployeeUuid(null);
//        reqVO.setEmployeeName(null);
//        reqVO.setUserId(null);
//        reqVO.setUserUuid(null);
//        reqVO.setDeptId(null);
//        reqVO.setDeptUuid(null);
//        reqVO.setPosition(null);
//        reqVO.setStartDate(null);
//        reqVO.setTurnoverDate(null);
//        reqVO.setTurnoverReason(null);
//        reqVO.setRemarks(null);
//        reqVO.setProcInstId(null);
//        reqVO.setAuditStatus(null);
//        reqVO.setCurrentAuditUserId(null);
//        reqVO.setCurrentAuditUserUuid(null);
//        reqVO.setCurrentAuditEmployeeId(null);
//        reqVO.setCurrentAuditEmployeeUuid(null);
//        reqVO.setFinalAuditDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setInfoSource(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<OaTurnoverDO> pageResult = oaTurnoverService.getOaTurnoverPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbOaTurnover, pageResult.getList().get(0));
//     }
//
// }