package cn.iocoder.yudao.module.customer.controller.admin.businessopportunity.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 客户商机 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CustomerBusinessOpportunityRespVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6699")
    private Long id;

    @Schema(description = "商机uuid", example = "28138")
    private String opportunityId;

    @Schema(description = "商机编码")
    @ExcelProperty("商机编码")
    private String opportunityCode;

    @Schema(description = "客户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2835")
    private Long customerId;

    @Schema(description = "商机名称", example = "王五")
    @ExcelProperty("商机名称")
    private String opportunityName;

    @Schema(description = "客户名称", example = "人事部")
    @ExcelProperty("客户名称")
    private String customerName;

    @Schema(description = "赢单机率")
    @ExcelProperty("预计赢单机率")
    private String winRate;

    @Schema(description = "预计合同金额")
    @ExcelProperty("预计合同金额")
    private BigDecimal estimatedContractAmount;

    @Schema(description = "预计项目毛利")
    @ExcelProperty("预计项目毛利")
    private String estimatedProjectMargin;

    @Schema(description = "预计项目成功率")
    @ExcelProperty("预计项目成功率")
    private String estimatedSuccessRate;

    @Schema(description = "预计进单时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("预计进单时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate estimatedDealTime;

    @Schema(description = "商机等级：1-潜在，2-可能，3-重点跟进")
    @ExcelProperty("商机等级")
    private String opportunityLevel;

    @Schema(description = "创建人员工姓名", example = "张三")
    @ExcelProperty("创建人员工姓名")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "项目类型", example = "1")
    private String projectType;

    @Schema(description = "创建人员工id", example = "28498")
    private Long creatorEmployeeId;

    @Schema(description = "部门id", example = "8267")
    private Long deptId;

    @Schema(description = "部门名称", example = "人事部")
    private String deptName;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4014")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;
}