package cn.iocoder.yudao.module.customer.controller.admin.businessopportunity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 客户商机新增/修改 Request VO")
@Data
public class CustomerBusinessOpportunitySaveReqVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6699")
    private Long id;

    @Schema(description = "商机uuid", example = "28138")
    private String opportunityId;

    @Schema(description = "商机编码", example = "28138")
    private String opportunityCode;

    @Schema(description = "客户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2835")
    @NotNull(message = "客户id不能为空")
    private Long customerId;

    @Schema(description = "商机名称", example = "王五")
    private String opportunityName;

    private String projectType;

    private Long creatorEmployeeId;

    private String creatorEmployeeName;

    private Long deptId;

    @Schema(description = "赢单机率")
    private String winRate;

    @Schema(description = "预计合同金额")
    private BigDecimal estimatedContractAmount;

    @Schema(description = "预计项目毛利")
    private String estimatedProjectMargin;

    @Schema(description = "预计项目成功率")
    private String estimatedSuccessRate;

    @Schema(description = "预计进单时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "预计进单时间不能为空")
    private LocalDate estimatedDealTime;

    @Schema(description = "商机等级：1-潜在，2-可能，3-重点跟进")
    private String opportunityLevel;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4014")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}