package cn.iocoder.yudao.module.customer.controller.admin.info.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 客户信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerInfoPageReqVO extends PageParam {

    @Schema(description = "客户uuid", example = "178")
    private String customerId;

    @Schema(description = "客户编码")
    private String customerCode;

    @Schema(description = "客户名称", example = "张三")
    private String customerName;

    @Schema(description = "客户状态", example = "1")
    private String customerStatus;

    @Schema(description = "创建人员工id", example = "28498")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    private String creatorEmployeeName;

    @Schema(description = "部门id", example = "8267")
    private Long deptId;

    @Schema(description = "客户成立时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] registDate;

    @Schema(description = "注册资本金（万元）")
    private BigDecimal capital;

    @Schema(description = "法人代表")
    private String legalPerson;

    @Schema(description = "员工人数")
    private Integer workforce;

    @Schema(description = "行业")
    private String trade;

    @Schema(description = "企业性质")
    private String customerNature;

    @Schema(description = "客户地址")
    private String companyAddress;

    @Schema(description = "客户联系人")
    private String customerPerson;

    @Schema(description = "客户联系手机号")
    private String customerPersonPhone;

    @Schema(description = "客户联系人办公地址")
    private String companyPersonAddress;

    @Schema(description = "客户来源")
    private String customerFrom;

    @Schema(description = "是否开启 0开启1关闭")
    private Integer isOpen;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}