package cn.iocoder.yudao.module.customer.controller.admin.info.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 客户信息新增/修改 Request VO")
@Data
public class CustomerInfoSaveReqVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "8654")
    private Long id;

    @Schema(description = "客户uuid", example = "178")
    private String customerId;

    @Schema(description = "客户编码")
    private String customerCode;

    @Schema(description = "客户名称", example = "张三")
    private String customerName;

    private String customerStatus;

    private Long creatorEmployeeId;

    private String creatorEmployeeName;

    private Long deptId;

    @Schema(description = "客户成立时间")
    private String registDate;

    @Schema(description = "注册资本金（万元）")
    private BigDecimal capital;

    @Schema(description = "法人代表")
    private String legalPerson;

    @Schema(description = "员工人数")
    private Integer workforce;

    private String trade;

    private String customerNature;

    @Schema(description = "客户地址")
    private String companyAddress;

    @Schema(description = "客户联系人")
    private String customerPerson;

    @Schema(description = "客户联系手机号")
    private String customerPersonPhone;

    @Schema(description = "客户联系人办公地址")
    private String companyPersonAddress;

    private String customerFrom;

    @Schema(description = "是否开启 0开启1关闭", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer isOpen;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4014")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}