package cn.iocoder.yudao.module.customer.dal.dataobject.businessopportunity;

import lombok.*;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 客户商机 DO
 *
 * @author zhaopq
 */
@TableName("customer_business_opportunity")
@KeySequence("customer_business_opportunity_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerBusinessOpportunityDO extends BaseDO {

    /**
     * 自增主键
     */
    @TableId
    private Long id;
    /**
     * 商机uuid
     */
    private String opportunityId;
    /**
     * 商机编码
     */
    private String opportunityCode;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 商机名称
     */
    private String opportunityName;
    /**
     * 项目类型
     */
    private String projectType;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 赢单机率
     */
    private String winRate;
    /**
     * 预计合同金额
     */
    private BigDecimal estimatedContractAmount;
    /**
     * 预计项目毛利
     */
    private String estimatedProjectMargin;
    /**
     * 预计项目成功率
     */
    private String estimatedSuccessRate;
    /**
     * 预计进单时间
     */
    private LocalDate estimatedDealTime;
    /**
     * 商机等级
     */
    private String opportunityLevel;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 租户编号
     */
    private Long tenantId;

}