package cn.iocoder.yudao.module.customer.dal.dataobject.info;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 客户信息 DO
 *
 * @author zhaopq
 */
@TableName("customer_info")
@KeySequence("customer_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CustomerInfoDO extends BaseDO {

    /**
     * 自增主键
     */
    @TableId
    private Long id;
    /**
     * 客户uuid
     */
    private String customerId;
    /**
     * 客户编码
     */
    private String customerCode;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 客户状态
     */
    private String customerStatus;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 客户成立时间
     */
    private String registDate;
    /**
     * 注册资本金（万元）
     */
    private BigDecimal capital;
    /**
     * 法人代表
     */
    private String legalPerson;
    /**
     * 员工人数
     */
    private Integer workforce;
    /**
     * 行业
     */
    private String trade;
    /**
     * 企业性质
     */
    private String customerNature;
    /**
     * 客户地址
     */
    private String companyAddress;
    /**
     * 客户联系人
     */
    private String customerPerson;
    /**
     * 客户联系手机号
     */
    private String customerPersonPhone;
    /**
     * 客户联系人办公地址
     */
    private String companyPersonAddress;
    /**
     * 客户来源
     */
    private String customerFrom;
    /**
     * 是否开启 0开启1关闭
     */
    private Integer isOpen;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 租户编号
     */
    private Long tenantId;

}