package cn.iocoder.yudao.module.customer.dal.mysql.businessopportunity;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.customer.dal.dataobject.businessopportunity.CustomerBusinessOpportunityDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.customer.controller.admin.businessopportunity.vo.*;

/**
 * 客户商机 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface CustomerBusinessOpportunityMapper extends BaseMapperX<CustomerBusinessOpportunityDO> {

    default PageResult<CustomerBusinessOpportunityDO> selectPage(CustomerBusinessOpportunityPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CustomerBusinessOpportunityDO>()
                .eqIfPresent(CustomerBusinessOpportunityDO::getOpportunityId, reqVO.getOpportunityId())
                .eqIfPresent(CustomerBusinessOpportunityDO::getCustomerId, reqVO.getCustomerId())
                .eqIfPresent(CustomerBusinessOpportunityDO::getOpportunityCode, reqVO.getOpportunityCode())
                .likeIfPresent(CustomerBusinessOpportunityDO::getOpportunityName, reqVO.getOpportunityName())
                .eqIfPresent(CustomerBusinessOpportunityDO::getProjectType, reqVO.getProjectType())
                .eqIfPresent(CustomerBusinessOpportunityDO::getCreatorEmployeeId, reqVO.getCreatorEmployeeId())
                .likeIfPresent(CustomerBusinessOpportunityDO::getCreatorEmployeeName, reqVO.getCreatorEmployeeName())
                .eqIfPresent(CustomerBusinessOpportunityDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(CustomerBusinessOpportunityDO::getWinRate, reqVO.getWinRate())
                .eqIfPresent(CustomerBusinessOpportunityDO::getEstimatedContractAmount, reqVO.getEstimatedContractAmount())
                .eqIfPresent(CustomerBusinessOpportunityDO::getEstimatedProjectMargin, reqVO.getEstimatedProjectMargin())
                .eqIfPresent(CustomerBusinessOpportunityDO::getEstimatedSuccessRate, reqVO.getEstimatedSuccessRate())
                .betweenIfPresent(CustomerBusinessOpportunityDO::getEstimatedDealTime, reqVO.getEstimatedDealTime())
                .eqIfPresent(CustomerBusinessOpportunityDO::getOpportunityLevel, reqVO.getOpportunityLevel())
                .eqIfPresent(CustomerBusinessOpportunityDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(CustomerBusinessOpportunityDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(CustomerBusinessOpportunityDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(CustomerBusinessOpportunityDO::getId));
    }

}