package cn.iocoder.yudao.module.customer.service.businessopportunity;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.customer.controller.admin.businessopportunity.vo.*;
import cn.iocoder.yudao.module.customer.dal.dataobject.businessopportunity.CustomerBusinessOpportunityDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 客户商机 Service 接口
 *
 * @author zhaopq
 */
public interface CustomerBusinessOpportunityService {

    /**
     * 创建客户商机
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createBusinessOpportunity(@Valid CustomerBusinessOpportunitySaveReqVO createReqVO);

    /**
     * 更新客户商机
     *
     * @param updateReqVO 更新信息
     */
    void updateBusinessOpportunity(@Valid CustomerBusinessOpportunitySaveReqVO updateReqVO);

    /**
     * 删除客户商机
     *
     * @param id 编号
     */
    void deleteBusinessOpportunity(Long id);

    /**
     * 获得客户商机
     *
     * @param id 编号
     * @return 客户商机
     */
    CustomerBusinessOpportunityDO getBusinessOpportunity(Long id);

    /**
     * 通过ID获得客户商机
     *
     * @param id
     * @return
     */
    CustomerBusinessOpportunityRespVO getById(Long id);

    /**
     * 获得客户商机分页
     *
     * @param pageReqVO 分页查询
     * @return 客户商机分页
     */
    PageResult<CustomerBusinessOpportunityDO> getBusinessOpportunityPage(CustomerBusinessOpportunityPageReqVO pageReqVO);

    /**
     * 获取客户商机编号
     * 客户商机编号是标识客户商机的唯一代码
     *
     * @return 客户商机编号
     */
    String getOpportunityCode();

}