package cn.iocoder.yudao.module.asset.controller.admin.assetinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Schema(description = "管理后台 - 固定资产信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AssetInfoPageReqVO extends PageParam {

    @Schema(description = "资产编号：年月日+uuid")
    private String assetInfoUuid;

    @Schema(description = "资产名称")
    private String name;

    @Schema(description = "资产型号")
    private String typeNumber;

    @Schema(description = "资产序列号")
    private String serialNumber;

    @Schema(description = "资产化日期", example = "2024-08-08,2024-08-08")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String[] capitalizationDate;

    @Schema(description = "折旧年限(大于0的自然数)")
    private Integer depreciationYear;

    @Schema(description = "资产状态：0可用 1占用 2报废")
    private String assetState;

    @Schema(description = "领用人名称")
    private String receiveEmployeeName;

    @Schema(description = "资产归属部门")
    private Long assetDeptId;

}