package cn.iocoder.yudao.module.asset.controller.admin.assetinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 固定资产信息报废 Request VO")
@Data
public class AssetInfoRetireReqVO {

    @Schema(description = "资产信息主键自增id",requiredMode = Schema.RequiredMode.REQUIRED,example = "1")
    @NotNull(message = "资产信息主键自增id不能为空")
    private Long assetInfoId;

    @Schema(description = "报废日期", requiredMode = Schema.RequiredMode.REQUIRED, example = "2024-08-08")
    @NotBlank(message = "报废日期不能为空")
    private String retirementDate;

    @Schema(description = "报废原因", requiredMode = Schema.RequiredMode.REQUIRED, example = "报废原因不能为空")
    @NotBlank(message = "报废原因不能为空")
    private String retirementReason;

}