package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 固定资产领用信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AssetReceiveInfoRespVO {

    @Schema(description = "主键自增id")
    // @ExcelProperty("主键自增id")
    private Long id;

    @Schema(description = "领用编号uuid")
    // @ExcelProperty("领用编号uuid")
    private String receiveInfoUuid;

    @Schema(description = "领用人id")
    // @ExcelProperty("领用人id")
    private Long employeeId;

    @Schema(description = "领用人姓名")
    @ExcelProperty("领用人")
    private String employeeName;

    @Schema(description = "领用人手机号")
    @ExcelProperty("手机号")
    private String employeePhone;

    @Schema(description = "部门id")
    // @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门名称")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "职位id")
    // @ExcelProperty("职位id")
    private Long postId;

    @Schema(description = "职位名称")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "固定资产信息表主键id")
    // @ExcelProperty("固定资产信息表主键id")
    private Long assetInfoId;

    @Schema(description = "固定资产名称")
    @ExcelProperty("固定资产名称")
    private String assetInfoName;

    @Schema(description = "领用日期")
    @ExcelProperty("领用日期")
    private String receiveDate;

    @Schema(description = "领用原因")
    @ExcelProperty("领用原因")
    private String reason;

    @Schema(description = "是否归还：0未归还，1已归还")
    // @ExcelProperty("是否归还：0未归还，1已归还")
    private Integer returned;

    @Schema(description = "是否归还描述：0未归还，1已归还")
    @ExcelProperty("是否归还")
    private String returnedDesc;

    @Schema(description = "归还日期")
    @ExcelProperty("归还日期")
    private String returnDate;

    @Schema(description = "归还原因")
    @ExcelProperty("归还原因")
    private String returnReason;

    @Schema(description = "创建者")
    // @ExcelProperty("创建者")
    private Long creator;

    @Schema(description = "更新者")
    // @ExcelProperty("更新者")
    private Long updater;

    @Schema(description = "操作人姓名")
    @ExcelProperty("操作人")
    private String operatorName;

}