package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 固定资产领用信息新增/修改 Request VO")
@Data
public class AssetReceiveInfoSaveReqVO {

    @Schema(description = "领用人id", example = "1")
    @NotNull(message = "领用人不能为空")
    private Long employeeId;

    @Schema(description = "固定资产信息表主键id", example = "1")
    @NotNull(message = "领用资产不能为空")
    private Long assetInfoId;

    @Schema(description = "领用日期", example = "2024-08-09")
    @NotBlank(message = "领用日期不能为空")
    private String receiveDate;

    @Schema(description = "领用原因", example = "领用时领用原因不能为空")
    @NotBlank(message = "领用原因不能为空")
    private String reason;

}