package cn.iocoder.yudao.module.asset.controller.admin.assetreceiveinfo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 固定资产归还 Request VO")
@Data
public class AssetReceiveInfoUpdateReqVO {

    @Schema(description = "固定资产信息表主键id", example = "1")
    @NotNull(message = "领用资产不能为空")
    private Long assetInfoId;

    @Schema(description = "归还日期", example = "2024-09-09")
    @NotBlank(message = "归还日期不能为空")
    private String returnDate;

    @Schema(description = "归还原因", example = "归还时归还原因不能为空")
    @NotBlank(message = "归还原因不能为空")
    private String returnReason;

}