package cn.iocoder.yudao.module.asset.dal.dataobject.assetinfo;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 固定资产信息 DO
 *
 * @author dp
 */
@TableName("finance_asset_info")
@KeySequence("finance_asset_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetInfoDO extends BaseDO {

    /**
     * 资产信息主键自增id
     */
    @TableId
    private Long id;
    /**
     * 资产编号：年月日+uuid
     */
    private String assetInfoUuid;
    /**
     * 资产名称
     */
    private String name;
    /**
     * 备用字段：资产数量，默认为1
     */
    private Integer number;
    /**
     * 资产型号
     */
    private String typeNumber;
    /**
     * 资产序列号
     */
    private String serialNumber;
    /**
     * 购买日期
     */
    private String purchaseDate;
    /**
     * 资产化日期
     */
    private String capitalizationDate;
    /**
     * 折旧年限(大于0的自然数)
     */
    private Integer depreciationYear;
    /**
     * 资产状态：0可用 1占用 2报废
     */
    private String assetState;
    /**
     * 领用人id
     */
    private Long receiveEmployeeId;
    /**
     * 领用信息表主键id
     */
    private Long receiveInfoId;
    /**
     * 资产归属部门
     */
    private Long assetDeptId;
    /**
     * 资产归属地
     */
    private String assetPlace;
    /**
     * 资产管理负责人
     */
    private Long assetManagerEmployeeId;
    /**
     * 报废日期
     */
    private String retirementDate;
    /**
     * 报废原因
     */
    private String retirementReason;
    /**
     * 单据状态：0：已完成，1：作废
     */
    private String status;
    /**
     * 备注
     */
    private String remarks;

}