package cn.iocoder.yudao.module.asset.dal.dataobject.assetreceiveinfo;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 固定资产领用信息 DO
 *
 * @author dp
 */
@TableName("finance_asset_receive_info")
@KeySequence("finance_asset_receive_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetReceiveInfoDO extends BaseDO {

    /**
     * 主键自增id
     */
    @TableId
    private Long id;
    /**
     * 领用编号uuid
     */
    private String receiveInfoUuid;
    /**
     * 领用人id
     */
    private Long employeeId;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 固定资产信息表主键id
     */
    private Long assetInfoId;
    /**
     * 固定资产名称
     */
    private String assetInfoName;
    /**
     * 领用日期
     */
    private String receiveDate;
    /**
     * 领用原因
     */
    private String reason;
    /**
     * 是否归还：0未归还，1已归还
     */
    private Integer returned;
    /**
     * 归还日期
     */
    private String returnDate;
    /**
     * 归还原因
     */
    private String returnReason;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 单据状态：0：已完成，1：作废
     */
    private String status;
    /**
     * 备注
     */
    private String remarks;

}