package cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Schema(description = "管理后台 - 付款信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PaymentInfoPageReqVO extends PageParam {

    @Schema(description = "付款标题", example = "付款标题1")
    private String paymentTitle;

    @Schema(description = "付款编号：年月日+uuid", example = "20240807")
    private String paymentInfoUuid;

    @Schema(description = "付款日期", example = "2024-08-07,2024-08-07")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String[] paymentDate;

    @Schema(description = "创建人名称")
    private String creatorName;

}