package cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Schema(description = "管理后台 - 回款信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RefundInfoPageReqVO extends PageParam {

    @Schema(description = "回款标题")
    private String refundTitle;

    @Schema(description = "回款编号：年月日+uuid")
    private String refundInfoUuid;

    @Schema(description = "客户id")
    private Long customerId;

    @Schema(description = "合同名称")
    private String contractName;

    @Schema(description = "回款日期", example = "2024-08-07,2024-08-07")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String[] refundDate;

    @Schema(description = "创建人名称")
    private String creatorName;

}