package cn.iocoder.yudao.module.cash.dal.dataobject.paymentinfo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 付款信息 DO
 *
 * @author dp
 */
@TableName("finance_payment_info")
@KeySequence("finance_payment_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PaymentInfoDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 付款编号：年月日+uuid
     */
    private String paymentInfoUuid;
    /**
     * 付款标题
     */
    private String paymentTitle;
    /**
     * 付款日期
     */
    private String paymentDate;
    /**
     * 付款金额
     */
    private BigDecimal paymentMoney;
    /**
     * 收款方信息
     */
    private String payee;
    /**
     * 付款事由
     */
    private String reason;
    /**
     * 单据状态：0：已完成，1：作废
     */
    private String status;
    /**
     * 备注
     */
    private String remarks;

}