package cn.iocoder.yudao.module.cash.dal.dataobject.refundinfo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 回款信息 DO
 *
 * @author dp
 */
@TableName("finance_refund_info")
@KeySequence("finance_refund_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RefundInfoDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 回款编号：年月日+uuid
     */
    private String refundInfoUuid;
    /**
     * 回款标题
     */
    private String refundTitle;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 合同id
     */
    private Long contractId;
    /**
     * 回款日期
     */
    private String refundDate;
    /**
     * 回款金额
     */
    private BigDecimal refundMoney;
    /**
     * 回款周期，单位：天
     */
    private Integer refundCycle;
    /**
     * 逾期天数
     */
    private Integer overdueDay;
    /**
     * 单据状态：0：已完成，1：作废
     */
    private String status;
    /**
     * 备注
     */
    private String remarks;

}