package cn.iocoder.yudao.module.cash.dal.mysql.paymentinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo.PaymentInfoPageReqVO;
import cn.iocoder.yudao.module.cash.controller.admin.paymentinfo.vo.PaymentInfoRespVO;
import cn.iocoder.yudao.module.cash.dal.dataobject.paymentinfo.PaymentInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 付款信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface PaymentInfoMapper extends BaseMapperX<PaymentInfoDO> {

    default PageResult<PaymentInfoDO> selectPage(PaymentInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<PaymentInfoDO>()
                .eqIfPresent(PaymentInfoDO::getPaymentInfoUuid, reqVO.getPaymentInfoUuid())
                .eqIfPresent(PaymentInfoDO::getPaymentTitle, reqVO.getPaymentTitle())
                .betweenIfPresent(PaymentInfoDO::getPaymentDate, reqVO.getPaymentDate())
                .orderByDesc(PaymentInfoDO::getId));
    }

    long selectPageCount(@Param("page") PaymentInfoPageReqVO pageReqVO);

    List<PaymentInfoRespVO> selectPageList(@Param("page") PaymentInfoPageReqVO pageReqVO);
}