package cn.iocoder.yudao.module.cash.dal.mysql.refundinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo.RefundInfoPageReqVO;
import cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo.RefundInfoRespVO;
import cn.iocoder.yudao.module.cash.dal.dataobject.refundinfo.RefundInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 回款信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface RefundInfoMapper extends BaseMapperX<RefundInfoDO> {

    default PageResult<RefundInfoDO> selectPage(RefundInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RefundInfoDO>()
                .eqIfPresent(RefundInfoDO::getRefundInfoUuid, reqVO.getRefundInfoUuid())
                .eqIfPresent(RefundInfoDO::getRefundTitle, reqVO.getRefundTitle())
                .betweenIfPresent(RefundInfoDO::getRefundDate, reqVO.getRefundDate())
                .orderByDesc(RefundInfoDO::getId));
    }

    /**
     * 总数量
     *
     * @param pageReqVO 分页请求对象，包含页码信息和筛选条件
     * @return 返回总数量，用于分页导航和信息
     */
    long selectPageCount(@Param("page") RefundInfoPageReqVO pageReqVO);

    /**
     * 退款分页信息列表
     *
     * @param pageReqVO 分页请求对象，包含页码信息和筛选条件
     * @return 返回退款分页信息列表，用于展示
     */
    List<RefundInfoRespVO> selectPageList(@Param("page") RefundInfoPageReqVO pageReqVO);
}
