package cn.iocoder.yudao.module.cash.framework.config;

import cn.iocoder.yudao.framework.swagger.config.YudaoSwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration(proxyBeanMethods = false)
public class CashWebConfiguration {

    /**
     * cash 模块的 API 分组
     * 通过 GroupedOpenApi 构建特定于模块的 Swagger 文档配置
     * 这样可以将不同的模块的 API 文档分组展示，使文档更加清晰易用
     *
     * @return Module-specific GroupedOpenApi configuration
     */
    @Bean
    public GroupedOpenApi cashGroupedOpenApi() {
        return YudaoSwaggerAutoConfiguration.buildGroupedOpenApi("cash");
    }

}
