package cn.iocoder.yudao.module.cash.service.refundinfo;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo.RefundInfoPageReqVO;
import cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo.RefundInfoRespVO;
import cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo.RefundInfoSaveReqVO;
import cn.iocoder.yudao.module.cash.dal.dataobject.refundinfo.RefundInfoDO;

import javax.validation.Valid;

/**
 * 回款信息 Service 接口
 *
 * @author dp
 */
public interface RefundInfoService {

    /**
     * 创建回款信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRefundInfo(@Valid RefundInfoSaveReqVO createReqVO);

    /**
     * 更新回款信息
     *
     * @param updateReqVO 更新信息
     */
    void updateRefundInfo(@Valid RefundInfoSaveReqVO updateReqVO);

    /**
     * 删除回款信息
     *
     * @param id 编号
     */
    void deleteRefundInfo(Long id);

    /**
     * 获得回款信息
     *
     * @param id 编号
     * @return 回款信息
     */
    RefundInfoDO getRefundInfo(Long id);

    /**
     * 获得回款信息分页
     *
     * @param pageReqVO 分页查询
     * @return 回款信息分页
     */
    PageResult<RefundInfoRespVO> getRefundInfoPage(RefundInfoPageReqVO pageReqVO);

}