// package cn.iocoder.yudao.module.cash.service.refundinfo;
//
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
// import org.springframework.boot.test.mock.mockito.MockBean;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.cash.controller.admin.refundinfo.vo.*;
// import cn.iocoder.yudao.module.cash.dal.dataobject.refundinfo.RefundInfoDO;
// import cn.iocoder.yudao.module.cash.dal.mysql.refundinfo.RefundInfoMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import javax.annotation.Resource;
// import org.springframework.context.annotation.Import;
// import java.util.*;
// import java.time.LocalDateTime;
//
// import static cn.hutool.core.util.RandomUtil.*;
// import static cn.iocoder.yudao.module.cash.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
// import static org.mockito.Mockito.*;
//
// /**
//  * {@link RefundInfoServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(RefundInfoServiceImpl.class)
// public class RefundInfoServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private RefundInfoServiceImpl refundInfoService;
//
//     @Resource
//     private RefundInfoMapper refundInfoMapper;
//
//     @Test
//     public void testCreateRefundInfo_success() {
//         // 准备参数
//         RefundInfoSaveReqVO createReqVO = randomPojo(RefundInfoSaveReqVO.class).setId(null);
//
//         // 调用
//         Long refundInfoId = refundInfoService.createRefundInfo(createReqVO);
//         // 断言
//         assertNotNull(refundInfoId);
//         // 校验记录的属性是否正确
//         RefundInfoDO refundInfo = refundInfoMapper.selectById(refundInfoId);
//         assertPojoEquals(createReqVO, refundInfo, "id");
//     }
//
//     @Test
//     public void testUpdateRefundInfo_success() {
//         // mock 数据
//         RefundInfoDO dbRefundInfo = randomPojo(RefundInfoDO.class);
//         refundInfoMapper.insert(dbRefundInfo);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         RefundInfoSaveReqVO updateReqVO = randomPojo(RefundInfoSaveReqVO.class, o -> {
//             o.setId(dbRefundInfo.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         refundInfoService.updateRefundInfo(updateReqVO);
//         // 校验是否更新正确
//         RefundInfoDO refundInfo = refundInfoMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, refundInfo);
//     }
//
//     @Test
//     public void testUpdateRefundInfo_notExists() {
//         // 准备参数
//         RefundInfoSaveReqVO updateReqVO = randomPojo(RefundInfoSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> refundInfoService.updateRefundInfo(updateReqVO), REFUND_INFO_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteRefundInfo_success() {
//         // mock 数据
//         RefundInfoDO dbRefundInfo = randomPojo(RefundInfoDO.class);
//         refundInfoMapper.insert(dbRefundInfo);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbRefundInfo.getId();
//
//         // 调用
//         refundInfoService.deleteRefundInfo(id);
//        // 校验数据不存在了
//        assertNull(refundInfoMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteRefundInfo_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> refundInfoService.deleteRefundInfo(id), REFUND_INFO_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetRefundInfoPage() {
//        // mock 数据
//        RefundInfoDO dbRefundInfo = randomPojo(RefundInfoDO.class, o -> { // 等会查询到
//            o.setRefundInfoUuid(null);
//            o.setRefundTitle(null);
//            o.setCustomerId(null);
//            o.setContractId(null);
//            o.setRefundDate(null);
//            o.setRefundMoney(null);
//            o.setRefundCycle(null);
//            o.setOverdueDay(null);
//            o.setStatus(null);
//            o.setRemarks(null);
//            o.setCreateTime(null);
//        });
//        refundInfoMapper.insert(dbRefundInfo);
//        // 测试 refundInfoUuid 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setRefundInfoUuid(null)));
//        // 测试 refundTitle 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setRefundTitle(null)));
//        // 测试 customerId 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setCustomerId(null)));
//        // 测试 contractId 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setContractId(null)));
//        // 测试 refundDate 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setRefundDate(null)));
//        // 测试 refundMoney 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setRefundMoney(null)));
//        // 测试 refundCycle 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setRefundCycle(null)));
//        // 测试 overdueDay 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setOverdueDay(null)));
//        // 测试 status 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setStatus(null)));
//        // 测试 remarks 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setRemarks(null)));
//        // 测试 createTime 不匹配
//        refundInfoMapper.insert(cloneIgnoreId(dbRefundInfo, o -> o.setCreateTime(null)));
//        // 准备参数
//        RefundInfoPageReqVO reqVO = new RefundInfoPageReqVO();
//        reqVO.setRefundInfoUuid(null);
//        reqVO.setRefundTitle(null);
//        reqVO.setCustomerId(null);
//        reqVO.setContractId(null);
//        reqVO.setRefundDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setRefundMoney(null);
//        reqVO.setRefundCycle(null);
//        reqVO.setOverdueDay(null);
//        reqVO.setStatus(null);
//        reqVO.setRemarks(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<RefundInfoDO> pageResult = refundInfoService.getRefundInfoPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbRefundInfo, pageResult.getList().get(0));
//     }
//
// }