package cn.iocoder.yudao.module.contract.controller.admin.suppliercontract.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 采购合同信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SupplierContractRespVO {

    @Schema(description = "主键id")
    // @ExcelProperty("主键id")
    private Long id;

    @Schema(description = "合同uuid")
    // @ExcelProperty("合同uuid")
    private String supplierContractUuid;

    @Schema(description = "合同编号，年月日+uuid")
    @ExcelProperty("合同编号")
    private String supplierContractCode;

    @Schema(description = "合同名称")
    @ExcelProperty("合同名称")
    private String supplierContractName;

    @Schema(description = "是否为框架合同 0否 1是")
    // @ExcelProperty("是否为框架合同 0否 1是")
    private Integer isFrameContract;

    @Schema(description = "是否为框架合同描述 0否 1是")
    @ExcelProperty("是否为框架合同")
    private String isFrameContractDesc;

    @Schema(description = "供应商id")
    // @ExcelProperty("供应商id")
    private Long supplierId;

    @Schema(description = "供应商名称")
    @ExcelProperty("供应商名称")
    private String supplierName;

    @Schema(description = "合同开始日期")
    @ExcelProperty("合同开始日期")
    private String startDate;

    @Schema(description = "合同结束日期")
    @ExcelProperty("合同结束日期")
    private String endDate;

    @Schema(description = "合同金额")
    @ExcelProperty("合同金额")
    private BigDecimal money;

    @Schema(description = "合同负责人")
    // @ExcelProperty("合同负责人")
    private Long ownerEmployeeId;

    @Schema(description = "合同负责人")
    @ExcelProperty("合同负责人")
    private String ownerEmployeeName;

    @Schema(description = "负责人部门")
    // @ExcelProperty("负责人部门")
    private Long deptId;

    @Schema(description = "负责人部门名称")
    @ExcelProperty("负责人部门名称")
    private String deptName;

    @Schema(description = "合同状态：0、未归档；1、已归档；2、已完结")
    // @ExcelProperty("合同状态：0、未归档；1、已归档；2、已完结")
    private String contractStatus;

    @Schema(description = "合同状态描述：0、未归档；1、已归档；2、已完结")
    @ExcelProperty("合同状态")
    private String contractStatusDesc;

    @Schema(description = "是否关闭 0开启 1关闭")
    // @ExcelProperty("是否关闭 0开启 1关闭")
    private Integer closed;

    @Schema(description = "是否关闭 0开启 1关闭")
    @ExcelProperty("是否关闭")
    private String closedDesc;

    @Schema(description = "关闭原因")
    // @ExcelProperty("关闭原因")
    private String closeReason;

    @Schema(description = "是否终止 0否 1是")
    // @ExcelProperty("是否终止 0否 1是")
    private Integer terminate;

    @Schema(description = "是否终止 0否 1是")
    @ExcelProperty("是否终止")
    private String terminateDesc;

    @Schema(description = "终止日期")
    // @ExcelProperty("终止日期")
    private String terminateDate;

    @Schema(description = "终止原因")
    // @ExcelProperty("终止原因")
    private String terminateReason;

    @Schema(description = "是否变更 0否 1是")
    // @ExcelProperty("是否变更 0否 1是")
    private Integer isChange;

    @Schema(description = "备注")
    // @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建者id")
    // @ExcelProperty("创建者id")
    private String creator;

    @Schema(description = "创建者名称")
    @ExcelProperty("创建人")
    private String creatorName;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;
}