package cn.iocoder.yudao.module.contract.controller.admin.suppliercontract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 采购合同修改状态 Request VO")
@Data
public class SupplierContractStatusReqVO {

    @Schema(description = "主键id")
    @NotNull(message = "主键id不能为空")
    private Long id;

    @Schema(description = "合同状态：0、未归档；1、已归档；2、已完结", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotBlank(message = "合同状态：0、未归档；1、已归档；2、已完结不能为空")
    private String contractStatus;

}
