package cn.iocoder.yudao.module.contract.dal.dataobject.suppliercontract;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 采购合同历史信息 DO
 *
 * @author dp
 */
@TableName("finance_supplier_contract_history")
@KeySequence("finance_supplier_contract_history_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierContractHistoryDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String supplierContractUuid;
    /**
     * 合同编号，年月日+uuid
     */
    private String supplierContractCode;
    /**
     * 合同名称
     */
    private String supplierContractName;
    /**
     * 是否为框架合同 0否 1是
     */
    private Integer isFrameContract;
    /**
     * 供应商id
     */
    private Long supplierId;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 合同开始日期
     */
    private String startDate;
    /**
     * 合同结束日期
     */
    private String endDate;
    /**
     * 合同金额
     */
    private BigDecimal money;
    /**
     * 合同负责人
     */
    private Long ownerEmployeeId;
    /**
     * 负责人部门
     */
    private Long deptId;
    /**
     * 合同状态：0、未归档；1、已归档；2、已完结
     */
    private String contractStatus;
    /**
     * 是否关闭 0开启 1关闭
     */
    private Integer closed;
    /**
     * 关闭原因
     */
    private String closeReason;
    /**
     * 是否终止 0否 1是
     */
    private Integer terminate;
    /**
     * 终止日期
     */
    private String terminateDate;
    /**
     * 终止原因
     */
    private String terminateReason;
    /**
     * 是否变更 0否 1是
     */
    private Integer isChange;
    /**
     * 备注
     */
    private String remarks;

}