package cn.iocoder.yudao.module.contract.dal.mysql.suppliercontract;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.contract.dal.dataobject.suppliercontract.SupplierContractHistoryDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 采购合同历史信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface SupplierContractHistoryMapper extends BaseMapperX<SupplierContractHistoryDO> {

    default PageResult<SupplierContractHistoryDO> selectPage(PageParam reqVO, String code) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SupplierContractHistoryDO>()
                .eq(SupplierContractHistoryDO::getSupplierContractCode, code)
                .orderByDesc(SupplierContractHistoryDO::getId));
    }

    default int deleteByCode(String code) {
        return delete(SupplierContractHistoryDO::getSupplierContractCode, code);
    }

    long getPageCount(@Param("page") PageParam pageReqVO, @Param("code") String code);

    List<SupplierContractHistoryDO> getPageList(@Param("page") PageParam pageReqVO, @Param("code") String code);
}