package cn.iocoder.yudao.module.contract.framework.config;


import cn.iocoder.yudao.framework.swagger.config.YudaoSwaggerAutoConfiguration;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 采购、销售模块的Web配置类
 * 用于配置模块相关的Web功能，例如Swagger文档分组
 */
@Configuration(proxyBeanMethods = false)
public class ContractWebConfiguration {

    /**
     * 配置Swagger文档的分组
     * 这样可以将采购、销售模块的API接口文档独立分组，便于在Swagger UI中管理和查看
     *
     * @return 分组配置对象
     */
    @Bean
    public GroupedOpenApi contractGroupedOpenApi() {
        return YudaoSwaggerAutoConfiguration.buildGroupedOpenApi("contract");
    }

}


