// package cn.iocoder.yudao.module.contract.service.customercontract;
//
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
// import org.springframework.boot.test.mock.mockito.MockBean;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.contract.controller.admin.customercontract.vo.*;
// import cn.iocoder.yudao.module.contract.dal.dataobject.customercontract.CustomerContractDO;
// import cn.iocoder.yudao.module.contract.dal.mysql.customercontract.CustomerContractMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import javax.annotation.Resource;
// import org.springframework.context.annotation.Import;
// import java.util.*;
// import java.time.LocalDateTime;
//
// import static cn.hutool.core.util.RandomUtil.*;
// import static cn.iocoder.yudao.module.contract.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
// import static org.mockito.Mockito.*;
//
// /**
//  * {@link CustomerContractServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(CustomerContractServiceImpl.class)
// public class CustomerContractServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private CustomerContractServiceImpl customerContractService;
//
//     @Resource
//     private CustomerContractMapper customerContractMapper;
//
//     @Test
//     public void testCreateCustomerContract_success() {
//         // 准备参数
//         CustomerContractSaveReqVO createReqVO = randomPojo(CustomerContractSaveReqVO.class).setId(null);
//
//         // 调用
//         Long customerContractId = customerContractService.createCustomerContract(createReqVO);
//         // 断言
//         assertNotNull(customerContractId);
//         // 校验记录的属性是否正确
//         CustomerContractDO customerContract = customerContractMapper.selectById(customerContractId);
//         assertPojoEquals(createReqVO, customerContract, "id");
//     }
//
//     @Test
//     public void testUpdateCustomerContract_success() {
//         // mock 数据
//         CustomerContractDO dbCustomerContract = randomPojo(CustomerContractDO.class);
//         customerContractMapper.insert(dbCustomerContract);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         CustomerContractSaveReqVO updateReqVO = randomPojo(CustomerContractSaveReqVO.class, o -> {
//             o.setId(dbCustomerContract.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         customerContractService.updateCustomerContract(updateReqVO);
//         // 校验是否更新正确
//         CustomerContractDO customerContract = customerContractMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, customerContract);
//     }
//
//     @Test
//     public void testUpdateCustomerContract_notExists() {
//         // 准备参数
//         CustomerContractSaveReqVO updateReqVO = randomPojo(CustomerContractSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> customerContractService.updateCustomerContract(updateReqVO), CUSTOMER_CONTRACT_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteCustomerContract_success() {
//         // mock 数据
//         CustomerContractDO dbCustomerContract = randomPojo(CustomerContractDO.class);
//         customerContractMapper.insert(dbCustomerContract);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbCustomerContract.getId();
//
//         // 调用
//         customerContractService.deleteCustomerContract(id);
//        // 校验数据不存在了
//        assertNull(customerContractMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteCustomerContract_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> customerContractService.deleteCustomerContract(id), CUSTOMER_CONTRACT_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetCustomerContractPage() {
//        // mock 数据
//        CustomerContractDO dbCustomerContract = randomPojo(CustomerContractDO.class, o -> { // 等会查询到
//            o.setCustomerContractUuid(null);
//            o.setCustomerContractCode(null);
//            o.setCustomerContractName(null);
//            o.setIsFrameContract(null);
//            o.setCustomerId(null);
//            o.setCustomerName(null);
//            o.setStartDate(null);
//            o.setEndDate(null);
//            o.setMoney(null);
//            o.setOwnerEmployeeId(null);
//            o.setDeptId(null);
//            o.setContractStatus(null);
//            o.setClosed(null);
//            o.setCloseReason(null);
//            o.setTerminate(null);
//            o.setTerminateDate(null);
//            o.setTerminateReason(null);
//            o.setIsChange(null);
//            o.setRemarks(null);
//            o.setCreateTime(null);
//        });
//        customerContractMapper.insert(dbCustomerContract);
//        // 测试 customerContractUuid 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCustomerContractUuid(null)));
//        // 测试 customerContractCode 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCustomerContractCode(null)));
//        // 测试 customerContractName 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCustomerContractName(null)));
//        // 测试 isFrameContract 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setIsFrameContract(null)));
//        // 测试 customerId 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCustomerId(null)));
//        // 测试 customerName 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCustomerName(null)));
//        // 测试 startDate 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setStartDate(null)));
//        // 测试 endDate 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setEndDate(null)));
//        // 测试 money 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setMoney(null)));
//        // 测试 ownerEmployeeId 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setOwnerEmployeeId(null)));
//        // 测试 deptId 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setDeptId(null)));
//        // 测试 contractStatus 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setContractStatus(null)));
//        // 测试 closed 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setClosed(null)));
//        // 测试 closeReason 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCloseReason(null)));
//        // 测试 terminate 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setTerminate(null)));
//        // 测试 terminateDate 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setTerminateDate(null)));
//        // 测试 terminateReason 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setTerminateReason(null)));
//        // 测试 isChange 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setIsChange(null)));
//        // 测试 remarks 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setRemarks(null)));
//        // 测试 createTime 不匹配
//        customerContractMapper.insert(cloneIgnoreId(dbCustomerContract, o -> o.setCreateTime(null)));
//        // 准备参数
//        CustomerContractPageReqVO reqVO = new CustomerContractPageReqVO();
//        reqVO.setCustomerContractUuid(null);
//        reqVO.setCustomerContractCode(null);
//        reqVO.setCustomerContractName(null);
//        reqVO.setIsFrameContract(null);
//        reqVO.setCustomerId(null);
//        reqVO.setCustomerName(null);
//        reqVO.setStartDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setEndDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setMoney(null);
//        reqVO.setOwnerEmployeeId(null);
//        reqVO.setDeptId(null);
//        reqVO.setContractStatus(null);
//        reqVO.setClosed(null);
//        reqVO.setCloseReason(null);
//        reqVO.setTerminate(null);
//        reqVO.setTerminateDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setTerminateReason(null);
//        reqVO.setIsChange(null);
//        reqVO.setRemarks(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<CustomerContractDO> pageResult = customerContractService.getCustomerContractPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbCustomerContract, pageResult.getList().get(0));
//     }
//
// }