// package cn.iocoder.yudao.module.contract.service.suppliercontract;
//
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
// import org.springframework.boot.test.mock.mockito.MockBean;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.contract.controller.admin.suppliercontract.vo.*;
// import cn.iocoder.yudao.module.contract.dal.dataobject.suppliercontract.SupplierContractDO;
// import cn.iocoder.yudao.module.contract.dal.mysql.suppliercontract.SupplierContractMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import javax.annotation.Resource;
// import org.springframework.context.annotation.Import;
// import java.util.*;
// import java.time.LocalDateTime;
//
// import static cn.hutool.core.util.RandomUtil.*;
// import static cn.iocoder.yudao.module.contract.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
// import static org.mockito.Mockito.*;
//
// /**
//  * {@link SupplierContractServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(SupplierContractServiceImpl.class)
// public class SupplierContractServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private SupplierContractServiceImpl supplierContractService;
//
//     @Resource
//     private SupplierContractMapper supplierContractMapper;
//
//     @Test
//     public void testCreateSupplierContract_success() {
//         // 准备参数
//         SupplierContractSaveReqVO createReqVO = randomPojo(SupplierContractSaveReqVO.class).setId(null);
//
//         // 调用
//         Long supplierContractId = supplierContractService.createSupplierContract(createReqVO);
//         // 断言
//         assertNotNull(supplierContractId);
//         // 校验记录的属性是否正确
//         SupplierContractDO supplierContract = supplierContractMapper.selectById(supplierContractId);
//         assertPojoEquals(createReqVO, supplierContract, "id");
//     }
//
//     @Test
//     public void testUpdateSupplierContract_success() {
//         // mock 数据
//         SupplierContractDO dbSupplierContract = randomPojo(SupplierContractDO.class);
//         supplierContractMapper.insert(dbSupplierContract);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         SupplierContractSaveReqVO updateReqVO = randomPojo(SupplierContractSaveReqVO.class, o -> {
//             o.setId(dbSupplierContract.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         supplierContractService.updateSupplierContract(updateReqVO);
//         // 校验是否更新正确
//         SupplierContractDO supplierContract = supplierContractMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, supplierContract);
//     }
//
//     @Test
//     public void testUpdateSupplierContract_notExists() {
//         // 准备参数
//         SupplierContractSaveReqVO updateReqVO = randomPojo(SupplierContractSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> supplierContractService.updateSupplierContract(updateReqVO), SUPPLIER_CONTRACT_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteSupplierContract_success() {
//         // mock 数据
//         SupplierContractDO dbSupplierContract = randomPojo(SupplierContractDO.class);
//         supplierContractMapper.insert(dbSupplierContract);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbSupplierContract.getId();
//
//         // 调用
//         supplierContractService.deleteSupplierContract(id);
//        // 校验数据不存在了
//        assertNull(supplierContractMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteSupplierContract_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> supplierContractService.deleteSupplierContract(id), SUPPLIER_CONTRACT_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetSupplierContractPage() {
//        // mock 数据
//        SupplierContractDO dbSupplierContract = randomPojo(SupplierContractDO.class, o -> { // 等会查询到
//            o.setCode(null);
//            o.setName(null);
//            o.setIsFrameContract(null);
//            o.setSupplierId(null);
//            o.setSupplierName(null);
//            o.setStartDate(null);
//            o.setEndDate(null);
//            o.setMoney(null);
//            o.setOwnerEmployeeId(null);
//            o.setDeptId(null);
//            o.setStatus(null);
//            o.setClosed(null);
//            o.setCloseReason(null);
//            o.setTerminated(null);
//            o.setTerminateDate(null);
//            o.setTerminateReason(null);
//            o.setIsChange(null);
//            o.setRemarks(null);
//            o.setCreateTime(null);
//        });
//        supplierContractMapper.insert(dbSupplierContract);
//        // 测试 code 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setCode(null)));
//        // 测试 name 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setName(null)));
//        // 测试 isFrameContract 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setIsFrameContract(null)));
//        // 测试 supplierId 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setSupplierId(null)));
//        // 测试 supplierName 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setSupplierName(null)));
//        // 测试 startDate 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setStartDate(null)));
//        // 测试 endDate 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setEndDate(null)));
//        // 测试 money 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setMoney(null)));
//        // 测试 ownerEmployeeId 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setOwnerEmployeeId(null)));
//        // 测试 deptId 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setDeptId(null)));
//        // 测试 status 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setStatus(null)));
//        // 测试 closed 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setClosed(null)));
//        // 测试 closeReason 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setCloseReason(null)));
//        // 测试 terminated 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setTerminated(null)));
//        // 测试 terminateDate 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setTerminateDate(null)));
//        // 测试 terminateReason 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setTerminateReason(null)));
//        // 测试 isChange 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setIsChange(null)));
//        // 测试 remarks 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setRemarks(null)));
//        // 测试 createTime 不匹配
//        supplierContractMapper.insert(cloneIgnoreId(dbSupplierContract, o -> o.setCreateTime(null)));
//        // 准备参数
//        SupplierContractPageReqVO reqVO = new SupplierContractPageReqVO();
//        reqVO.setCode(null);
//        reqVO.setName(null);
//        reqVO.setIsFrameContract(null);
//        reqVO.setSupplierId(null);
//        reqVO.setSupplierName(null);
//        reqVO.setStartDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setEndDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setMoney(null);
//        reqVO.setOwnerEmployeeId(null);
//        reqVO.setDeptId(null);
//        reqVO.setStatus(null);
//        reqVO.setClosed(null);
//        reqVO.setCloseReason(null);
//        reqVO.setTerminated(null);
//        reqVO.setTerminateDate(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//        reqVO.setTerminateReason(null);
//        reqVO.setIsChange(null);
//        reqVO.setRemarks(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<SupplierContractDO> pageResult = supplierContractService.getSupplierContractPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbSupplierContract, pageResult.getList().get(0));
//     }
//
// }