package cn.iocoder.yudao.module.expense.controller.admin.expenseinfo.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.api.permission.dto.DeptDataPermissionRespDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 报销信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ExpenseInfoPageReqVO extends PageParam {

    @Schema(description = "报销申请员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "报销申请员工手机号")
    private String employeePhone;

    @Schema(description = "部门id", example = "16541")
    private Long deptId;

    @Schema(description = "职位id", example = "15670")
    private Long postId;

    @Schema(description = "报销类型主键id", example = "31388")
    private Long expenseTypeId;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建员工姓名", example = "李四")
    private String createEmployeeName;

    @Schema(description = "创建时间", example = "2024-08-06 00:00:00,2024-08-06 23:59:59")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "数据权限")
    private DeptDataPermissionRespDTO deptDataPermission;

    @Schema(description = "用户id")
    private Long userId;

}