package cn.iocoder.yudao.module.expense.controller.admin.expensetype.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 报销类型信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ExpenseTypeRespVO {

    @Schema(description = "主键")
    // @ExcelProperty("主键")
    private Long id;

    @Schema(description = "uuid")
    // @ExcelProperty("uuid")
    private String expenseTypeUuid;

    @Schema(description = "报销类型")
    @ExcelProperty("报销类型")
    private String name;

    @Schema(description = "备注")
    // @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建者")
    // @ExcelProperty("创建者id")
    private Long creator;

    @Schema(description = "创建员工姓名")
    @ExcelProperty("创建人")
    private String createEmployeeName;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

}