package cn.iocoder.yudao.module.expense.dal.dataobject.expenseinfo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 报销信息 DO
 *
 * @author dp
 */
@TableName("finance_expense_info")
@KeySequence("finance_expense_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExpenseInfoDO extends BaseDO {

    /**
     * 表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String expenseUuid;
    /**
     * 报销申请人id
     */
    private Long employeeId;
    /**
     * 报销申请人uuid
     */
    private String employeeUuid;
    /**
     * 报销申请员工姓名
     */
    private String employeeName;
    /**
     * 报销申请员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 员工职位
     */
    private String position;
    /**
     * 报销类型主键id
     */
    private Long expenseTypeId;
    /**
     * 报销类型名称
     */
    private String expenseTypeName;
    /**
     * 费用所属区间
     */
    private String expenseMonth;
    /**
     * 总预算金额，单位（元）
     */
    private BigDecimal totalMoney;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态（0已完成、1已作废、2已生效）
     */
    private String status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建员工id
     */
    private Long createEmployeeId;

}