package cn.iocoder.yudao.module.expense.dal.dataobject.expenseinfo;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 报销信息子 DO
 *
 * @author dp
 */
@TableName("finance_expense_info_obj")
@KeySequence("finance_expense_info_obj_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExpenseInfoObjDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 报销主表主键id
     */
    private Long expenseId;
    /**
     * 报销主表uuid
     */
    private String expenseUuid;
    /**
     * 报销子表uuid
     */
    private String expenseObjUuid;
    /**
     * 费用项目主键id
     */
    private Long expenseItemId;
    /**
     * 费用项目名称
     */
    private String expenseItemName;
    /**
     * 预算金额，单位（元）
     */
    private BigDecimal money;
    /**
     * 开始日期
     */
    private String startDate;
    /**
     * 结束日期
     */
    private String endDate;
    /**
     * 说明
     */
    private String remarks;

}