package cn.iocoder.yudao.module.expense.dal.dataobject.expenseitem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 报销费用项目信息 DO
 *
 * @author dp
 */
@TableName("finance_expense_item")
@KeySequence("finance_expense_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExpenseItemDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 报销类型主键id
     */
    private Long expenseTypeId;
    /**
     * 报销类型uuid
     */
    private String expenseTypeUuid;
    /**
     * 费用项目uuid
     */
    private String expenseItemUuid;
    /**
     * 费用项目
     */
    private String name;
    /**
     * 备注
     */
    private String remarks;

}