package cn.iocoder.yudao.module.expense.dal.mysql.expenseitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo.ExpenseItemPageReqVO;
import cn.iocoder.yudao.module.expense.dal.dataobject.expenseitem.ExpenseItemDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 报销费用项目信息 Mapper
 *
 * @author dp
 */
@Mapper
public interface ExpenseItemMapper extends BaseMapperX<ExpenseItemDO> {

    default PageResult<ExpenseItemDO> selectPage(ExpenseItemPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ExpenseItemDO>()
                .eqIfPresent(ExpenseItemDO::getExpenseTypeId, reqVO.getExpenseTypeId())
                .likeIfPresent(ExpenseItemDO::getName, reqVO.getName())
                .orderByDesc(ExpenseItemDO::getId));
    }

    default List<ExpenseItemDO> selectListByExpenseTypeId(Long expenseTypeId) {
        return selectList(ExpenseItemDO::getExpenseTypeId, expenseTypeId);
    }

    default int deleteByExpenseTypeId(Long expenseTypeId) {
        return delete(ExpenseItemDO::getExpenseTypeId, expenseTypeId);
    }

}