package cn.iocoder.yudao.module.expense.service.expenseitem;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo.*;
import cn.iocoder.yudao.module.expense.dal.dataobject.expenseitem.ExpenseItemDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 报销费用项目信息 Service 接口
 *
 * @author dp
 */
public interface ExpenseItemService {

    /**
     * 创建报销费用项目信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createItem(@Valid ExpenseItemSaveReqVO createReqVO);

    /**
     * 更新报销费用项目信息
     *
     * @param updateReqVO 更新信息
     */
    void updateItem(@Valid ExpenseItemSaveReqVO updateReqVO);

    /**
     * 删除报销费用项目信息
     *
     * @param id 编号
     */
    void deleteItem(Long id);

    /**
     * 获得报销费用项目信息
     *
     * @param id 编号
     * @return 报销费用项目信息
     */
    ExpenseItemDO getItem(Long id);

    /**
     * 获得报销费用项目信息分页
     *
     * @param pageReqVO 分页查询
     * @return 报销费用项目信息分页
     */
    PageResult<ExpenseItemDO> getItemPage(ExpenseItemPageReqVO pageReqVO);

    List<ExpenseItemDO> getExpenseItemList(Collection<Long> ids);

}