// package cn.iocoder.yudao.module.expense.service.expenseinfo;
//
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
// import cn.iocoder.yudao.module.expense.controller.admin.expenseinfo.vo.ExpenseInfoPageReqVO;
// import cn.iocoder.yudao.module.expense.controller.admin.expenseinfo.vo.ExpenseInfoRespVO;
// import cn.iocoder.yudao.module.expense.controller.admin.expenseinfo.vo.ExpenseInfoSaveReqVO;
// import cn.iocoder.yudao.module.expense.dal.dataobject.expenseinfo.ExpenseInfoDO;
// import cn.iocoder.yudao.module.expense.dal.mysql.expenseinfo.ExpenseInfoMapper;
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
// import org.springframework.context.annotation.Import;
//
// import javax.annotation.Resource;
//
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.buildBetweenTime;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.cloneIgnoreId;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.assertPojoEquals;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.assertServiceException;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.randomLongId;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.randomPojo;
// import static cn.iocoder.yudao.module.expense.enums.ErrorCodeConstants.INFO_NOT_EXISTS;
// import static org.junit.jupiter.api.Assertions.*;
//
// /**
//  * {@link ExpenseInfoServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(ExpenseInfoServiceImpl.class)
// public class ExpenseInfoServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private ExpenseInfoServiceImpl infoService;
//
//     @Resource
//     private ExpenseInfoMapper infoMapper;
//
//     @Test
//     public void testCreateInfo_success() {
//         // 准备参数
//         ExpenseInfoSaveReqVO createReqVO = randomPojo(ExpenseInfoSaveReqVO.class).setId(null);
//
//         // 调用
//         Long infoId = infoService.createInfo(createReqVO);
//         // 断言
//         assertNotNull(infoId);
//         // 校验记录的属性是否正确
//         ExpenseInfoDO info = infoMapper.selectById(infoId);
//         assertPojoEquals(createReqVO, info, "id");
//     }
//
//     @Test
//     public void testUpdateInfo_success() {
//         // mock 数据
//         ExpenseInfoDO dbInfo = randomPojo(ExpenseInfoDO.class);
//         infoMapper.insert(dbInfo);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         ExpenseInfoSaveReqVO updateReqVO = randomPojo(ExpenseInfoSaveReqVO.class, o -> {
//             o.setId(dbInfo.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         infoService.updateInfo(updateReqVO);
//         // 校验是否更新正确
//         ExpenseInfoDO info = infoMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, info);
//     }
//
//     @Test
//     public void testUpdateInfo_notExists() {
//         // 准备参数
//         ExpenseInfoSaveReqVO updateReqVO = randomPojo(ExpenseInfoSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> infoService.updateInfo(updateReqVO), INFO_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteInfo_success() {
//         // mock 数据
//         ExpenseInfoDO dbInfo = randomPojo(ExpenseInfoDO.class);
//         infoMapper.insert(dbInfo);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbInfo.getId();
//
//         // 调用
//         infoService.deleteInfo(id);
//        // 校验数据不存在了
//        assertNull(infoMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteInfo_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> infoService.deleteInfo(id), INFO_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetInfoPage() {
//        // mock 数据
//        ExpenseInfoDO dbInfo = randomPojo(ExpenseInfoDO.class, o -> { // 等会查询到
//            o.setExpenseUuid(null);
//            o.setEmployeeId(null);
//            o.setEmployeeUuid(null);
//            o.setEmployeeName(null);
//            o.setEmployeePhone(null);
//            o.setUserId(null);
//            o.setUserUuid(null);
//            o.setDeptId(null);
//            o.setDeptUuid(null);
//            o.setPostId(null);
//            o.setPosition(null);
//            o.setExpenseTypeId(null);
//            o.setExpenseTypeName(null);
//            o.setExpenseMonth(null);
//            o.setTotalMoney(null);
//            o.setRemarks(null);
//            o.setStatus(null);
//            o.setInfoSource(null);
//            o.setCreateEmployeeId(null);
//            o.setCreateTime(null);
//        });
//        infoMapper.insert(dbInfo);
//        // 测试 expenseUuid 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setExpenseUuid(null)));
//        // 测试 employeeId 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setEmployeeId(null)));
//        // 测试 employeeUuid 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setEmployeeUuid(null)));
//        // 测试 employeeName 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setEmployeeName(null)));
//        // 测试 employeePhone 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setEmployeePhone(null)));
//        // 测试 userId 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setUserId(null)));
//        // 测试 userUuid 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setUserUuid(null)));
//        // 测试 deptId 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setDeptId(null)));
//        // 测试 deptUuid 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setDeptUuid(null)));
//        // 测试 postId 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setPostId(null)));
//        // 测试 position 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setPosition(null)));
//        // 测试 expenseTypeId 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setExpenseTypeId(null)));
//        // 测试 expenseTypeName 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setExpenseTypeName(null)));
//        // 测试 expenseMonth 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setExpenseMonth(null)));
//        // 测试 totalMoney 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setTotalMoney(null)));
//        // 测试 remarks 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setRemarks(null)));
//        // 测试 status 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setStatus(null)));
//        // 测试 infoSource 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setInfoSource(null)));
//        // 测试 createEmployeeId 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setCreateEmployeeId(null)));
//        // 测试 createTime 不匹配
//        infoMapper.insert(cloneIgnoreId(dbInfo, o -> o.setCreateTime(null)));
//        // 准备参数
//        ExpenseInfoPageReqVO reqVO = new ExpenseInfoPageReqVO();
//        reqVO.setExpenseUuid(null);
//        reqVO.setEmployeeId(null);
//        reqVO.setEmployeeUuid(null);
//        reqVO.setEmployeeName(null);
//        reqVO.setEmployeePhone(null);
//        reqVO.setUserId(null);
//        reqVO.setUserUuid(null);
//        reqVO.setDeptId(null);
//        reqVO.setDeptUuid(null);
//        reqVO.setPostId(null);
//        reqVO.setPosition(null);
//        reqVO.setExpenseTypeId(null);
//        reqVO.setExpenseTypeName(null);
//        reqVO.setExpenseMonth(null);
//        reqVO.setTotalMoney(null);
//        reqVO.setRemarks(null);
//        reqVO.setStatus(null);
//        reqVO.setInfoSource(null);
//        reqVO.setCreateEmployeeId(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<ExpenseInfoRespVO> pageResult = infoService.getInfoPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbInfo, pageResult.getList().get(0));
//     }
//
// }