// package cn.iocoder.yudao.module.expense.service.expenseitem;
//
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
// import org.springframework.boot.test.mock.mockito.MockBean;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo.*;
// import cn.iocoder.yudao.module.expense.dal.dataobject.expenseitem.ExpenseItemDO;
// import cn.iocoder.yudao.module.expense.dal.mysql.expenseitem.ExpenseItemMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import javax.annotation.Resource;
// import org.springframework.context.annotation.Import;
// import java.util.*;
// import java.time.LocalDateTime;
//
// import static cn.hutool.core.util.RandomUtil.*;
// import static cn.iocoder.yudao.module.expense.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
// import static org.mockito.Mockito.*;
//
// /**
//  * {@link ExpenseItemServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(ExpenseItemServiceImpl.class)
// public class ExpenseItemServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private ExpenseItemServiceImpl itemService;
//
//     @Resource
//     private ExpenseItemMapper itemMapper;
//
//     @Test
//     public void testCreateItem_success() {
//         // 准备参数
//         ExpenseItemSaveReqVO createReqVO = randomPojo(ExpenseItemSaveReqVO.class).setId(null);
//
//         // 调用
//         Long itemId = itemService.createItem(createReqVO);
//         // 断言
//         assertNotNull(itemId);
//         // 校验记录的属性是否正确
//         ExpenseItemDO item = itemMapper.selectById(itemId);
//         assertPojoEquals(createReqVO, item, "id");
//     }
//
//     @Test
//     public void testUpdateItem_success() {
//         // mock 数据
//         ExpenseItemDO dbItem = randomPojo(ExpenseItemDO.class);
//         itemMapper.insert(dbItem);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         ExpenseItemSaveReqVO updateReqVO = randomPojo(ExpenseItemSaveReqVO.class, o -> {
//             o.setId(dbItem.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         itemService.updateItem(updateReqVO);
//         // 校验是否更新正确
//         ExpenseItemDO item = itemMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, item);
//     }
//
//     @Test
//     public void testUpdateItem_notExists() {
//         // 准备参数
//         ExpenseItemSaveReqVO updateReqVO = randomPojo(ExpenseItemSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> itemService.updateItem(updateReqVO), EXPENSE_ITEM_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteItem_success() {
//         // mock 数据
//         ExpenseItemDO dbItem = randomPojo(ExpenseItemDO.class);
//         itemMapper.insert(dbItem);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbItem.getId();
//
//         // 调用
//         itemService.deleteItem(id);
//        // 校验数据不存在了
//        assertNull(itemMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteItem_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> itemService.deleteItem(id), ITEM_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetItemPage() {
//        // mock 数据
//        ExpenseItemDO dbItem = randomPojo(ExpenseItemDO.class, o -> { // 等会查询到
//            o.setExpenseTypeId(null);
//            o.setExpenseTypeUuid(null);
//            o.setExpenseItemUuid(null);
//            o.setName(null);
//            o.setRemarks(null);
//            o.setCreateTime(null);
//        });
//        itemMapper.insert(dbItem);
//        // 测试 expenseTypeId 不匹配
//        itemMapper.insert(cloneIgnoreId(dbItem, o -> o.setExpenseTypeId(null)));
//        // 测试 expenseTypeUuid 不匹配
//        itemMapper.insert(cloneIgnoreId(dbItem, o -> o.setExpenseTypeUuid(null)));
//        // 测试 expenseItemUuid 不匹配
//        itemMapper.insert(cloneIgnoreId(dbItem, o -> o.setExpenseItemUuid(null)));
//        // 测试 name 不匹配
//        itemMapper.insert(cloneIgnoreId(dbItem, o -> o.setName(null)));
//        // 测试 remarks 不匹配
//        itemMapper.insert(cloneIgnoreId(dbItem, o -> o.setRemarks(null)));
//        // 测试 createTime 不匹配
//        itemMapper.insert(cloneIgnoreId(dbItem, o -> o.setCreateTime(null)));
//        // 准备参数
//        ExpenseItemPageReqVO reqVO = new ExpenseItemPageReqVO();
//        reqVO.setExpenseTypeId(null);
//        reqVO.setExpenseTypeUuid(null);
//        reqVO.setExpenseItemUuid(null);
//        reqVO.setName(null);
//        reqVO.setRemarks(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<ExpenseItemDO> pageResult = itemService.getItemPage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbItem, pageResult.getList().get(0));
//     }
//
// }