// package cn.iocoder.yudao.module.expense.service.expensetype;
//
// import org.junit.jupiter.api.Disabled;
// import org.junit.jupiter.api.Test;
// import org.springframework.boot.test.mock.mockito.MockBean;
//
// import javax.annotation.Resource;
//
// import cn.iocoder.yudao.framework.test.core.ut.BaseDbUnitTest;
//
// import cn.iocoder.yudao.module.expense.controller.admin.expensetype.vo.*;
// import cn.iocoder.yudao.module.expense.dal.dataobject.expensetype.ExpenseTypeDO;
// import cn.iocoder.yudao.module.expense.dal.mysql.expensetype.ExpenseTypeMapper;
// import cn.iocoder.yudao.framework.common.pojo.PageResult;
//
// import javax.annotation.Resource;
// import org.springframework.context.annotation.Import;
// import java.util.*;
// import java.time.LocalDateTime;
//
// import static cn.hutool.core.util.RandomUtil.*;
// import static cn.iocoder.yudao.module.expense.enums.ErrorCodeConstants.*;
// import static cn.iocoder.yudao.framework.test.core.util.AssertUtils.*;
// import static cn.iocoder.yudao.framework.test.core.util.RandomUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.LocalDateTimeUtils.*;
// import static cn.iocoder.yudao.framework.common.util.object.ObjectUtils.*;
// import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;
// import static org.junit.jupiter.api.Assertions.*;
// import static org.mockito.Mockito.*;
//
// /**
//  * {@link ExpenseTypeServiceImpl} 的单元测试类
//  *
//  * @author dp
//  */
// @Import(ExpenseTypeServiceImpl.class)
// public class ExpenseTypeServiceImplTest extends BaseDbUnitTest {
//
//     @Resource
//     private ExpenseTypeServiceImpl typeService;
//
//     @Resource
//     private ExpenseTypeMapper typeMapper;
//
//     @Test
//     public void testCreateType_success() {
//         // 准备参数
//         ExpenseTypeSaveReqVO createReqVO = randomPojo(ExpenseTypeSaveReqVO.class).setId(null);
//
//         // 调用
//         Long typeId = typeService.createType(createReqVO);
//         // 断言
//         assertNotNull(typeId);
//         // 校验记录的属性是否正确
//         ExpenseTypeDO type = typeMapper.selectById(typeId);
//         assertPojoEquals(createReqVO, type, "id");
//     }
//
//     @Test
//     public void testUpdateType_success() {
//         // mock 数据
//         ExpenseTypeDO dbType = randomPojo(ExpenseTypeDO.class);
//         typeMapper.insert(dbType);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         ExpenseTypeSaveReqVO updateReqVO = randomPojo(ExpenseTypeSaveReqVO.class, o -> {
//             o.setId(dbType.getId()); // 设置更新的 ID
//         });
//
//         // 调用
//         typeService.updateType(updateReqVO);
//         // 校验是否更新正确
//         ExpenseTypeDO type = typeMapper.selectById(updateReqVO.getId()); // 获取最新的
//         assertPojoEquals(updateReqVO, type);
//     }
//
//     @Test
//     public void testUpdateType_notExists() {
//         // 准备参数
//         ExpenseTypeSaveReqVO updateReqVO = randomPojo(ExpenseTypeSaveReqVO.class);
//
//         // 调用, 并断言异常
//         assertServiceException(() -> typeService.updateType(updateReqVO), EXPENSE_TYPE_NOT_EXISTS);
//     }
//
//     @Test
//     public void testDeleteType_success() {
//         // mock 数据
//         ExpenseTypeDO dbType = randomPojo(ExpenseTypeDO.class);
//         typeMapper.insert(dbType);// @Sql: 先插入出一条存在的数据
//         // 准备参数
//         Long id = dbType.getId();
//
//         // 调用
//         typeService.deleteType(id);
//        // 校验数据不存在了
//        assertNull(typeMapper.selectById(id));
//     }
//
//     @Test
//     public void testDeleteType_notExists() {
//         // 准备参数
//         Long id = randomLongId();
//
//         // 调用, 并断言异常
//         assertServiceException(() -> typeService.deleteType(id), TYPE_NOT_EXISTS);
//     }
//
//     @Test
//     @Disabled  // TODO 请修改 null 为需要的值，然后删除 @Disabled 注解
//     public void testGetTypePage() {
//        // mock 数据
//        ExpenseTypeDO dbType = randomPojo(ExpenseTypeDO.class, o -> { // 等会查询到
//            o.setExpenseTypeUuid(null);
//            o.setName(null);
//            o.setRemarks(null);
//            o.setCreateTime(null);
//        });
//        typeMapper.insert(dbType);
//        // 测试 expenseTypeUuid 不匹配
//        typeMapper.insert(cloneIgnoreId(dbType, o -> o.setExpenseTypeUuid(null)));
//        // 测试 name 不匹配
//        typeMapper.insert(cloneIgnoreId(dbType, o -> o.setName(null)));
//        // 测试 remarks 不匹配
//        typeMapper.insert(cloneIgnoreId(dbType, o -> o.setRemarks(null)));
//        // 测试 createTime 不匹配
//        typeMapper.insert(cloneIgnoreId(dbType, o -> o.setCreateTime(null)));
//        // 准备参数
//        ExpenseTypePageReqVO reqVO = new ExpenseTypePageReqVO();
//        reqVO.setExpenseTypeUuid(null);
//        reqVO.setName(null);
//        reqVO.setRemarks(null);
//        reqVO.setCreateTime(buildBetweenTime(2023, 2, 1, 2023, 2, 28));
//
//        // 调用
//        PageResult<ExpenseTypeDO> pageResult = typeService.getTypePage(reqVO);
//        // 断言
//        assertEquals(1, pageResult.getTotal());
//        assertEquals(1, pageResult.getList().size());
//        assertPojoEquals(dbType, pageResult.getList().get(0));
//     }
//
// }