package cn.iocoder.yudao.module.attendance.controller.admin.business.vo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 出差信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceBusinessPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "20857")
    private String businessId;

    @Schema(description = "出差人id", example = "797")
    private Long employeeId;

    @Schema(description = "出差人uuid", example = "5176")
    private String employeeUuid;

    @Schema(description = "出差员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "出差员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "25207")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "28825")
    private String userUuid;

    @Schema(description = "部门id", example = "17524")
    private Long deptId;

    @Schema(description = "部门uuid", example = "30513")
    private String deptUuid;

    @Schema(description = "职位id", example = "17524")
    private Long postId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "出差事由", example = "不好")
    private String reason;

    @Schema(description = "出差目的地")
    private String destination;

    @Schema(description = "出差开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] startDate;

    @Schema(description = "出差结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] endDate;

    @Schema(description = "出差天数（d）")
    private String day;

    @Schema(description = "出差预算费用，单位（元）")
    private BigDecimal estimatedCost;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "13908")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}