package cn.iocoder.yudao.module.attendance.controller.admin.business.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.util.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 出差信息新增/修改 Request VO")
@Data
public class AttendanceBusinessSaveReqVO {

    @Schema(description = "出差表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "21097")
    private Long id;

    @Schema(description = "uuid", example = "20857")
    private String businessId;

    @Schema(description = "出差人id", example = "797")
    private Long employeeId;

    @Schema(description = "出差人uuid", example = "5176")
    private String employeeUuid;

    @Schema(description = "出差员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "出差员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "25207")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "28825")
    private String userUuid;

    @Schema(description = "部门id", example = "17524")
    private Long deptId;

    @Schema(description = "部门uuid", example = "30513")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "出差事由", example = "不好")
    private String reason;

    @Schema(description = "出差目的地")
    private String destination;

    @Schema(description = "出差开始日期")
    private String startDate;

    @Schema(description = "出差结束日期")
    private String endDate;

    @Schema(description = "出差天数（d）")
    private String day;

    @Schema(description = "出差预算费用，单位（元）", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "出差预算费用，单位（元）不能为空")
    private BigDecimal estimatedCost;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "13908")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    private String creatorEmployeeName;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}