package cn.iocoder.yudao.module.attendance.controller.admin.employeesetting.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 考勤员工设置新增/修改 Request VO")
@Data
public class AttendanceEmployeeSettingBatchSaveReqVO {

    @Schema(description = "员工IDS", requiredMode = Schema.RequiredMode.REQUIRED, example = "employeeIds: [12,13,14]")
    @NotNull(message = "员工IDS不能为空")
    private List<Long> employeeIds;

    @Schema(description = "排班ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23897")
    private Long schedulingId;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}