package cn.iocoder.yudao.module.attendance.controller.admin.employeesetting.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 考勤员工设置分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceEmployeeSettingPageReqVO extends PageParam {

    @Schema(description = "员工ID", example = "9532")
    private Long employeeId;

    @Schema(description = "员工姓名", example = "芋艿")
    private String name;

    @Schema(description = "部门ID", example = "2777")
    private Long deptId;

    @Schema(description = "排班ID", example = "23897")
    private Long schedulingId;

    @Schema(description = "班次名称，如早班、中班、晚班等")
    private String shiftName;

    @Schema(description = "考勤地点")
    private String attendanceLocation;

    @Schema(description = "手机号")
    private String phoneNumber;

    @Schema(description = "电子邮箱")
    private String email;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}