package cn.iocoder.yudao.module.attendance.controller.admin.employeesetting.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalTime;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤员工设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceEmployeeSettingRespVO {

    @Schema(description = "管理ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7218")
    @ExcelProperty("管理ID")
    private Long id;

    @Schema(description = "员工ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9532")
    @ExcelProperty("员工ID")
    private Long employeeId;

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    @ExcelProperty("员工姓名")
    private String name;

    @Schema(description = "部门ID", example = "2777")
    @ExcelProperty("部门ID")
    private Long deptId;

    @Schema(description = "部门名称", example = "人事部")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "排班ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23897")
    @ExcelProperty("排班ID")
    private Long schedulingId;

    @Schema(description = "考勤地点")
    @ExcelProperty("考勤地点")
    private String attendanceLocation;

    @Schema(description = "手机号")
    @ExcelProperty("手机号")
    private String phoneNumber;

    @Schema(description = "电子邮箱")
    @ExcelProperty("电子邮箱")
    private String email;

    @Schema(description = "班次名称，如早班、中班、晚班等")
    @ExcelProperty("班次名称，如早班、中班、晚班等")
    private String shiftName;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "考勤设置上班时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("考勤设置上班时间")
    private LocalTime startTime;

    @Schema(description = "考勤设置下班时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("考勤设置下班时间")
    private LocalTime endTime;

    @Schema(description = "租户编号", example = "1")
    @ExcelProperty("租户编号")
    private Long tenantId;

}