package cn.iocoder.yudao.module.attendance.controller.admin.employeesetting.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 考勤员工设置新增/修改 Request VO")
@Data
public class AttendanceEmployeeSettingSaveReqVO {

    @Schema(description = "管理ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7218")
    private Long id;

    @Schema(description = "员工ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9532")
    @NotNull(message = "员工ID不能为空")
    private Long employeeId;

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    @NotEmpty(message = "员工姓名不能为空")
    private String name;

    @Schema(description = "部门ID", example = "2777")
    private Long deptId;

    @Schema(description = "排班ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "23897")
    @NotNull(message = "排班ID不能为空")
    private Long schedulingId;

    @Schema(description = "考勤地点")
    private String attendanceLocation;

    @Schema(description = "手机号")
    private String phoneNumber;

    @Schema(description = "电子邮箱")
    private String email;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "状态不能为空")
    private Integer status;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}