package cn.iocoder.yudao.module.attendance.controller.admin.info.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.*;

@Schema(description = "管理后台 - 每日考勤信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceDailyInfoPageReqVO extends PageParam {

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    private String employeeName;

    @Schema(description = "员工手机号", requiredMode = Schema.RequiredMode.REQUIRED, example = "13812345678")
    private String employeeMobile;

    @Schema(description = "职位ID", example = "13463")
    private Long postId;

    @Schema(description = "部门ID", example = "13463")
    private Long deptId;

    @Schema(description = "部门名称", example = "13463")
    private String deptName;

    @Schema(description = "考勤开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDate attendanceStartDate;

    @Schema(description = "考勤结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private LocalDate attendanceEndDate;

    @Schema(description = "上班时间")
    @DateTimeFormat(pattern = FORMAT_HOUR_MINUTE)
    private LocalTime[] workStartTime;

    @Schema(description = "下班时间")
    @DateTimeFormat(pattern = FORMAT_HOUR_MINUTE)
    private LocalTime[] workEndTime;

    @Schema(description = "迟到时间(min)", example = "2")
    private String lateMinute;

    @Schema(description = "早退时间(min)", example = "2")
    private String earlyMinute;

    @Schema(description = "总工作时间(min)", example = "2")
    private String totalWorkingMinute;

}