package cn.iocoder.yudao.module.attendance.controller.admin.info.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;

@Schema(description = "管理后台 - 每日考勤信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceDailyInfoRespVO {

    @Schema(description = "员工ID", example = "6960")
    private Long employeeId;

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @ExcelProperty("员工姓名")
    private String employeeName;

    @Schema(description = "部门名称", example = "13463")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "员工手机号", requiredMode = Schema.RequiredMode.REQUIRED, example = "13812345678")
    @ExcelProperty("手机号")
    @NotEmpty(message = "员工手机号不能为空")
    private String employeeMobile;

    @Schema(description = "部门ID", example = "13463")
    private Long deptId;

    @Schema(description = "考勤日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate attendanceDate;

    @Schema(description = "上班时间")
    @ExcelProperty("上班时间")
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalTime workStartTime;

    @Schema(description = "下班时间")
    @ExcelProperty("下班时间")
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalTime workEndTime;

    @Schema(description = "迟到时间(min)", example = "2")
    @ExcelProperty("迟到时间(min)")
    private String lateMinute;

    @Schema(description = "早退时间(min)", example = "2")
    @ExcelProperty("早退时间(min)")
    private String earlyMinute;

    @Schema(description = "总工作时间(min)", example = "2")
    @ExcelProperty("总工作时间(min)")
    private String totalWorkingMinute;

}