package cn.iocoder.yudao.module.attendance.controller.admin.info.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Schema(description = "管理后台 - 考勤信息导入 Response VO")
@Data
@Builder
public class AttendanceInfoImportRespVO {

    @Schema(description = "创建成功的员工姓名数组", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<String> createEmployeeNames;

    @Schema(description = "删除成功的员工姓名数组", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<String> deleteEmployeeNames;

    @Schema(description = "导入失败的员工集合，key 为员工姓名，value 为失败原因", requiredMode = Schema.RequiredMode.REQUIRED)
    private Map<String, String> failureEmployeeNames;

}
