package cn.iocoder.yudao.module.attendance.controller.admin.info.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDate;
import java.time.LocalTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 每日考勤信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceMonthlyInfoPageReqVO extends PageParam {

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    private String employeeName;

    @Schema(description = "员工编号", example = "6960")
    private String employeeNumber;

    @Schema(description = "部门ID", example = "13463")
    private Long deptId;

    @Schema(description = "职位ID", example = "13463")
    private Long postId;

    @Schema(description = "部门名称", example = "13463")
    private String deptName;

    @Schema(description = "考勤月份", example = "2024-07")
    private String attendanceMonth;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;


}