package cn.iocoder.yudao.module.attendance.controller.admin.leave.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 请假信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceLeavePageReqVO extends PageParam {

    @Schema(description = "uuid", example = "9396")
    private String leaveId;

    @Schema(description = "请假人id", example = "25553")
    private Long employeeId;

    @Schema(description = "请假人uuid", example = "9213")
    private String employeeUuid;

    @Schema(description = "请假员工姓名", example = "王五")
    private String employeeName;

    @Schema(description = "请假员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "20160")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "27340")
    private String userUuid;

    @Schema(description = "部门id", example = "5849")
    private Long deptId;

    @Schema(description = "部门uuid", example = "864")
    private String deptUuid;

    @Schema(description = "职位id", example = "5849")
    private Long postId;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "请假类型", example = "1")
    private String leaveType;

    @Schema(description = "开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] startDate;

    @Schema(description = "具体时间，精确到上下午，am上午 pm下午")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] startTime;

    @Schema(description = "结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] endDate;

    @Schema(description = "具体时间，精确到上下午，am上午 pm下午")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] endTime;

    @Schema(description = "请假天数")
    private String day;

    @Schema(description = "请假原因", example = "不香")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "22995")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}