package cn.iocoder.yudao.module.attendance.controller.admin.leave.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.util.*;

@Schema(description = "管理后台 - 请假信息新增/修改 Request VO")
@Data
public class AttendanceLeaveSaveReqVO {

    @Schema(description = "请假表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "11893")
    private Long id;

    @Schema(description = "uuid", example = "9396")
    private String leaveId;

    @Schema(description = "请假人id", example = "25553")
    private Long employeeId;

    @Schema(description = "请假人uuid", example = "9213")
    private String employeeUuid;

    @Schema(description = "请假员工姓名", example = "王五")
    private String employeeName;

    @Schema(description = "请假员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "20160")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "27340")
    private String userUuid;

    @Schema(description = "部门id", example = "5849")
    private Long deptId;

    @Schema(description = "部门uuid", example = "864")
    private String deptUuid;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "请假类型", example = "1")
    private String leaveType;

    @Schema(description = "开始日期")
    private String startDate;

    @Schema(description = "具体时间，精确到上下午，am上午 pm下午")
    private String startTime;

    @Schema(description = "结束日期")
    private String endDate;

    @Schema(description = "具体时间，精确到上下午，am上午 pm下午")
    private String endTime;

    @Schema(description = "请假天数")
    private String day;

    @Schema(description = "请假原因", example = "不香")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "22995")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    private String creatorEmployeeName;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}