package cn.iocoder.yudao.module.attendance.controller.admin.out.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 公务外出信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceOutPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "16029")
    private String outId;

    @Schema(description = "外出人id", example = "27799")
    private Long employeeId;

    @Schema(description = "外出人uuid", example = "22887")
    private String employeeUuid;

    @Schema(description = "外出员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "外出员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "13471")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "10860")
    private String userUuid;

    @Schema(description = "部门id", example = "7228")
    private Long deptId;

    @Schema(description = "部门uuid", example = "29774")
    private String deptUuid;

    @Schema(description = "职位id", example = "7228")
    private Long postId;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "外出事由", example = "不好")
    private String reason;

    @Schema(description = "外出地点")
    private String destination;

    @Schema(description = "外出开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] startDate;

    @Schema(description = "外出结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] endDate;

    @Schema(description = "外出时长，单位（小时）")
    private String hour;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "6769")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "芋艿")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}