package cn.iocoder.yudao.module.attendance.controller.admin.out.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 公务外出信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceOutRespVO {

    @Schema(description = "出差表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "28683")
    private Long id;

    @Schema(description = "uuid", example = "16029")
    private String outId;

    @Schema(description = "外出人id", example = "27799")
    private Long employeeId;

    @Schema(description = "外出人uuid", example = "22887")
    private String employeeUuid;

    @Schema(description = "外出员工姓名", example = "芋艿")
    @ExcelProperty("外出人")
    private String employeeName;

    @Schema(description = "部门名称", example = "财务部")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "员工职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "外出员工手机号")
    @ExcelProperty("手机号")
    private String employeePhone;

    @Schema(description = "外出地点")
    @ExcelProperty("外出地点")
    private String destination;

    @Schema(description = "外出开始时间")
    @ExcelProperty("外出开始时间")
    private String startDate;

    @Schema(description = "外出结束时间")
    @ExcelProperty("外出结束时间")
    private String endDate;

    @Schema(description = "外出时长，单位（小时）")
    @ExcelProperty("外出时长，单位（小时）")
    private String hour;

    @Schema(description = "创建人员工姓名", example = "芋艿")
    @ExcelProperty("创建人")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "用户账号id", example = "13471")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "10860")
    private String userUuid;

    @Schema(description = "部门id", example = "7228")
    private Long deptId;

    @Schema(description = "部门uuid", example = "29774")
    private String deptUuid;

    @Schema(description = "外出事由", example = "不好")
    private String reason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "6769")
    private Long creatorEmployeeId;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;
}