package cn.iocoder.yudao.module.attendance.controller.admin.out.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.util.*;

@Schema(description = "管理后台 - 公务外出信息新增/修改 Request VO")
@Data
public class AttendanceOutSaveReqVO {

    @Schema(description = "出差表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "28683")
    private Long id;

    @Schema(description = "uuid", example = "16029")
    private String outId;

    @Schema(description = "外出人id", example = "27799")
    private Long employeeId;

    @Schema(description = "外出人uuid", example = "22887")
    private String employeeUuid;

    @Schema(description = "外出员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "外出员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "13471")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "10860")
    private String userUuid;

    @Schema(description = "部门id", example = "7228")
    private Long deptId;

    @Schema(description = "部门uuid", example = "29774")
    private String deptUuid;

    @Schema(description = "员工职位")
    private String position;

    @Schema(description = "外出事由", example = "不好")
    private String reason;

    @Schema(description = "外出地点")
    private String destination;

    @Schema(description = "外出开始时间")
    private String startDate;

    @Schema(description = "外出结束时间")
    private String endDate;

    @Schema(description = "外出时长，单位（小时）")
    private String hour;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "6769")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "芋艿")
    private String creatorEmployeeName;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}