package cn.iocoder.yudao.module.attendance.controller.admin.schedulingmanage.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalTime;
import java.util.*;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 考勤排班管理新增/修改 Request VO")
@Data
public class AttendanceSchedulingManageSaveReqVO {

    @Schema(description = "排班ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "21430")
    private Long id;

    @Schema(description = "班次名称，如早班、中班、晚班等", requiredMode = Schema.RequiredMode.REQUIRED, example = "张三")
    @NotEmpty(message = "班次名称，如早班、中班、晚班等不能为空")
    private String shiftName;

    @Schema(description = "上班时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "上班时间不能为空")
    private LocalTime startTime;

    @Schema(description = "下班时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "下班时间不能为空")
    private LocalTime endTime;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}