package cn.iocoder.yudao.module.attendance.controller.admin.workdaysetting.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 考勤工作日设置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceWorkdaySettingRespVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "32468")
    @ExcelProperty("自增主键")
    private Long id;

    @Schema(description = "工作月")
    @ExcelProperty("工作月")
    private String workMonth;

    @Schema(description = "工作日", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("工作日")
    private String workDate;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", example = "1")
    @ExcelProperty("租户编号")
    private Long tenantId;

}