package cn.iocoder.yudao.module.attendance.controller.admin.workdaysetting.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.*;

@Schema(description = "管理后台 - 考勤工作日设置新增/修改 Request VO")
@Data
public class AttendanceWorkdaySettingSaveReqVO {

    @Schema(description = "自增主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "32468")
    private Long id;

    @Schema(description = "工作月")
    private String workMonth;

    @Schema(description = "工作日", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "工作日不能为空")
    private String workDate;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @NotNull(message = "状态不能为空")
    private Integer status;

    @Schema(description = "租户编号", example = "1")
    private Long tenantId;

}