package cn.iocoder.yudao.module.attendance.dal.dataobject.business;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 出差信息 DO
 *
 * @author zhaopq
 */
@TableName("attendance_business")
@KeySequence("attendance_business_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceBusinessDO extends BaseDO {

    /**
     * 出差表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String businessId;
    /**
     * 出差人id
     */
    private Long employeeId;
    /**
     * 出差人uuid
     */
    private String employeeUuid;
    /**
     * 出差员工姓名
     */
    private String employeeName;
    /**
     * 出差员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 出差事由
     */
    private String reason;
    /**
     * 出差目的地
     */
    private String destination;
    /**
     * 出差开始日期
     */
    private String startDate;
    /**
     * 出差结束日期
     */
    private String endDate;
    /**
     * 出差天数（d）
     */
    private String day;
    /**
     * 出差预算费用，单位（元）
     */
    private BigDecimal estimatedCost;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 租户编号
     */
    private Long tenantId;

}