package cn.iocoder.yudao.module.attendance.dal.dataobject.employeesetting;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 考勤员工设置 DO
 *
 * @author zhaopq
 */
@TableName("attendance_employee_setting")
@KeySequence("attendance_employee_setting_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceEmployeeSettingDO extends BaseDO {

    /**
     * 管理ID
     */
    @TableId
    private Long id;
    /**
     * 员工ID
     */
    private Long employeeId;
    /**
     * 员工姓名
     */
    private String name;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 排班ID
     */
    private Long schedulingId;
    /**
     * 考勤地点
     */
    private String attendanceLocation;
    /**
     * 手机号
     */
    private String phoneNumber;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 租户编号
     */
    private Long tenantId;

}