package cn.iocoder.yudao.module.attendance.dal.dataobject.schedulingmanage;

import lombok.*;

import java.time.LocalTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 考勤排班管理 DO
 *
 * @author zhaopq
 */
@TableName("attendance_scheduling_manage")
@KeySequence("attendance_scheduling_manage_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceSchedulingManageDO extends BaseDO {

    /**
     * 排班ID
     */
    @TableId
    private Long id;
    /**
     * 班次名称，如早班、中班、晚班等
     */
    private String shiftName;
    /**
     * 上班时间
     */
    private LocalTime startTime;
    /**
     * 下班时间
     */
    private LocalTime endTime;
    /**
     * 备注信息
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 租户编号
     */
    private Long tenantId;

}