package cn.iocoder.yudao.module.attendance.dal.mysql.employeesetting;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.attendance.controller.admin.employeesetting.vo.AttendanceEmployeeSettingPageReqVO;
import cn.iocoder.yudao.module.attendance.dal.dataobject.business.AttendanceBusinessDO;
import cn.iocoder.yudao.module.attendance.controller.admin.employeesetting.vo.AttendanceEmployeeSettingRespVO;
import cn.iocoder.yudao.module.attendance.dal.dataobject.employeesetting.AttendanceEmployeeSettingDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 考勤员工设置 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface AttendanceEmployeeSettingMapper extends BaseMapperX<AttendanceEmployeeSettingDO> {

    default PageResult<AttendanceEmployeeSettingDO> selectPage(AttendanceEmployeeSettingPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AttendanceEmployeeSettingDO>()
                .eqIfPresent(AttendanceEmployeeSettingDO::getEmployeeId, reqVO.getEmployeeId())
                .likeIfPresent(AttendanceEmployeeSettingDO::getName, reqVO.getName())
                .eqIfPresent(AttendanceEmployeeSettingDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(AttendanceEmployeeSettingDO::getSchedulingId, reqVO.getSchedulingId())
                .eqIfPresent(AttendanceEmployeeSettingDO::getAttendanceLocation, reqVO.getAttendanceLocation())
                .eqIfPresent(AttendanceEmployeeSettingDO::getPhoneNumber, reqVO.getPhoneNumber())
                .eqIfPresent(AttendanceEmployeeSettingDO::getEmail, reqVO.getEmail())
                .eqIfPresent(AttendanceEmployeeSettingDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(AttendanceEmployeeSettingDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(AttendanceEmployeeSettingDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(AttendanceEmployeeSettingDO::getId));
    }

    AttendanceEmployeeSettingRespVO getByEmployeeId(@Param("employeeId") Long employeeId);

    List<AttendanceEmployeeSettingRespVO> getEmployeeInfoSettingPage(@Param("reqVO") AttendanceEmployeeSettingPageReqVO reqVO);

}