package cn.iocoder.yudao.module.attendance.dal.mysql.info;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.attendance.controller.admin.info.vo.*;
import cn.iocoder.yudao.module.attendance.dal.dataobject.info.AttendanceInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 考勤信息 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface AttendanceInfoMapper extends BaseMapperX<AttendanceInfoDO> {

    default PageResult<AttendanceInfoDO> selectPage(AttendanceInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AttendanceInfoDO>()
                .eqIfPresent(AttendanceInfoDO::getEmployeeId, reqVO.getEmployeeId())
                .likeIfPresent(AttendanceInfoDO::getEmployeeName, reqVO.getEmployeeName())
                .likeIfPresent(AttendanceInfoDO::getEmployeeMobile, reqVO.getEmployeeMobile())
                .eqIfPresent(AttendanceInfoDO::getDeptId, reqVO.getDeptId())
                .likeIfPresent(AttendanceInfoDO::getDeptName, reqVO.getDeptName())
                .eqIfPresent(AttendanceInfoDO::getPostId, reqVO.getPostId())
                .likeIfPresent(AttendanceInfoDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(AttendanceInfoDO::getAttendanceDate, reqVO.getAttendanceDate())
                .betweenIfPresent(AttendanceInfoDO::getWorkStartTime, reqVO.getWorkStartTime())
                .betweenIfPresent(AttendanceInfoDO::getWorkEndTime, reqVO.getWorkEndTime())
                .betweenIfPresent(AttendanceInfoDO::getLateTime, reqVO.getLateTime())
                .betweenIfPresent(AttendanceInfoDO::getLeaveEarlyTime, reqVO.getLeaveEarlyTime())
                .eqIfPresent(AttendanceInfoDO::getOvertimeDuration, reqVO.getOvertimeDuration())
                .eqIfPresent(AttendanceInfoDO::getLeaveType, reqVO.getLeaveType())
                .eqIfPresent(AttendanceInfoDO::getLeaveDuration, reqVO.getLeaveDuration())
                .eqIfPresent(AttendanceInfoDO::getAttendanceStatus, reqVO.getAttendanceStatus())
                .eqIfPresent(AttendanceInfoDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(AttendanceInfoDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(AttendanceInfoDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(AttendanceInfoDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(AttendanceInfoDO::getId));
    }

    List<AttendanceDailyInfoRespVO> getDailyInfoPage(@Param("reqVO") AttendanceDailyInfoPageReqVO reqVO);

    default PageResult<AttendanceInfoDO> selectPage(AttendanceMonthlyInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AttendanceInfoDO>()
                .likeIfPresent(AttendanceInfoDO::getEmployeeName, reqVO.getEmployeeName())
                .likeIfPresent(AttendanceInfoDO::getEmployeeNumber, reqVO.getEmployeeNumber())
                .eqIfPresent(AttendanceInfoDO::getAttendanceMonth, reqVO.getAttendanceMonth())
                .eqIfPresent(AttendanceInfoDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(AttendanceInfoDO::getPostId, reqVO.getPostId())
                .eqIfPresent(AttendanceInfoDO::getDeptName, reqVO.getDeptName())
                .orderByDesc(AttendanceInfoDO::getId));
    }

}