package cn.iocoder.yudao.module.attendance.dal.mysql.leave;

import java.time.LocalDate;
import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.attendance.dal.dataobject.business.AttendanceBusinessDO;
import cn.iocoder.yudao.module.attendance.dal.dataobject.info.AttendanceInfoDO;
import cn.iocoder.yudao.module.attendance.dal.dataobject.leave.AttendanceLeaveDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.attendance.controller.admin.leave.vo.*;

/**
 * 请假信息 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface AttendanceLeaveMapper extends BaseMapperX<AttendanceLeaveDO> {

    default PageResult<AttendanceLeaveDO> selectPage(AttendanceLeavePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AttendanceLeaveDO>()
                .eqIfPresent(AttendanceLeaveDO::getLeaveId, reqVO.getLeaveId())
                .eqIfPresent(AttendanceLeaveDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(AttendanceLeaveDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(AttendanceLeaveDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(AttendanceLeaveDO::getEmployeePhone, reqVO.getEmployeePhone())
                .eqIfPresent(AttendanceLeaveDO::getUserId, reqVO.getUserId())
                .eqIfPresent(AttendanceLeaveDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(AttendanceLeaveDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(AttendanceLeaveDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(AttendanceLeaveDO::getPostId, reqVO.getPostId())
                .eqIfPresent(AttendanceLeaveDO::getPosition, reqVO.getPosition())
                .eqIfPresent(AttendanceLeaveDO::getLeaveType, reqVO.getLeaveType())
                .betweenIfPresent(AttendanceLeaveDO::getStartDate, reqVO.getStartDate())
                .betweenIfPresent(AttendanceLeaveDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(AttendanceLeaveDO::getEndDate, reqVO.getEndDate())
                .betweenIfPresent(AttendanceLeaveDO::getEndTime, reqVO.getEndTime())
                .eqIfPresent(AttendanceLeaveDO::getDay, reqVO.getDay())
                .eqIfPresent(AttendanceLeaveDO::getReason, reqVO.getReason())
                .eqIfPresent(AttendanceLeaveDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(AttendanceLeaveDO::getStatus, reqVO.getStatus())
                .eqIfPresent(AttendanceLeaveDO::getInfoSource, reqVO.getInfoSource())
                .eqIfPresent(AttendanceLeaveDO::getCreatorEmployeeId, reqVO.getCreatorEmployeeId())
                .likeIfPresent(AttendanceLeaveDO::getCreatorEmployeeName, reqVO.getCreatorEmployeeName())
                .betweenIfPresent(AttendanceLeaveDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(AttendanceLeaveDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(AttendanceLeaveDO::getId));
    }

    default List<AttendanceLeaveDO> selectByDateAndEmployeeId(LocalDate date, Long employeeId) {
        return selectList(new LambdaQueryWrapperX<AttendanceLeaveDO>()
                .eqIfPresent(AttendanceLeaveDO::getEmployeeId, employeeId)
                .betweenIfPresent(AttendanceLeaveDO::getStartDate, new LocalDate[]{date})
                .betweenIfPresent(AttendanceLeaveDO::getEndDate, new LocalDate[]{date})
                .orderByDesc(AttendanceLeaveDO::getId));
    }

}