package cn.iocoder.yudao.module.attendance.dal.mysql.out;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.attendance.dal.dataobject.leave.AttendanceLeaveDO;
import cn.iocoder.yudao.module.attendance.dal.dataobject.out.AttendanceOutDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.attendance.controller.admin.out.vo.*;

/**
 * 公务外出信息 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface AttendanceOutMapper extends BaseMapperX<AttendanceOutDO> {

    default PageResult<AttendanceOutDO> selectPage(AttendanceOutPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<AttendanceOutDO>()
                .eqIfPresent(AttendanceOutDO::getOutId, reqVO.getOutId())
                .eqIfPresent(AttendanceOutDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(AttendanceOutDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(AttendanceOutDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(AttendanceOutDO::getEmployeePhone, reqVO.getEmployeePhone())
                .eqIfPresent(AttendanceOutDO::getUserId, reqVO.getUserId())
                .eqIfPresent(AttendanceOutDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(AttendanceOutDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(AttendanceOutDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(AttendanceOutDO::getPostId, reqVO.getPostId())
                .eqIfPresent(AttendanceOutDO::getPosition, reqVO.getPosition())
                .eqIfPresent(AttendanceOutDO::getReason, reqVO.getReason())
                .eqIfPresent(AttendanceOutDO::getDestination, reqVO.getDestination())
                .betweenIfPresent(AttendanceOutDO::getStartDate, reqVO.getStartDate())
                .betweenIfPresent(AttendanceOutDO::getEndDate, reqVO.getEndDate())
                .eqIfPresent(AttendanceOutDO::getHour, reqVO.getHour())
                .eqIfPresent(AttendanceOutDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(AttendanceOutDO::getStatus, reqVO.getStatus())
                .eqIfPresent(AttendanceOutDO::getInfoSource, reqVO.getInfoSource())
                .eqIfPresent(AttendanceOutDO::getCreatorEmployeeId, reqVO.getCreatorEmployeeId())
                .likeIfPresent(AttendanceOutDO::getCreatorEmployeeName, reqVO.getCreatorEmployeeName())
                .betweenIfPresent(AttendanceOutDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(AttendanceOutDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(AttendanceOutDO::getId));
    }

}