package cn.iocoder.yudao.module.attendance.service.schedulingmanage;

import java.util.*;
import cn.iocoder.yudao.module.attendance.controller.admin.schedulingmanage.vo.*;
import cn.iocoder.yudao.module.attendance.dal.dataobject.schedulingmanage.AttendanceSchedulingManageDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

import javax.validation.Valid;

/**
 * 考勤排班管理 Service 接口
 *
 * @author zhaopq
 */
public interface AttendanceSchedulingManageService {

    /**
     * 创建考勤排班管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSchedulingManage(@Valid AttendanceSchedulingManageSaveReqVO createReqVO);

    /**
     * 更新考勤排班管理
     *
     * @param updateReqVO 更新信息
     */
    void updateSchedulingManage(@Valid AttendanceSchedulingManageSaveReqVO updateReqVO);

    /**
     * 删除考勤排班管理
     *
     * @param id 编号
     */
    void deleteSchedulingManage(Long id);

    /**
     * 获得考勤排班管理
     *
     * @param id 编号
     * @return 考勤排班管理
     */
    AttendanceSchedulingManageDO getSchedulingManage(Long id);

    /**
     * 获得考勤排班管理分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤排班管理分页
     */
    PageResult<AttendanceSchedulingManageDO> getSchedulingManagePage(AttendanceSchedulingManagePageReqVO pageReqVO);

}