package cn.iocoder.yudao.module.attendance.service.workdaysetting;

import java.util.*;
import cn.iocoder.yudao.module.attendance.controller.admin.workdaysetting.vo.*;
import cn.iocoder.yudao.module.attendance.dal.dataobject.workdaysetting.AttendanceWorkdaySettingDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

import javax.validation.Valid;

/**
 * 考勤工作日设置 Service 接口
 *
 * @author zhaopq
 */
public interface AttendanceWorkdaySettingService {

    /**
     * 创建考勤工作日设置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWorkdaySetting(@Valid AttendanceWorkdaySettingSaveReqVO createReqVO);

    /**
     * 更新考勤工作日设置
     *
     * @param updateReqVO 更新信息
     */
    void updateWorkdaySetting(@Valid AttendanceWorkdaySettingSaveReqVO updateReqVO);

    /**
     * 删除考勤工作日设置
     *
     * @param id 编号
     */
    void deleteWorkdaySetting(Long id);

    /**
     * 获得考勤工作日设置
     *
     * @param id 编号
     * @return 考勤工作日设置
     */
    AttendanceWorkdaySettingDO getWorkdaySetting(Long id);

    /**
     * 获得考勤工作日设置分页
     *
     * @param pageReqVO 分页查询
     * @return 考勤工作日设置分页
     */
    PageResult<AttendanceWorkdaySettingDO> getWorkdaySettingPage(AttendanceWorkdaySettingPageReqVO pageReqVO);

    /**
     * 批量设置考勤工作日
     *
     * @param dates
     * @return
     */
    Boolean batchInsert(String[] dates);

    /**
     * 获得考勤工作日数据
     *
     * @param month
     * @return
     */
    List<AttendanceWorkdaySettingDO> getWorkdays(String month);

}