package cn.iocoder.yudao.module.employee.dal.mysql.info;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.employee.controller.admin.info.vo.EmployeeInfoHistoryPageReqVO;
import cn.iocoder.yudao.module.employee.dal.dataobject.info.EmployeeInfoHistoryDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 员工信息历史 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface EmployeeInfoHistoryMapper extends BaseMapperX<EmployeeInfoHistoryDO> {

    default PageResult<EmployeeInfoHistoryDO> selectPage(EmployeeInfoHistoryPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<EmployeeInfoHistoryDO>()
                .eqIfPresent(EmployeeInfoHistoryDO::getInfoId, reqVO.getInfoId())
                .likeIfPresent(EmployeeInfoHistoryDO::getName, reqVO.getName())
                .eqIfPresent(EmployeeInfoHistoryDO::getDeptId, reqVO.getDeptId())
                .likeIfPresent(EmployeeInfoHistoryDO::getDeptName, reqVO.getDeptName())
                .eqIfPresent(EmployeeInfoHistoryDO::getPostId, reqVO.getPostId())
                .eqIfPresent(EmployeeInfoHistoryDO::getPosition, reqVO.getPosition())
                .eqIfPresent(EmployeeInfoHistoryDO::getEmployeeNumber, reqVO.getEmployeeNumber())
                .betweenIfPresent(EmployeeInfoHistoryDO::getEntryDate, reqVO.getEntryDate())
                .betweenIfPresent(EmployeeInfoHistoryDO::getProbationEndDate, reqVO.getProbationEndDate())
                .betweenIfPresent(EmployeeInfoHistoryDO::getDepartureDate, reqVO.getDepartureDate())
                .eqIfPresent(EmployeeInfoHistoryDO::getResignationReason, reqVO.getResignationReason())
                .eqIfPresent(EmployeeInfoHistoryDO::getEmployeeStatus, reqVO.getEmployeeStatus())
                .eqIfPresent(EmployeeInfoHistoryDO::getGender, reqVO.getGender())
                .eqIfPresent(EmployeeInfoHistoryDO::getEmail, reqVO.getEmail())
                .eqIfPresent(EmployeeInfoHistoryDO::getPhone, reqVO.getPhone())
                .eqIfPresent(EmployeeInfoHistoryDO::getIdCardNumber, reqVO.getIdCardNumber())
                .eqIfPresent(EmployeeInfoHistoryDO::getIdCardAddress, reqVO.getIdCardAddress())
                .eqIfPresent(EmployeeInfoHistoryDO::getHouseholdType, reqVO.getHouseholdType())
                .eqIfPresent(EmployeeInfoHistoryDO::getHouseholdLocation, reqVO.getHouseholdLocation())
                .eqIfPresent(EmployeeInfoHistoryDO::getEducationLevel, reqVO.getEducationLevel())
                .eqIfPresent(EmployeeInfoHistoryDO::getGraduationSchool, reqVO.getGraduationSchool())
                .betweenIfPresent(EmployeeInfoHistoryDO::getGraduationDate, reqVO.getGraduationDate())
                .likeIfPresent(EmployeeInfoHistoryDO::getBankCardName, reqVO.getBankCardName())
                .eqIfPresent(EmployeeInfoHistoryDO::getBankCardNumber, reqVO.getBankCardNumber())
                .eqIfPresent(EmployeeInfoHistoryDO::getBaseAnnualLeave, reqVO.getBaseAnnualLeave())
                .eqIfPresent(EmployeeInfoHistoryDO::getUsedAnnualLeave, reqVO.getUsedAnnualLeave())
                .eqIfPresent(EmployeeInfoHistoryDO::getRemainingAnnualLeave, reqVO.getRemainingAnnualLeave())
                .betweenIfPresent(EmployeeInfoHistoryDO::getBirthDate, reqVO.getBirthDate())
                .eqIfPresent(EmployeeInfoHistoryDO::getMarriageStatus, reqVO.getMarriageStatus())
                .eqIfPresent(EmployeeInfoHistoryDO::getWorkLocation, reqVO.getWorkLocation())
                .eqIfPresent(EmployeeInfoHistoryDO::getMajor, reqVO.getMajor())
                .betweenIfPresent(EmployeeInfoHistoryDO::getWorkStartDate, reqVO.getWorkStartDate())
                .eqIfPresent(EmployeeInfoHistoryDO::getSalary, reqVO.getSalary())
                .eqIfPresent(EmployeeInfoHistoryDO::getPositionSalary, reqVO.getPositionSalary())
                .eqIfPresent(EmployeeInfoHistoryDO::getProjectAllowance, reqVO.getProjectAllowance())
                .eqIfPresent(EmployeeInfoHistoryDO::getSpecialPositionAllowance, reqVO.getSpecialPositionAllowance())
                .eqIfPresent(EmployeeInfoHistoryDO::getForeignAllowance, reqVO.getForeignAllowance())
                .eqIfPresent(EmployeeInfoHistoryDO::getLunchSubsidy, reqVO.getLunchSubsidy())
                .eqIfPresent(EmployeeInfoHistoryDO::getSpecialAllowance, reqVO.getSpecialAllowance())
                .eqIfPresent(EmployeeInfoHistoryDO::getSubsidy, reqVO.getSubsidy())
                .eqIfPresent(EmployeeInfoHistoryDO::getYearEndBonus, reqVO.getYearEndBonus())
                .eqIfPresent(EmployeeInfoHistoryDO::getAvatar, reqVO.getAvatar())
                .eqIfPresent(EmployeeInfoHistoryDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(EmployeeInfoHistoryDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(EmployeeInfoHistoryDO::getTenantId, reqVO.getTenantId())
                .eqIfPresent(EmployeeInfoHistoryDO::getUserId, reqVO.getUserId())
                .eqIfPresent(EmployeeInfoHistoryDO::getEmployeeId, reqVO.getEmployeeId())
                .orderByDesc(EmployeeInfoHistoryDO::getId));
    }

}