package cn.iocoder.yudao.module.relations.api.contract;

import cn.iocoder.yudao.module.relations.api.contract.dto.RelationsContractDTO;

public interface RelationsContractApi {

    /**
     * 获取员工的最新合同信息
     *
     * 此方法用于根据员工ID检索系统中该员工的最新合同信息详情
     * 它解释了为什么需要这个方法：为了确保能够获取到员工当前的有效合同，以便进行后续的相关操作或查询
     *
     * @param employeeId 员工ID
     *                  员工ID是唯一标识员工的键值，此参数用于定位特定员工的合同信息
     * @return RelationsContractDTO 返回员工的最新合同信息
     *                 返回的数据传输对象（DTO）包含员工最新合同的详细信息，如合同类型、有效期等
     */
    RelationsContractDTO getLastContract(Long employeeId);
}
