package cn.iocoder.yudao.module.relations.api.contract;

import cn.hutool.core.collection.CollUtil;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.relations.api.contract.dto.RelationsContractDTO;
import cn.iocoder.yudao.module.relations.dal.dataobject.contract.RelationsContractDO;
import cn.iocoder.yudao.module.relations.service.contract.RelationsContractService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class RelationsContractApiImpl implements RelationsContractApi{

    @Resource
    private RelationsContractService relationsContractService;

    @Override
    public RelationsContractDTO getLastContract(Long employeeId) {
        // 根据员工ID查询关联合同信息列表
        List<RelationsContractDO> relationsContractDOList = relationsContractService.getContractInfoList(employeeId);
        // 如果列表不为空
        if (CollUtil.isNotEmpty(relationsContractDOList)) {
            // 获取列表中的第一个关联合同信息
            RelationsContractDO relationsContractDO = relationsContractDOList.get(0);
            // 将关联合同信息转换为DTO对象并返回
            return BeanUtils.toBean(relationsContractDO, RelationsContractDTO.class);
        }
        // 如果列表为空，返回null
        return null;
    }
}
