package cn.iocoder.yudao.module.relations.controller.admin.contract.vo;

import lombok.*;

import java.time.LocalDate;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 员工合同信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RelationsContractPageReqVO extends PageParam {

    @Schema(description = "业务UUID", example = "17794")
    private String contractId;

    @Schema(description = "员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "部门ID", example = "20570")
    private Long deptId;

    @Schema(description = "部门名称", example = "张三")
    private String deptName;

    @Schema(description = "职位编号", example = "13164")
    private Long postId;

    @Schema(description = "职位名称")
    private String position;

    @Schema(description = "员工编号")
    private String employeeNumber;

    @Schema(description = "员工手机号")
    private String employeePhone;

    @Schema(description = "合同开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] contractStartDate;

    @Schema(description = "合同结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] contractEndDate;

    @Schema(description = "合同期限")
    private String contractDeadline;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "状态", example = "1")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "员工ID", example = "31256")
    private Long employeeId;

    @Schema(description = "租户编号", example = "4014")
    private Long tenantId;

    @Schema(description = "创建人员工姓名", example = "芋艿")
    private String creatorEmployeeName;

}