package cn.iocoder.yudao.module.relations.controller.admin.contract.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;
import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 员工合同信息新增/修改 Request VO")
@Data
public class RelationsContractSaveReqVO {

    @Schema(description = "自增ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "28961")
    private Long id;

    @Schema(description = "业务UUID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17794")
    private String contractId;

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "芋艿")
    @NotEmpty(message = "员工姓名不能为空")
    private String employeeName;

    @Schema(description = "部门ID", example = "20570")
    private Long deptId;

    @Schema(description = "部门名称", example = "张三")
    private String deptName;

    @Schema(description = "职位编号", example = "13164")
    private Long postId;

    @Schema(description = "职位名称")
    private String position;

    @Schema(description = "员工编号")
    private String employeeNumber;

    @Schema(description = "员工手机号")
    private String employeePhone;

    @Schema(description = "合同开始日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "合同开始日期不能为空")
    private LocalDate contractStartDate;

    @Schema(description = "合同结束日期")
    @NotNull(message = "合同开始日期不能为空")
    private LocalDate contractEndDate;

    @Schema(description = "合同期限")
    @NotEmpty(message = "合同期限不能为空")
    private String contractDeadline;

    @Schema(description = "备注信息")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "员工ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31256")
    @NotNull(message = "员工ID不能为空")
    private Long employeeId;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4014")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}