package cn.iocoder.yudao.module.relations.controller.admin.conversion.vo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 转正信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RelationsConversionPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "182")
    private String conversionId;

    @Schema(description = "转正人id", example = "16390")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "11168")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "芋艿")
    private String employeeName;

    @Schema(description = "转正员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "5018")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "21562")
    private String userUuid;

    @Schema(description = "部门id", example = "2507")
    private Long deptId;

    @Schema(description = "部门uuid", example = "11190")
    private String deptUuid;

    @Schema(description = "职位id", example = "2507")
    private Long postId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "入职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] entryDate;

    @Schema(description = "试用期结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] probationEndDate;

    @Schema(description = "转正日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] conversionDate;

    @Schema(description = "转正申请理由", example = "不香")
    private String conversionReason;

    @Schema(description = "工作总结")
    private String workSummary;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "11670")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "赵六")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "4014")
    private Long tenantId;

}