package cn.iocoder.yudao.module.relations.controller.admin.conversion.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 转正信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RelationsConversionRespVO {

    @Schema(description = "转正表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "15594")
    private Long id;

    @Schema(description = "uuid", example = "182")
    private String conversionId;

    @Schema(description = "转正人id", example = "16390")
    private Long employeeId;

    @Schema(description = "转正人uuid", example = "11168")
    private String employeeUuid;

    @Schema(description = "转正员工姓名", example = "芋艿")
    @ExcelProperty("转正人")
    private String employeeName;

    @Schema(description = "部门名称", example = "人事部")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "转正员工手机号")
    @ExcelProperty("手机号")
    private String employeePhone;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "转正日期")
    @ExcelProperty("转正日期")
    private String conversionDate;

    @Schema(description = "用户账号id", example = "5018")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "21562")
    private String userUuid;

    @Schema(description = "部门id", example = "2507")
    private Long deptId;

    @Schema(description = "部门uuid", example = "11190")
    private String deptUuid;

    @Schema(description = "试用期结束日期")
    private String probationEndDate;

    @Schema(description = "转正申请理由", example = "不香")
    private String conversionReason;

    @Schema(description = "工作总结")
    private String workSummary;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "11670")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "赵六")
    @ExcelProperty("创建人")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "4014")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;
}