package cn.iocoder.yudao.module.relations.controller.admin.entry.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 入职信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RelationsEntryPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "20723")
    private String entryId;

    @Schema(description = "入职人", example = "王五")
    private String entryName;

    @Schema(description = "部门", example = "24059")
    private Long deptId;

    @Schema(description = "职位ID", example = "24059")
    private Long postId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "员工类型", example = "2")
    private String employeeType;

    @Schema(description = "性别")
    private String gender;

    @Schema(description = "出身日期")
    private String birthday;

    @Schema(description = "联系电话")
    private String contactNumber;

    @Schema(description = "电子邮箱")
    private String email;

    @Schema(description = "教育背景")
    private String education;

    @Schema(description = "工作经验")
    private String workExperience;

    @Schema(description = "入职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] entryDate;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "11779")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "赵六")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "17470")
    private Long tenantId;

}