package cn.iocoder.yudao.module.relations.controller.admin.entry.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 入职信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RelationsEntryRespVO {

    @Schema(description = "入职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "30064")
    private Long id;

    @Schema(description = "uuid", example = "20723")
    private String entryId;

    @Schema(description = "入职人", example = "王五")
    @ExcelProperty("入职人")
    private String entryName;

    @Schema(description = "部门", example = "24059")
    private Long deptId;

    @Schema(description = "部门名称", example = "财务部")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "员工类型", example = "2")
    private String employeeType;

    @Schema(description = "员工类型label")
    @ExcelProperty("员工类型")
    private String employeeTypeDesc;

    @Schema(description = "性别")
    @ExcelProperty("性别")
    private String gender;

    @Schema(description = "出生日期")
    private String birthday;

    @Schema(description = "联系电话")
    @ExcelProperty("联系电话")
    private String contactNumber;

    @Schema(description = "电子邮箱")
    private String email;

    @Schema(description = "教育背景")
    private String education;

    @Schema(description = "工作经验")
    private String workExperience;

    @Schema(description = "入职日期")
    @ExcelProperty("入职日期")
    private String entryDate;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "11779")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "赵六")
    @ExcelProperty("创建人")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "17470")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;
}