package cn.iocoder.yudao.module.relations.controller.admin.renew.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 续签信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RelationsRenewPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "14155")
    private String renewId;

    @Schema(description = "续签人id", example = "18481")
    private Long employeeId;

    @Schema(description = "续签人uuid", example = "15219")
    private String employeeUuid;

    @Schema(description = "续签员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "续签员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "12361")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "2148")
    private String userUuid;

    @Schema(description = "部门id", example = "9504")
    private Long deptId;

    @Schema(description = "部门uuid", example = "7043")
    private String deptUuid;

    @Schema(description = "职位ID", example = "12361")
    private Long postId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "原合同开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] oldContractStartDate;

    @Schema(description = "原合同结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] oldContractEndDate;

    @Schema(description = "续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签开始日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] renewContractStartDate;

    @Schema(description = "续签结束日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] renewContractEndDate;

    @Schema(description = "续签理由", example = "不好")
    private String renewReason;

    @Schema(description = "工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "27141")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "李四")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "618")
    private Long tenantId;

}