package cn.iocoder.yudao.module.relations.controller.admin.renew.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import java.util.List;

import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 续签信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RelationsRenewRespVO {

    @Schema(description = "续签表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "25101")
    private Long id;

    @Schema(description = "uuid", example = "14155")
    private String renewId;

    @Schema(description = "续签人id", example = "18481")
    private Long employeeId;

    @Schema(description = "续签人uuid", example = "15219")
    private String employeeUuid;

    @Schema(description = "续签员工姓名", example = "李四")
    @ExcelProperty("续签人")
    private String employeeName;

    @Schema(description = "部门名称", example = "人事部")
    @ExcelProperty("部门")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "续签员工手机号")
    @ExcelProperty("手机号")
    private String employeePhone;

    @Schema(description = "续签开始日期")
    @ExcelProperty("续签开始日期")
    private String renewContractStartDate;

    @Schema(description = "续签结束日期")
    @ExcelProperty("续签结束日期")
    private String renewContractEndDate;

    @Schema(description = "创建人员工姓名", example = "李四")
    @ExcelProperty("创建人员工姓名")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @Schema(description = "用户账号id", example = "12361")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "2148")
    private String userUuid;

    @Schema(description = "部门id", example = "9504")
    private Long deptId;

    @Schema(description = "部门uuid", example = "7043")
    private String deptUuid;

    @Schema(description = "原合同开始日期")
    private String oldContractStartDate;

    @Schema(description = "原合同结束日期")
    private String oldContractEndDate;

    @Schema(description = "续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签理由", example = "不好")
    private String renewReason;

    @Schema(description = "工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "27141")
    private Long creatorEmployeeId;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "618")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;
}