package cn.iocoder.yudao.module.relations.controller.admin.renew.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - 续签信息新增/修改 Request VO")
@Data
public class RelationsRenewSaveReqVO {

    @Schema(description = "续签表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "25101")
    private Long id;

    @Schema(description = "uuid", example = "14155")
    private String renewId;

    @Schema(description = "续签人id", example = "18481")
    private Long employeeId;

    @Schema(description = "续签人uuid", example = "15219")
    private String employeeUuid;

    @Schema(description = "续签员工姓名", example = "李四")
    private String employeeName;

    @Schema(description = "续签员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "12361")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "2148")
    private String userUuid;

    @Schema(description = "部门id", example = "9504")
    private Long deptId;

    @Schema(description = "部门uuid", example = "7043")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "原合同开始日期")
    private String oldContractStartDate;

    @Schema(description = "原合同结束日期")
    private String oldContractEndDate;

    @Schema(description = "续签合同期限")
    private String renewPeriod;

    @Schema(description = "续签开始日期")
    private String renewContractStartDate;

    @Schema(description = "续签结束日期")
    private String renewContractEndDate;

    @Schema(description = "续签理由", example = "不好")
    private String renewReason;

    @Schema(description = "工作表现")
    private String workPerformance;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "27141")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "李四")
    private String creatorEmployeeName;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "618")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}