package cn.iocoder.yudao.module.relations.controller.admin.turnover.vo;

import lombok.*;

import java.time.LocalDate;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 离职信息分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RelationsTurnoverPageReqVO extends PageParam {

    @Schema(description = "uuid", example = "25144")
    private String turnoverId;

    @Schema(description = "离职人id", example = "28288")
    private Long employeeId;

    @Schema(description = "离职人uuid", example = "32274")
    private String employeeUuid;

    @Schema(description = "离职员工姓名", example = "张三")
    private String employeeName;

    @Schema(description = "续签员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "31092")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "17689")
    private String userUuid;

    @Schema(description = "部门id", example = "19364")
    private Long deptId;

    @Schema(description = "部门uuid", example = "6524")
    private String deptUuid;

    @Schema(description = "职位id", example = "19364")
    private Long postId;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "入职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] entryDate;

    @Schema(description = "离职日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDate[] turnoverDate;

    @Schema(description = "离职原因", example = "不对")
    private String turnoverReason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "29636")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "王五")
    private String creatorEmployeeName;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "租户编号", example = "23947")
    private Long tenantId;

}