package cn.iocoder.yudao.module.relations.controller.admin.turnover.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 离职信息新增/修改 Request VO")
@Data
public class RelationsTurnoverSaveReqVO {

    @Schema(description = "离职表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "5207")
    private Long id;

    @Schema(description = "uuid", example = "25144")
    private String turnoverId;

    @Schema(description = "离职人id", example = "28288")
    private Long employeeId;

    @Schema(description = "离职人uuid", example = "32274")
    private String employeeUuid;

    @Schema(description = "离职员工姓名", example = "张三")
    private String employeeName;

    @Schema(description = "续签员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "31092")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "17689")
    private String userUuid;

    @Schema(description = "部门id", example = "19364")
    private Long deptId;

    @Schema(description = "部门uuid", example = "6524")
    private String deptUuid;

    @Schema(description = "职位")
    private String position;

    @Schema(description = "入职日期")
    private String entryDate;

    @Schema(description = "离职日期")
    private String turnoverDate;

    @Schema(description = "离职原因", example = "不对")
    private String turnoverReason;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "29636")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "王五")
    private String creatorEmployeeName;

    @Schema(description = "租户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23947")
    private Long tenantId;

    @Schema(description = "附件主键id", example = "[1, 2]")
    private List<Long> fileIdList;

}