package cn.iocoder.yudao.module.relations.dal.dataobject.contract;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDate;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

import javax.validation.constraints.NotNull;

/**
 * 员工合同信息 DO
 *
 * @author zhaopq
 */
@TableName("relations_contract")
@KeySequence("relations_contract_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RelationsContractDO extends BaseDO {

    /**
     * 自增ID
     */
    @TableId
    private Long id;
    /**
     * 业务UUID
     */
    private String contractId;
    /**
     * 员工姓名
     */
    private String employeeName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 职位编号
     */
    private Long postId;
    /**
     * 职位名称
     */
    private String position;
    /**
     * 员工编号
     */
    private String employeeNumber;
    /**
     * 员工手机号
     */
    private String employeePhone;
    /**
     * 合同开始日期
     */
    private LocalDate contractStartDate;
    /**
     * 合同结束日期
     */
    private LocalDate contractEndDate;
    /**
     * 合同期限
     */
    private String contractDeadline;
    /**
     * 备注信息
     */
    private String remarks;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 员工ID
     */
    private Long employeeId;
    /**
     * 租户编号
     */
    private Long tenantId;

}