package cn.iocoder.yudao.module.relations.dal.dataobject.entry;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 入职信息 DO
 *
 * @author zhaopq
 */
@TableName("relations_entry")
@KeySequence("relations_entry_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RelationsEntryDO extends BaseDO {

    /**
     * 入职表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String entryId;
    /**
     * 入职人
     */
    private String entryName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 员工类型
     */
    private String employeeType;
    /**
     * 性别
     */
    private String gender;
    /**
     * 出身日期
     */
    private String birthday;
    /**
     * 联系电话
     */
    private String contactNumber;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * 教育背景
     */
    private String education;
    /**
     * 工作经验
     */
    private String workExperience;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 租户编码
     */
    private Long tenantId;

}