package cn.iocoder.yudao.module.relations.dal.dataobject.turnover;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 离职信息 DO
 *
 * @author zhaopq
 */
@TableName("relations_turnover")
@KeySequence("relations_turnover_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RelationsTurnoverDO extends BaseDO {

    /**
     * 离职表单主键
     */
    @TableId
    private Long id;
    /**
     * uuid
     */
    private String turnoverId;
    /**
     * 离职人id
     */
    private Long employeeId;
    /**
     * 离职人uuid
     */
    private String employeeUuid;
    /**
     * 离职员工姓名
     */
    private String employeeName;
    /**
     * 续签员工手机号
     */
    private String employeePhone;
    /**
     * 用户账号id
     */
    private Long userId;
    /**
     * 用户账号uuid
     */
    private String userUuid;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门uuid
     */
    private String deptUuid;
    /**
     * 职位id
     */
    private Long postId;
    /**
     * 职位
     */
    private String position;
    /**
     * 入职日期
     */
    private String entryDate;
    /**
     * 离职日期
     */
    private String turnoverDate;
    /**
     * 离职原因
     */
    private String turnoverReason;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 数据来源，0流程添加、1手动添加
     */
    private String infoSource;
    /**
     * 创建人员工id
     */
    private Long creatorEmployeeId;
    /**
     * 创建人员工姓名
     */
    private String creatorEmployeeName;
    /**
     * 租户编码
     */
    private Long tenantId;

}