package cn.iocoder.yudao.module.relations.dal.mysql.conversion;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.relations.dal.dataobject.conversion.RelationsConversionDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.relations.controller.admin.conversion.vo.*;

/**
 * 转正信息 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface RelationsConversionMapper extends BaseMapperX<RelationsConversionDO> {

    default PageResult<RelationsConversionDO> selectPage(RelationsConversionPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RelationsConversionDO>()
                .eqIfPresent(RelationsConversionDO::getConversionId, reqVO.getConversionId())
                .eqIfPresent(RelationsConversionDO::getEmployeeId, reqVO.getEmployeeId())
                .eqIfPresent(RelationsConversionDO::getEmployeeUuid, reqVO.getEmployeeUuid())
                .likeIfPresent(RelationsConversionDO::getEmployeeName, reqVO.getEmployeeName())
                .eqIfPresent(RelationsConversionDO::getEmployeePhone, reqVO.getEmployeePhone())
                .eqIfPresent(RelationsConversionDO::getUserId, reqVO.getUserId())
                .eqIfPresent(RelationsConversionDO::getUserUuid, reqVO.getUserUuid())
                .eqIfPresent(RelationsConversionDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(RelationsConversionDO::getDeptUuid, reqVO.getDeptUuid())
                .eqIfPresent(RelationsConversionDO::getPostId, reqVO.getPostId())
                .eqIfPresent(RelationsConversionDO::getPosition, reqVO.getPosition())
                .betweenIfPresent(RelationsConversionDO::getEntryDate, reqVO.getEntryDate())
                .betweenIfPresent(RelationsConversionDO::getProbationEndDate, reqVO.getProbationEndDate())
                .betweenIfPresent(RelationsConversionDO::getConversionDate, reqVO.getConversionDate())
                .eqIfPresent(RelationsConversionDO::getConversionReason, reqVO.getConversionReason())
                .eqIfPresent(RelationsConversionDO::getWorkSummary, reqVO.getWorkSummary())
                .eqIfPresent(RelationsConversionDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(RelationsConversionDO::getStatus, reqVO.getStatus())
                .eqIfPresent(RelationsConversionDO::getInfoSource, reqVO.getInfoSource())
                .eqIfPresent(RelationsConversionDO::getCreatorEmployeeId, reqVO.getCreatorEmployeeId())
                .likeIfPresent(RelationsConversionDO::getCreatorEmployeeName, reqVO.getCreatorEmployeeName())
                .betweenIfPresent(RelationsConversionDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(RelationsConversionDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(RelationsConversionDO::getId));
    }

}