package cn.iocoder.yudao.module.relations.dal.mysql.entry;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.relations.dal.dataobject.entry.RelationsEntryDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.relations.controller.admin.entry.vo.*;

/**
 * 入职信息 Mapper
 *
 * @author zhaopq
 */
@Mapper
public interface RelationsEntryMapper extends BaseMapperX<RelationsEntryDO> {

    default PageResult<RelationsEntryDO> selectPage(RelationsEntryPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RelationsEntryDO>()
                .eqIfPresent(RelationsEntryDO::getEntryId, reqVO.getEntryId())
                .likeIfPresent(RelationsEntryDO::getEntryName, reqVO.getEntryName())
                .eqIfPresent(RelationsEntryDO::getDeptId, reqVO.getDeptId())
                .eqIfPresent(RelationsEntryDO::getPostId, reqVO.getPostId())
                .eqIfPresent(RelationsEntryDO::getPosition, reqVO.getPosition())
                .eqIfPresent(RelationsEntryDO::getEmployeeType, reqVO.getEmployeeType())
                .eqIfPresent(RelationsEntryDO::getGender, reqVO.getGender())
                .eqIfPresent(RelationsEntryDO::getBirthday, reqVO.getBirthday())
                .eqIfPresent(RelationsEntryDO::getContactNumber, reqVO.getContactNumber())
                .eqIfPresent(RelationsEntryDO::getEmail, reqVO.getEmail())
                .eqIfPresent(RelationsEntryDO::getEducation, reqVO.getEducation())
                .eqIfPresent(RelationsEntryDO::getWorkExperience, reqVO.getWorkExperience())
                .betweenIfPresent(RelationsEntryDO::getEntryDate, reqVO.getEntryDate())
                .eqIfPresent(RelationsEntryDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(RelationsEntryDO::getStatus, reqVO.getStatus())
                .eqIfPresent(RelationsEntryDO::getInfoSource, reqVO.getInfoSource())
                .eqIfPresent(RelationsEntryDO::getCreatorEmployeeId, reqVO.getCreatorEmployeeId())
                .likeIfPresent(RelationsEntryDO::getCreatorEmployeeName, reqVO.getCreatorEmployeeName())
                .betweenIfPresent(RelationsEntryDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(RelationsEntryDO::getTenantId, reqVO.getTenantId())
                .orderByDesc(RelationsEntryDO::getId));
    }

}