package cn.iocoder.yudao.module.relations.service.turnover;

import cn.iocoder.yudao.module.relations.api.turnover.dto.RelationsTurnoverCreateReqDTO;
import cn.iocoder.yudao.module.relations.controller.admin.turnover.vo.*;
import cn.iocoder.yudao.module.relations.dal.dataobject.turnover.RelationsTurnoverDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

import javax.validation.Valid;

/**
 * 离职信息 Service 接口
 *
 * @author zhaopq
 */
public interface RelationsTurnoverService {

    /**
     * 创建离职信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTurnover(@Valid RelationsTurnoverSaveReqVO createReqVO);

    /**
     * 审批完成添加离职信息
     *
     * @param turnoverCreateReqDTO 创建信息
     * @return 编号
     */
    Long createTurnoverInfoAfterAudit(RelationsTurnoverCreateReqDTO turnoverCreateReqDTO);

    /**
     * 更新离职信息
     *
     * @param updateReqVO 更新信息
     */
    void updateTurnover(@Valid RelationsTurnoverSaveReqVO updateReqVO);

    /**
     * 删除离职信息
     *
     * @param id 编号
     */
    void deleteTurnover(Long id);

    /**
     * 获得离职信息
     *
     * @param id 编号
     * @return 离职信息
     */
    RelationsTurnoverDO getTurnover(Long id);

    /**
     * 通过ID获得离职信息
     *
     * @param id
     * @return
     */
    RelationsTurnoverRespVO getById(Long id);

    /**
     * 获得离职信息分页
     *
     * @param pageReqVO 分页查询
     * @return 离职信息分页
     */
    PageResult<RelationsTurnoverDO> getTurnoverPage(RelationsTurnoverPageReqVO pageReqVO);

}