package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 租户字典数据分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DictDataTenantPageReqVO extends PageParam {

    @Schema(description = "字典标签", example = "年假")
    private String label;

    @Schema(description = "字典类型", example = "tenant_leave_type")
    @NotBlank(message = "字典类型不能为空")
    private String dictType;

    @Schema(description = "状态（0正常 1停用）", example = "0")
    private Integer status;
}