package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 租户字典数据 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DictDataTenantRespVO {

    @Schema(description = "字典编码")
    @ExcelProperty("字典编码")
    private Long id;

    @Schema(description = "字典排序")
    @ExcelProperty("字典排序")
    private Integer sort;

    @Schema(description = "字典标签")
    @ExcelProperty("字典标签")
    private String label;

    @Schema(description = "字典键值")
    // @ExcelProperty("字典键值")
    private String value;

    @Schema(description = "字典类型")
    @ExcelProperty("字典类型")
    private String dictType;

    @Schema(description = "状态（0正常 1停用）")
    // @ExcelProperty("状态（0正常 1停用）")
    private Integer status;

    @Schema(description = "状态（0正常 1停用）")
    @ExcelProperty("状态")
    private String statusDesc;

    @Schema(description = "数据类型(1内置 2自定义)")
    // @ExcelProperty("数据类型(1内置 2自定义)")
    private Integer dataType;

    @Schema(description = "数据类型(1内置 2自定义)")
    @ExcelProperty("类型")
    private String dataTypeDesc;

    @Schema(description = "颜色类型")
    // @ExcelProperty("颜色类型")
    private String colorType;

    @Schema(description = "css 样式")
    // @ExcelProperty("css 样式")
    private String cssClass;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remark;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    @DateTimeFormat(DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime createTime;

}