package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 租户字典数据新增/修改 Request VO")
@Data
public class DictDataTenantSaveReqVO {

    @Schema(description = "字典排序，默认0", example = "0")
    private Integer sort;

    @Schema(description = "字典数据", requiredMode = Schema.RequiredMode.REQUIRED, example = "年假")
    @NotBlank(message = "字典数据不能为空")
    private String label;

    @Schema(description = "字典类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "tenant_leave_type")
    @NotBlank(message = "字典类型不能为空")
    private String dictType;

    @Schema(description = "状态（0正常 1停用），默认0正常", example = "0")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}