package cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 租户字典数据修改 Request VO")
@Data
public class DictDataTenantUpdateReqVO {

    @Schema(description = "字典数据id", example = "1")
    @NotNull(message = "字典数据id不能为空")
    private Long id;

    @Schema(description = "字典排序", example = "0")
    private Integer sort;

    @Schema(description = "字典数据", requiredMode = Schema.RequiredMode.REQUIRED, example = "年假")
    @NotEmpty(message = "字典数据不能为空")
    private String label;

    @Schema(description = "状态（0正常 1停用）", example = "0")
    private Integer status;

    @Schema(description = "备注", example = "随便")
    private String remark;

}