package cn.iocoder.yudao.module.system.controller.admin.permission.vo.menu;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 菜单租户关系新增/修改 Request VO")
@Data
public class MenuTenantRelateSaveReqVO {

    @Schema(description = "关系ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17346")
    private Long id;

    @Schema(description = "菜单ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29703")
    @NotNull(message = "菜单ID不能为空")
    private Long menuId;

    @Schema(description = "租户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29703")
    @NotNull(message = "租户ID不能为空")
    private Long tenantId;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    private Integer status;

}