package cn.iocoder.yudao.module.system.controller.admin.user.vo.tenant;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 用户租户关系分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserTenantRelatePageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "29632")
    private Long userId;

    @Schema(description = "租户ID", example = "3553")
    private Long tenantId;

    @Schema(description = "用户在企业中的角色")
    private String role;

    @Schema(description = "当前生效")
    private Boolean actived;

    @Schema(description = "状态", example = "2")
    private Integer status;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}