package cn.iocoder.yudao.module.system.controller.admin.user.vo.tenant;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;


@Schema(description = "管理后台 - 用户租户关系新增/修改 Request VO")
@Data
public class UserTenantRelateSaveReqVO {

    @Schema(description = "关系ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "15794")
    private Long id;

    @Schema(description = "用户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29632")
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    @Schema(description = "租户ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "3553")
    @NotNull(message = "租户ID不能为空")
    private Long tenantId;

    @Schema(description = "用户在企业中的角色", requiredMode = Schema.RequiredMode.REQUIRED)
//    @NotEmpty(message = "用户在企业中的角色不能为空")
    private String role;

    @Schema(description = "当前生效", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
//    @NotNull(message = "当前生效不能为空")
    private Boolean actived;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "0")
//    @NotNull(message = "状态不能为空")
    private Integer status;

}