package cn.iocoder.yudao.module.system.dal.dataobject.permission;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 菜单租户关系 DO
 *
 * @author zhaopq
 */
@TableName("menu_tenant_relate")
@KeySequence("menu_tenant_relate_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MenuTenantRelateDO extends BaseDO {

    /**
     * 关系ID
     */
    @TableId
    private Long id;
    /**
     * 菜单ID
     */
    private Long menuId;
    /**
     * 租户ID
     */
    private Long tenantId;
    /**
     * 状态
     */
    private Integer status;

}