package cn.iocoder.yudao.module.system.dal.dataobject.user;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户租户关系 DO
 *
 * @author 芋道源码
 */
@TableName("user_tenant_relate")
@KeySequence("user_tenant_relate_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserTenantRelateDO extends BaseDO {

    /**
     * 关系ID
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 租户ID
     */
    private Long tenantId;
    /**
     * 用户在企业中的角色
     */
    private String role;
    /**
     * 当前生效
     */
    private Boolean actived;
    /**
     * 状态
     */
    private Integer status;

}