package cn.iocoder.yudao.module.system.dal.mysql.dictTenant;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;


import cn.iocoder.yudao.module.system.controller.admin.dictTenant.vo.data.DictDataTenantPageReqVO;

import cn.iocoder.yudao.module.system.dal.dataobject.dictTenant.DictDataTenantDO;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.Arrays;
import java.util.Collection;
import java.util.List;


/**
 * 租户字典数据 Mapper
 *
 * @author 芋道源码
 */
@Mapper
public interface DictDataTenantMapper extends BaseMapperX<DictDataTenantDO> {

    default PageResult<DictDataTenantDO> selectPage(DictDataTenantPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DictDataTenantDO>()
                .likeIfPresent(DictDataTenantDO::getLabel, reqVO.getLabel())
                .eqIfPresent(DictDataTenantDO::getDictType, reqVO.getDictType())
                .eqIfPresent(DictDataTenantDO::getStatus, reqVO.getStatus())
                .orderByAsc(DictDataTenantDO::getDictType)
                .orderByAsc(DictDataTenantDO::getSort)
                .orderByAsc(DictDataTenantDO::getId));
    }

    default List<DictDataTenantDO> selectListByStatusAndDictType(Integer status, String dictType) {
        return selectList(new LambdaQueryWrapperX<DictDataTenantDO>()
                .eqIfPresent(DictDataTenantDO::getStatus, status)
                .eqIfPresent(DictDataTenantDO::getDictType, dictType));
    }

    default DictDataTenantDO selectByDictTypeAndValue(String dictType, String value) {
        return selectOne(DictDataTenantDO::getDictType, dictType, DictDataTenantDO::getValue, value);
    }

    default DictDataTenantDO selectByDictTypeAndLabel(String dictType, String label) {
        return selectOne(DictDataTenantDO::getDictType, dictType, DictDataTenantDO::getLabel, label);
    }

    default List<DictDataTenantDO> selectByDictTypeAndValues(String dictType, Collection<String> values) {
        return selectList(new LambdaQueryWrapper<DictDataTenantDO>().eq(DictDataTenantDO::getDictType, dictType)
                .in(DictDataTenantDO::getValue, values));
    }

    default long selectCountByDictType(String dictType) {
        return selectCount(DictDataTenantDO::getDictType, dictType);
    }

    default PageResult<DictDataTenantDO> selectPage(cn.iocoder.yudao.module.system.controller.admin.dict.vo.data.DictDataPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DictDataTenantDO>()
                .likeIfPresent(DictDataTenantDO::getLabel, reqVO.getLabel())
                .eqIfPresent(DictDataTenantDO::getDictType, reqVO.getDictType())
                .eqIfPresent(DictDataTenantDO::getStatus, reqVO.getStatus())
                .orderByDesc(Arrays.asList(DictDataTenantDO::getDictType, DictDataTenantDO::getSort)));
    }

}