package cn.iocoder.yudao.module.system.service.permission;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.permission.vo.menu.MenuTenantRelatePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.permission.vo.menu.MenuTenantRelateSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.permission.MenuTenantRelateDO;

import javax.validation.Valid;

/**
 * 菜单租户关系 Service 接口
 *
 * @author zhaopq
 */
public interface MenuTenantRelateService {

    /**
     * 创建菜单租户关系
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTenantRelate(@Valid MenuTenantRelateSaveReqVO createReqVO);

    /**
     * 更新菜单租户关系
     *
     * @param updateReqVO 更新信息
     */
    void updateTenantRelate(@Valid MenuTenantRelateSaveReqVO updateReqVO);

    /**
     * 删除菜单租户关系
     *
     * @param id 编号
     */
    void deleteTenantRelate(Long id);

    /**
     * 获得菜单租户关系
     *
     * @param id 编号
     * @return 菜单租户关系
     */
    MenuTenantRelateDO getTenantRelate(Long id);

    /**
     * 获得菜单租户关系分页
     *
     * @param pageReqVO 分页查询
     * @return 菜单租户关系分页
     */
    PageResult<MenuTenantRelateDO> getTenantRelatePage(MenuTenantRelatePageReqVO pageReqVO);

}